-----------------------
-- NPSee             --
-- By: Wire @ Byriel --
-----------------------

-- persistence
NPSee_Persistence = {};

-- create application
NPSee = Wired.Utility.Application("NPSee", "0.2.3", "nps", "2011/12/14", {
  On = Wired.UI.Texture("NPSee", "Resources/Application Tray Icon/on.png"),
  Off = Wired.UI.Texture("NPSee", "Resources/Application Tray Icon/off.png")
});

-- loaded
NPSee.Wired.Event.Listener:Add(Wired.Event.Listener(
  "Loaded",
  function()
    
    -- persistence
    NPSee:SetPersistence(NPSee_Persistence);
    
    -- create target manager
    NPSee.targetManager = TargetManager(NPSee);
    
    -- space
    NPSee:GetCommandManager():AddCommand(Wired.Utility.Command(
      NPSee,
      "space",
      "Toggles cast bar spacing on or off",
      function(value)
        
        -- toggle
        NPSee.targetManager:SetCastBarSpacing(
          not NPSee.targetManager:GetCastBarSpacing()
        );
        
        -- output
        if (NPSee.targetManager:GetCastBarSpacing()) then
          print("Cast Bar Spacing [ON]");
        else
          print("Cast Bar Spacing [OFF]");
        end
      end
    ));
    
    -- cast
    NPSee:GetCommandManager():AddCommand(Wired.Utility.Command(
      NPSee,
      "cast",
      "Toggles cast bar display on or off",
      function(value)
        
        -- toggle
        NPSee.targetManager:SetCastBarDisplay(
          not NPSee.targetManager:GetCastBarDisplay()
        );
        
        -- output
        if (NPSee.targetManager:GetCastBarDisplay()) then
          print("Cast Bar Display [ON]");
        else
          print("Cast Bar Display [OFF]");
        end
      end
    ));
    
    -- pet
    NPSee:GetCommandManager():AddCommand(Wired.Utility.Command(
      NPSee,
      "pet",
      "Toggles pet display on or off",
      function(value)
        
        -- toggle
        NPSee.targetManager:SetPetDisplay(
          not NPSee.targetManager:GetPetDisplay()
        );
        
        -- output
        if (NPSee.targetManager:GetPetDisplay()) then
          print("Pet Display [ON]");
        else
          print("Pet Display [OFF]");
        end
      end
    ));
    
    -- pvp
    NPSee:GetCommandManager():AddCommand(Wired.Utility.Command(
      NPSee,
      "pvp",
      "Toggles PvP display on or off",
      function(value)
        
        -- toggle
        NPSee.targetManager:SetPvPDisplay(
          not NPSee.targetManager:GetPvPDisplay()
        );
        
        -- output
        if (NPSee.targetManager:GetPvPDisplay()) then
          print("PvP Display [ON]");
        else
          print("PvP Display [OFF]");
        end
      end
    ));
    
    -- stacking
    NPSee:GetCommandManager():AddCommand(Wired.Utility.Command(
      NPSee,
      "stacking",
      "Toggles cascade bar stacking up or down",
      function(value)
        
        -- toggle
        NPSee.targetManager:SetStacking(
          not NPSee.targetManager:GetStacking()
        );
        
        -- output
        if (NPSee.targetManager:GetStacking()) then
          print("Cascade Bars Stack [UP]");
        else
          print("Cascade Bars Stack [DOWN]");
        end
      end
    ));
    
    -- welcome
    NPSee:Welcome();
  end,
  true
));
