-----------------------
-- OCD               --
-- By: Wire @ Byriel --
-----------------------

Ability = class();

-- constants
Ability.Constants = {
  Scope = {
    Global = 1,
    Local = 2
  }
};

function Ability:Constructor(scope, name, cooldown, enabled)
  
  -- parameters
  self:SetScope(scope);
  self:SetName(name);
  self:SetCooldown(cooldown);
  self:SetEnabled(enabled);
end

-- scope
function Ability:GetScope()
  return self.scope;
end

function Ability:SetScope(value)
  self.scope = value;
end

-- name
function Ability:GetName()
  return self.name;
end

function Ability:SetName(value)
  self.name = value;
end

-- cooldown
function Ability:GetCooldown()
  return self.cooldown;
end

function Ability:SetCooldown(value)
  self.cooldown = value;
end

-- enabled
function Ability:GetEnabled()
  return self.enabled;
end

function Ability:SetEnabled(value)
  self.enabled = value;
  
  -- update manager
  if (self:GetManager()) then
    self:GetManager():EnabledChanged(self);
  end
end

-- manager
function Ability:GetManager()
  return self.manager;
end

function Ability:SetManager(value)
  self.manager = value;
end

-- data
function Ability:GetData()
  if (type(self:GetManager():GetLocalAbilities()[self:GetName()]) ~= "table") then
    self:GetManager():GetLocalAbilities()[self:GetName()] = {};
  end
  return self:GetManager():GetLocalAbilities()[self:GetName()];
end
