-----------------------
-- OCD               --
-- By: Wire @ Byriel --
-----------------------

LocalAbility = class(Ability);

-- constants
LocalAbility.Constants = {
  Calling = {
    Cleric = "cleric",
    Mage = "mage",
    Rogue = "rogue",
    Warrior = "warrior"
  },
  Genre = {
    CombatRez = 1,
    Buff = 2,
    Rotation = 3,
    Defensive = 4,
    Offensive = 5
    --Interrupt = 6,
    --Purge = 7,
  }
};

function LocalAbility:Constructor(name, cooldown, enabled, genre, calling)
  Ability.Constructor(self, Ability.Constants.Scope.Local, name, cooldown, enabled);
  
  -- parameters
  self:SetGenre(genre);
  self:SetCalling(calling);
end

-- name
function LocalAbility:GetName()
  return self.name;
end

function LocalAbility:SetName(value)
  self.name = value;
end

-- cooldown
function LocalAbility:GetCooldown()
  return self.cooldown;
end

function LocalAbility:SetCooldown(value)
  self.cooldown = value;
end

-- genre
function LocalAbility:GetGenre()
  return self.genre;
end

function LocalAbility:SetGenre(value)
  self.genre = value;
end

-- calling
function LocalAbility:GetCalling()
  return self.calling;
end

function LocalAbility:SetCalling(value)
  self.calling = value;
end

-- timer
function LocalAbility:GetTimer()
  return self.timer;
end

function LocalAbility:SetTimer(value)
  self.timer = value;
end
