-----------------------
-- OCD               --
-- By: Wire @ Byriel --
-----------------------

-- persistence
OCD_Persistence = {};

-- create application
OCD = Wired.Utility.Application("OCD", "0.1.5", "ocd", "2011/12/14", {
  On = Wired.UI.Texture("OCD", "Resources/Application Tray Icon/on.png"),
  Off = Wired.UI.Texture("OCD", "Resources/Application Tray Icon/off.png")
});

-- loaded
OCD.Wired.Event.Listener:Add(Wired.Event.Listener(
  "Loaded",
  function()
    
    -- persistence
    OCD:SetPersistence(OCD_Persistence);
    
    -- create cooldown manager
    OCD.cooldownManager = CooldownManager(OCD);
    
    -- options
    OCD:SetOptions(OCDOptions("Options", OCD:GetContext()));
    OCD:GetOptions():SetTitle(OCD:T("UI.O.M.Options"));
    
    -- stacking
    OCD:GetCommandManager():AddCommand(Wired.Utility.Command(
      OCD,
      OCD:T("UI.C.Stacking"),
      OCD:T("UI.CD.Stacking"),
      function(value)
        
        -- toggle
        OCD.cooldownManager:SetStacking(
          not OCD.cooldownManager:GetStacking()
        );
        
        -- output
        if (OCD.cooldownManager:GetStacking()) then
          print(OCD:T("UI.CS.Stacking.On"));
        else
          print(OCD:T("UI.CS.Stacking.Off"));
        end
      end
    ));
    
    -- welcome
    OCD:Welcome();
  end,
  true
));
