-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Options.Tab.About = class(Wired.UI.Tab.ScrollableFrame);

-- constants
RaidKiller.Options.Tab.About.Constants = {
  Name = "About Tab",
  Message = {
    Text = RK:T("UI.O.About")
  }
};

-- defaults
RaidKiller.Options.Tab.About.Defaults = {
  Title = RK:T("UI.O.T.About"),
  Font = {
    Alpha = {
      Text = 1.00
    },
    Color = {
      Text = Wired.UI.Color.White
    },
    Size = {
      Text = 14
    }
  },
};

-- constructor
function RaidKiller.Options.Tab.About:Constructor(parent, application)
  Wired.UI.Tab.ScrollableFrame.Constructor(self, RaidKiller.Options.Tab.About.Constants.Name, parent:GetFrame());
  
  -- parameters
  self:SetApplication(application);
  
  -- values
  self:SetTitle(RaidKiller.Options.Tab.About.Defaults.Title);
  self:SetPadding(0);
  self:SetColor(Wired.UI.Color.Clear);
  
  -- about text
  local text = nil;
  for k, v in pairs(RaidKiller.Options.Tab.About.Constants.Message.Text) do
    if (text) then
      text = text .. "\n" .. v;
    else
      text = v;
    end
  end
  if (not text) then
    text = "";
  end
  
  -- about label
  self.aboutLabel = Wired.UI.Trion.Text("AboutLabel", self:GetMask());
  self.aboutLabel:SetFontColor(RaidKiller.Options.Tab.About.Defaults.Font.Color.Text);
  self.aboutLabel:SetFontSize(RaidKiller.Options.Tab.About.Defaults.Font.Size.Text);
  self.aboutLabel:SetAlpha(RaidKiller.Options.Tab.About.Defaults.Font.Alpha.Text);
  self.aboutLabel:SetLayer(1);
  self.aboutLabel:SetWrapping(true);
  self.aboutLabel:SetText(text);
  self.aboutLabel:SetColor(Wired.UI.Color.Clear);
  self.aboutLabel:SetVisible(true);
  
  self:SetWidth(self:GetParent():GetWidth());
  self:SetHeight(self:GetParent():GetHeight());
  
  self.aboutLabel:SetWidth(self:GetParent():GetWidth() * 0.75);
  
  -- add label
  self:SetComponent(self.aboutLabel);
end

-- application
function RaidKiller.Options.Tab.About:GetApplication()
  return self.application;
end

function RaidKiller.Options.Tab.About:SetApplication(value)
  self.application = value;
end
