-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Options.Tab.Help = class(Wired.UI.Tab.ScrollableFrame);

-- constants
RaidKiller.Options.Tab.Help.Constants = {
  Name = "Help Tab",
  Message = {
    Text = RK:T("UI.O.Help")
  }
};

-- defaults
RaidKiller.Options.Tab.Help.Defaults = {
  Title = RK:T("UI.O.T.Help"),
  Font = {
    Alpha = {
      Text = 1.00
    },
    Color = {
      Text = Wired.UI.Color.White
    },
    Size = {
      Text = 14
    }
  },
};

-- constructor
function RaidKiller.Options.Tab.Help:Constructor(parent, application)
  Wired.UI.Tab.ScrollableFrame.Constructor(self, RaidKiller.Options.Tab.Help.Constants.Name, parent:GetFrame());
  
  -- parameters
  self:SetApplication(application);
  
  -- values
  self:SetTitle(RaidKiller.Options.Tab.Help.Defaults.Title);
  self:SetPadding(0);
  self:SetColor(Wired.UI.Color.Clear);
  
  -- help text
  local text = nil;
  for k, v in pairs(RaidKiller.Options.Tab.Help.Constants.Message.Text) do
    if (text) then
      text = text .. "\n" .. v;
    else
      text = v;
    end
  end
  if (not text) then
    text = "";
  end
  
  -- help label
  self.helpLabel = Wired.UI.Trion.Text("HelpLabel", self:GetMask());
  self.helpLabel:SetFontColor(RaidKiller.Options.Tab.Help.Defaults.Font.Color.Text);
  self.helpLabel:SetFontSize(RaidKiller.Options.Tab.Help.Defaults.Font.Size.Text);
  self.helpLabel:SetAlpha(RaidKiller.Options.Tab.Help.Defaults.Font.Alpha.Text);
  self.helpLabel:SetLayer(1);
  self.helpLabel:SetWrapping(true);
  self.helpLabel:SetText(text);
  self.helpLabel:SetColor(Wired.UI.Color.Clear);
  self.helpLabel:SetVisible(true);
  
  self:SetWidth(self:GetParent():GetWidth());
  self:SetHeight(self:GetParent():GetHeight());
  
  self.helpLabel:SetWidth(self:GetParent():GetWidth() * 0.75);
  
  -- add label
  self:SetComponent(self.helpLabel);
end

-- application
function RaidKiller.Options.Tab.Help:GetApplication()
  return self.application;
end

function RaidKiller.Options.Tab.Help:SetApplication(value)
  self.application = value;
end
