-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Application = class(Wired.Utility.Application);

-- constants
RaidKiller.Application.Constants = {
  Texture = {
    Pin = {
      On = Wired.UI.Texture("RaidKiller", "Resources/Application Tray Icon/on.png"),
      Off = Wired.UI.Texture("RaidKiller", "Resources/Application Tray Icon/off.png")
    }
  }
};

-- constructor
function RaidKiller.Application:Constructor()
  Wired.Utility.Application.Constructor(
    self,
    "RaidKiller",
    "0.6.4",
    "rk",
    "2011/12/14",
    RaidKiller.Application.Constants.Texture.Pin
  );
  
  -- events
  self.Wired.Event.Listener:Add(Wired.Event.Listener(
    "Loaded",
    function()
      self:RaidKillerLoaded();
    end,
    true
  ));
end

function RaidKiller.Application:RaidKillerLoaded()
  
  -- persistence
  self:SetPersistence(RaidKiller_Persistence);
  
  -- mechanic manager
  self:SetMechanicManager(RaidKiller.Mechanic.Manager(self));
  
  -- add content
  self:GetMechanicManager():AddMechanicContent(self:GetMechanicContent());
  
  -- options
  self:SetOptions(RaidKiller.Options.Window("Options", self:GetContext(), self));
  self:GetOptions():SetTitle(self:T("UI.O.M.Options"));
  
  -- commands
  self:GetCommandManager():AddCommand(Wired.Utility.Command(
    self,
    self:T("UI.C.Chronicle"),
    self:T("UI.CD.Chronicle"),
    function(value)
      
      -- toggle
      self:GetMechanicManager():SetChronicle(
        not self:GetMechanicManager():GetChronicle()
      );
      
      -- output
      if (self:GetMechanicManager():GetChronicle()) then
        print(self:T("UI.CS.Chronicle.On"));
      else
        print(self:T("UI.CS.Chronicle.Off"));
      end
    end
  ));
  
  -- stacking
  self:GetCommandManager():AddCommand(Wired.Utility.Command(
    self,
    self:T("UI.C.Stacking"),
    self:T("UI.CD.Stacking"),
    function(value)
      
      -- toggle
      self:GetMechanicManager():SetStacking(
        not self:GetMechanicManager():GetStacking()
      );
      
      -- output
      if (self:GetMechanicManager():GetStacking()) then
        print(self:T("UI.CS.Stacking.On"));
      else
        print(self:T("UI.CS.Stacking.Off"));
      end
    end
  ));
  
  -- welcome
  self:Welcome();
end

-- mechanic content
function RaidKiller.Application:GetMechanicContent()
  return RaidKiller.Content;
end

-- mechanic manager
function RaidKiller.Application:GetMechanicManager()
  return self.mechanicManager;
end

function RaidKiller.Application:SetMechanicManager(value)
  self.mechanicManager = value;
end
