-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Category.Object = class();

-- constants
RaidKiller.Category.Object.Constants = {
  Persistence = {
    Changed = "Changed"
  }
};

-- constructor
function RaidKiller.Category.Object:Constructor(data)
  
  -- wire
  Wire(self);
  
  -- persistence
  self.Wired.Persistence:Enable(data.name);
  
  -- parameters
  self:SetOrder(data.order);
  self:SetName(data.name);
  self:SetDescription(data.description);
  self:SetProfile(data.profile);
end

-- order
function RaidKiller.Category.Object:GetOrder()
  return self.order;
end

function RaidKiller.Category.Object:SetOrder(value)
  self.order = value;
end

-- name
function RaidKiller.Category.Object:GetName()
  return self.name;
end

function RaidKiller.Category.Object:SetName(value)
  self.name = value;
  
  -- update persistence
  self.Wired.Persistence:SetName(self:GetName());
end

-- description
function RaidKiller.Category.Object:GetDescription()
  return self.description;
end

function RaidKiller.Category.Object:SetDescription(value)
  self.description = value;
end

-- profile
function RaidKiller.Category.Object:GetProfile()
  return self.profile;
end

function RaidKiller.Category.Object:SetProfile(value)
  self.profile = value;
end

-- parent
function RaidKiller.Category.Object:GetParent()
  return self.parent;
end

function RaidKiller.Category.Object:SetParent(value)
  self.parent = value;
end

-- children
function RaidKiller.Category.Object:GetChildren()
  if (type(self.children) ~= "table") then
    self.children = {};
  end
  return self.children;
end

function RaidKiller.Category.Object:SetChildren(value)
  self.children = value;
  
  -- register
  for k, child in pairs(self:GetChildren()) do
    child:SetParent(self);
  end
end

function RaidKiller.Category.Object:AddChild(value)
  
  -- index
  self:GetChildren()[value:GetName()] = value;
  
  -- register
  value:SetParent(self);
end

-- manager
function RaidKiller.Category.Object:GetManager()
  return self.manager;
end

function RaidKiller.Category.Object:SetManager(value)
  self.manager = value;
end

-- persistence
function RaidKiller.Category.Object:GetPersistenceValue(index)
  
  -- value
  local result = self[index];
  
  -- persistence value
  if (self.Wired.Persistence:GetPath()) then
  
    if (self.Wired.Persistence:GetPath()[index] ~= nil) then
      result = self.Wired.Persistence:GetPath()[index];
    end
  end
  
  -- return
  return result;
end

function RaidKiller.Category.Object:SetPersistenceValue(index, value)
  
  -- persistence value
  if (self.Wired.Persistence:GetPath()) then
    self.Wired.Persistence:GetPath()[index] = value;
    
  -- value
  else
    self[index] = value;
  end
  
  -- fire index changed event
  if (type(self.Wired.Event[index .. RaidKiller.Category.Object.Constants.Persistence.Changed]) == "function") then
    self.Wired.Event[index .. RaidKiller.Category.Object.Constants.Persistence.Changed]();
  end
end
