-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- convert to phases
-- hydriss = {"Interlopers dare attack my chosen?"} @ 80s
-- ["Z.DH.Hydriss.MSG.Abyssals"] = {"Abyssals - to me!"},
-- ["Z.DH.Hydriss.MSG.Unleashed"] = {"The power of the Water Plane is unleashed!"},
-- ["Z.DH.Hydriss.MSG.Death"] = {"Your death is nigh, heretics!"},

-- hydriss
RaidKiller.Content:GetZones()[RK:T("Z.DH")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 4,
  name = RK:T("Z.DH.Hydriss"),
  profile = RK:DT("Z.DH.Hydriss"),
  timeout = 25,
  hitpoints = 1579525,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.DH.Hydriss.U.Hydriss")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.DH.Hydriss.U.Seaspawn")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.DH.Hydriss.U.Hive")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.DH.Hydriss.U.Douser")
    })
  },
  mechanics = {
    
    -- seaspawn
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.DH.Hydriss.M.Seaspawn"),
      description = RK:T("Z.DH.Hydriss.MD.Seaspawn"),
      tested = false,
      triggers = {
        
        -- third
        RaidKiller.Mechanic.Trigger.Timer({
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Hydriss.M.Seaspawn"),
          duration = 180,
          settings = {
            duration = 200
          }
        }),
        
        -- second
        RaidKiller.Mechanic.Trigger.Timer({
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Hydriss.M.Seaspawn"),
          duration = 20,
          settings = {
            duration = 180
          }
        }),
        
        -- first
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.DH.Hydriss"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 20
          }
        }),
        
        -- alerts
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Hydriss.M.Seaspawn")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- air phase
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.DH.Hydriss.M.Air"),
      description = RK:T("Z.DH.Hydriss.MD.Air"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.DH.Hydriss"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 85
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Hydriss.M.Air")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.BlueGrey
        })
      }
    }),
    
    -- hydrostatic shock
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.DH.Hydriss.M.Shock"),
      description = RK:T("Z.DH.Hydriss.MD.Shock"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.DH.Hydriss"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 270
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.DH.Hydriss.U.Hydriss"),
          ability = RK:T("Z.DH.Hydriss.A.Shock"),
          settings = {
            duration = 40
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Hydriss.M.Shock"),
          duration = 40
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Cyan
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Cyan
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Cyan
        })
      }
    })
  }
}));
