-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- ["Z.DH.Isskal.MSG.Current"] = {"Go with the current - or die!"},
-- ["Z.DH.Isskal.MSG.Fools"] = {"You're going the wrong way, fools!"},

-- isskal
RaidKiller.Content:GetZones()[RK:T("Z.DH")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 3,
  name = RK:T("Z.DH.Isskal"),
  profile = RK:DT("Z.DH.Isskal"),
  timeout = 25,
  hitpoints = 1229659,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.DH.Isskal.U.Isskal")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.DH.Isskal.U.Trapper")
    })
  },
  mechanics = {
    
    -- ice shard
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.DH.Isskal.M.Shard"),
      description = RK:T("Z.DH.Isskal.MD.Shard"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.DH.Isskal.U.Isskal"),
          ability = RK:T("Z.DH.Isskal.A.Shard")
        }),
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- whirlpool
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.DH.Isskal.M.Whirlpool"),
      description = RK:T("Z.DH.Isskal.MD.Whirlpool"),
      tested = false,
      triggers = {
        
        -- whirlpool alerts
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Isskal.M.Whirlpool"),
          message = RK:T("Z.DH.Isskal.M.Whirlpool")
        }),
        
        -- reverse alerts
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Isskal.M.Whirlpool"),
          message = RK:T("Z.DH.Isskal.L.Reverse"),
          settings = {
            message = RK:T("Z.DH.Isskal.L.Reverse")
          }
        }),
        
        -- whirlpool activation
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.DH.Isskal"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 32
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.DH.Isskal.M.Whirlpool"),
          message = RK:T("Z.DH.Isskal.M.Whirlpool"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            message = RK:T("Z.DH.Isskal.L.Reverse"),
            duration = 13
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.DH.Isskal.M.Wave"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 62
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.BlueGrey
        })
      }
    }),
    
    -- glacial wave
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.DH.Isskal.M.Wave"),
      description = RK:T("Z.DH.Isskal.MD.Wave"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.DH.Isskal.M.Whirlpool"),
          message = RK:T("Z.DH.Isskal.L.Reverse"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 45
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Isskal.M.Wave")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Blue
        })
      }
    })
  }
}));
