-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- ["Z.DH.Joloral.MSG.Call"] = {"Joloral Ragetide calls for creatures of the sea."},

-- joloral ragetide
RaidKiller.Content:GetZones()[RK:T("Z.DH")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 2,
  name = RK:T("Z.DH.Joloral"),
  profile = RK:DT("Z.DH.Joloral"),
  timeout = 25,
  hitpoints = 1053993,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.DH.Joloral.U.Joloral")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.DH.Joloral.U.Crippler")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.DH.Joloral.U.Grub")
    })
  },
  mechanics = {
    
    -- plated crippler
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.DH.Joloral.M.Crippler"),
      description = RK:T("Z.DH.Joloral.MD.Crippler"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 75
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 50
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 10
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- glare
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.DH.Joloral.M.Glare"),
      description = RK:T("Z.DH.Joloral.MD.Glare"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.DH.Joloral.M.Glare"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            continuous = false,
            duration = 22
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.DH.Joloral.M.Glare"),
          duration = 22,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            continuous = true,
            duration = 36
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          message = RK:T("Z.DH.Joloral.MSG.Glare")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- ragetide's grubs
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.DH.Joloral.M.Grubs"),
      description = RK:T("Z.DH.Joloral.MD.Grubs"),
      tested = false,
      triggers = {
        
        -- third trio
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.DH.Joloral.M.Grubs"),
          duration = 15
        }),
        
        -- second trio
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.DH.Joloral.M.Grubs"),
          duration = 20,
          settings = {
            duration = 15
          }
        }),
        
        -- first trio
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 80,
          settings = {
            duration = 20
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 60,
          settings = {
            duration = 20
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 40,
          settings = {
            duration = 20
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.DH.Joloral.U.Joloral"),
          percent = 20,
          settings = {
            duration = 20
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    })
  }
}));
