-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- ["Z.GP.Anrak.MSG.Gaze"] = {"Anrak the Foul gazes at ", "!"},
-- ["Z.GP.Anrak.MSG.Twitch"] = {"Anrak the Foul's tail twitches as it prepares to strike"},
-- ["Z.GP.Anrak.MSG.Fling"] = {"Anrak the Foul flings a bolt of poison at ", "!"},
-- add phasing

-- anrak the foul
RaidKiller.Content:GetZones()[RK:T("Z.GP")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 1,
  name = RK:T("Z.GP.Anrak"),
  profile = RK:DT("Z.GP.Anrak"),
  hitpoints = 1217362,
  mechanics = {
    
    -- vicious tail strike
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GP.Anrak.M.Tail"),
      description = RK:T("Z.GP.Anrak.MD.Tail"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Anrak"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 30
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Anrak.U.Anrak"),
          ability = RK:T("Z.GP.Anrak.A.Tail"),
          settings = {
            duration = 20
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- eye beam
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.GP.Anrak.M.Beam"),
      description = RK:T("Z.GP.Anrak.MD.Beam"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Anrak"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 16
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Anrak.U.Anrak"),
          ability = RK:T("Z.GP.Anrak.A.Beam"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- spines of earth
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.GP.Anrak.M.Earth"),
      description = RK:T("Z.GP.Anrak.MD.Earth"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Anrak"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 21
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Anrak.U.Anrak"),
          ability = RK:T("Z.GP.Anrak.A.Earth"),
          cycle = {mod = {1}, length = 2, timeout = 100},
          settings = {
            duration = 65
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.White
        })
      }
    }),
    
    -- explosive venom
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.GP.Anrak.M.Venom"),
      description = RK:T("Z.GP.Anrak.MD.Venom"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GP.Anrak.U.Anrak"),
          percent = 45,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 7
          }
        }),
        RaidKiller.Mechanic.Trigger.Buff({
          bypassDuration = true,
          bypassStacks = true,
          unit = RaidKiller.Mechanic.Trigger.Object.Constants.Any,
          ability = RK:T("Z.GP.Anrak.A.Venom"),
          settings = {
            duration = 31
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- call of anrak
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.GP.Anrak.M.Call"),
      description = RK:T("Z.GP.Anrak.MD.Call"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Anrak.U.Anrak"),
          ability = RK:T("Z.GP.Anrak.A.Call")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- brittle
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.GP.Anrak.M.Brittle"),
      description = RK:T("Z.GP.Anrak.MD.Brittle"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          role = "tank",
          ability = RK:T("Z.GP.Anrak.A.Brittle"),
          settings = {
            group = true
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
        })
      }
    })
  }
}));
