-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- first add at 90% then every 140-145s
-- boulder starts at 70% then every 60s
-- "Guurloth gathers the strength of the earth and focuses on ", "!" = boulder notification
-- ["Z.GP.Guurloth.MSG.Jump"] = {"Guurloth screams, \"Jump little fools!\""},
-- ["Z.GP.Guurloth.MSG.Friend"] = {"Guurloth screams, \"Say hello to my friend, little ones!\""},
-- ["Z.GP.Guurloth.MSG.Orb"] = {"Guurloth screams, \"Dare you gaze upon the Orb of Power?\""},
-- ["Z.GP.Guurloth.MSG.Run"] = {"Guurloth screams, \"Run little fools!\""},

-- guurloth
RaidKiller.Content:GetZones()[RK:T("Z.GP")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 2,
  name = RK:T("Z.GP.Guurloth"),
  profile = RK:DT("Z.GP.Guurloth"),
  timeout = 20,
  hitpoints = 1449241,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.GP.Guurloth.U.Guurloth")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Guurloth.U.Friend")
    })
  },
  mechanics = {
    
    -- suffer
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GP.Guurloth.M.Suffer"),
      description = RK:T("Z.GP.Guurloth.MD.Suffer"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Guurloth"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            continuous = false,
            duration = 20
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GP.Guurloth.M.Suffer"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 60
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          message = RK:T("Z.GP.Guurloth.MSG.Suffer")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Red
        })
      }
    }),
    
    -- rumbling earth
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.GP.Guurloth.M.Rumbling"),
      description = RK:T("Z.GP.Guurloth.MD.Rumbling"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Guurloth"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 6
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {1}, length = 2, timeout = 120},
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          ability = RK:T("Z.GP.Guurloth.A.Rumbling"),
          settings = {
            duration = 100
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- orb of searing power
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.GP.Guurloth.M.Orb"),
      description = RK:T("Z.GP.Guurloth.MD.Orb"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Guurloth"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 40
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {1}, length = 2, timeout = 140},
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          ability = RK:T("Z.GP.Guurloth.A.Orb"),
          settings = {
            duration = 125
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Pink
        })
      }
    }),
    
    -- earthen toil
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.GP.Guurloth.M.Toil"),
      description = RK:T("Z.GP.Guurloth.MD.Toil"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GP.Guurloth"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 165
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {1}, length = 2, timeout = 140},
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          ability = RK:T("Z.GP.Guurloth.A.Toil"),
          settings = {
            duration = 125
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- guurloth's call
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.GP.Guurloth.M.Call"),
      description = RK:T("Z.GP.Guurloth.MD.Call"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          ability = RK:T("Z.GP.Guurloth.A.Call"),
          settings = {
            duration = 140
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.BlueGrey
        })
      }
    }),
    
    -- boulder of destruction
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.GP.Guurloth.M.Boulder"),
      description = RK:T("Z.GP.Guurloth.MD.Boulder"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          ability = RK:T("Z.GP.Guurloth.A.Boulder"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),

    -- earthen geyser
    RaidKiller.Mechanic.Object({
      order = 7,
      name = RK:T("Z.GP.Guurloth.M.Geyser"),
      description = RK:T("Z.GP.Guurloth.MD.Geyser"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          ability = RK:T("Z.GP.Guurloth.A.Geyser"),
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- dust devil
    RaidKiller.Mechanic.Object({
      order = 8,
      name = RK:T("Z.GP.Guurloth.M.Dust"),
      description = RK:T("Z.GP.Guurloth.MD.Dust"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          percent = 80
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          percent = 50
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GP.Guurloth.U.Guurloth"),
          percent = 20
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        })
      }
    })
  }
}));
