-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- ["Z.GP.Uruluuk.MSG.Force"] = {"Uruluuk forms an expanding bubble of force!"},

-- uruluuk
RaidKiller.Content:GetZones()[RK:T("Z.GP")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 4,
  name = RK:T("Z.GP.Uruluuk"),
  profile = RK:DT("Z.GP.Uruluuk"),
  timeout = 25,
  hitpoints = 1554640,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.GP.Uruluuk.U.Uruluuk")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Uruluuk.U.Gold")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Uruluuk.U.Greed")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Uruluuk.U.Protection")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Uruluuk.U.Crystal")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Uruluuk.U.Earthspawn")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GP.Uruluuk.U.Fallen")
    })
  },
  mechanics = {
    
    -- fist of laethys
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GP.Uruluuk.M.Fist"),
      description = RK:T("Z.GP.Uruluuk.MD.Fist"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Uruluuk.U.Uruluuk"),
          ability = RK:T("Z.GP.Uruluuk.A.Fist"),
          settings = {
            duration = 31
          }
        }),
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- crystal imprisonment
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.GP.Uruluuk.M.Crystal"),
      description = RK:T("Z.GP.Uruluuk.MD.Crystal"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Uruluuk.U.Uruluuk"),
          ability = RK:T("Z.GP.Uruluuk.A.Crystal"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 31
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          message = RK:T("Z.GP.Uruluuk.MSG.Point")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Blue
        })
      }
    }),
    
    -- storm of force
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.GP.Uruluuk.M.Force"),
      description = RK:T("Z.GP.Uruluuk.MD.Force"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GP.Uruluuk.U.Uruluuk"),
          ability = RK:T("Z.GP.Uruluuk.A.Force"),
          settings = {
            duration = 62
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- curse of insignificance
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.GP.Uruluuk.M.Curse"),
      description = RK:T("Z.GP.Uruluuk.MD.Curse"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RaidKiller.Mechanic.Trigger.Object.Constants.Any,
          ability = RK:T("Z.GP.Uruluuk.A.Curse")
        }),
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- power of greed
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.GP.Uruluuk.M.Greed"),
      description = RK:T("Z.GP.Uruluuk.MD.Greed"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RK:T("Z.GP.Uruluuk.U.Uruluuk"),
          ability = RK:T("Z.GP.Uruluuk.A.Power")
        }),
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RK:T("Z.GP.Uruluuk.U.Uruluuk"),
          ability = RK:T("Z.GP.Uruluuk.A.Protection")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    })
  }
}));
