-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- infiltrator johlen
RaidKiller.Content:GetZones()[RK:T("Z.GSB")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 2,
  name = RK:T("Z.GSB.Infiltrator"),
  profile = RK:DT("Z.GSB.Infiltrator"),
  enrage = 7 * 60,
  units = {
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.GSB.Infiltrator.U.Infiltrator")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Infiltrator.U.Devastating")
    })
  },
  mechanics = {
    
    -- stops
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Stops"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.GSB.Infiltrator.MSG.Armed"),
          settings = {
            targetMechanic = RK:T("Z.GSB.Infiltrator.M.Blinding")
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.GSB.Infiltrator.MSG.Armed"),
          settings = {
            targetMechanic = RK:T("Z.GSB.Infiltrator.M.Concussion")
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Infiltrator.U.Devastating")
          },
          settings = {
            targetMechanic = RK:T("Z.GSB.Infiltrator.M.Devastating")
          }
        }),
      },
      actions = {
        RaidKiller.Mechanic.Action.Stop({
        })
      }
    }),
    
    -- concussion bomb
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GSB.Infiltrator.M.Concussion"),
      description = RK:T("Z.GSB.Infiltrator.MD.Concussion"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GSB.Infiltrator"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 9
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Infiltrator.U.Devastating")
          },
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 9
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Infiltrator.M.Concussion"),
          settings = {
            duration = 9
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- blinding bomb
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.GSB.Infiltrator.M.Blinding"),
      description = RK:T("Z.GSB.Infiltrator.MD.Blinding"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Infiltrator.U.Devastating")
          },
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 21
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Infiltrator.M.Blinding"),
          settings = {
            duration = 21
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.White
        })
      }
    }),
    
    -- devastating bomb
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.GSB.Infiltrator.M.Devastating"),
      description = RK:T("Z.GSB.Infiltrator.MD.Devastating"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.GSB.Infiltrator.MSG.Armed"),
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Red
        })
      }
    })
  }
}));
