-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- lord greenscale
RaidKiller.Content:GetZones()[RK:T("Z.GSB")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 5,
  name = RK:T("Z.GSB.Greenscale"),
  profile = RK:DT("Z.GSB.Greenscale"),
  enrage = 15 * 60,
  timeout = 25,
  hitpoints = 4567305,
  units = {
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.GSB.Greenscale.U.Greenscale")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Greenscale.U.Annihilator")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Greenscale.U.Mender")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Greenscale.U.Warlord")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Greenscale.U.Scoundrel")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Greenscale.U.Pollen")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("Z.GSB.Greenscale.P.Ground.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 75,
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("Z.GSB.Greenscale.P.Air.1"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Greenscale.U.Annihilator")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("Z.GSB.Greenscale.P.Ground.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 50,
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("Z.GSB.Greenscale.P.Air.2"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Greenscale.U.Annihilator")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 5,
      name = RK:T("Z.GSB.Greenscale.P.Ground.3"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 25,
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 6,
      name = RK:T("Z.GSB.Greenscale.P.Air.3"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Greenscale.U.Annihilator")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 7,
      name = RK:T("Z.GSB.Greenscale.P.Ground.4"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          percent = 75,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Greenscale.U.Annihilator")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        
        -- redundancy
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          percent = 50,
          settings = {
            completeObjective = true,
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          percent = 50,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Greenscale.U.Annihilator")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        }),
        
        -- redundancy
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          percent = 25,
          settings = {
            completeObjective = true,
            targetObjective = 1,
            targetPhase = 4
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          percent = 25,
          settings = {
            targetObjective = 1,
            targetPhase = 5
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Greenscale.U.Annihilator")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 6
          }
        }),
        
        -- redundancy
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Greenscale.U.Greenscale")
          },
          settings = {
            completeObjective = true,
            targetObjective = 1,
            targetPhase = 6
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Greenscale.U.Greenscale")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 7
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- stops
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Stops"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Greenscale.M.Blight")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Greenscale.M.Fumes")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Greenscale.M.Blight")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Greenscale.M.Fumes")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 5,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Greenscale.M.Blight")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 5,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Greenscale.M.Fumes")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Stop({
        })
      }
    }),
    
    -- strangling blight
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GSB.Greenscale.M.Blight"),
      description = RK:T("Z.GSB.Greenscale.MD.Blight"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GSB.Greenscale"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 5
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          ability = RK:T("Z.GSB.Greenscale.A.Blight"),
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- noxious fumes
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.GSB.Greenscale.M.Fumes"),
      description = RK:T("Z.GSB.Greenscale.MD.Fumes"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GSB.Greenscale"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 13
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {0}, length = 2, timeout = 35},
          unit = RK:T("Z.GSB.Greenscale.U.Greenscale"),
          ability = RK:T("Z.GSB.Greenscale.A.Fumes"),
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- lifebound mender: word of mending
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.GSB.Greenscale.M.Mending"),
      description = RK:T("Z.GSB.Greenscale.MD.Mending"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {0}, length = 2, timeout = 15},
          unit = RK:T("Z.GSB.Greenscale.U.Mender"),
          ability = RK:T("Z.GSB.Greenscale.A.Mending")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- verdant annihilator
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.GSB.Greenscale.M.Annihilator"),
      description = RK:T("Z.GSB.Greenscale.MD.Annihilator"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Greenscale.U.Annihilator")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Red
        })
      }
    })
  }
}));
