-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- oracle aleria
RaidKiller.Content:GetZones()[RK:T("Z.GSB")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 3,
  name = RK:T("Z.GSB.Oracle"),
  profile = RK:DT("Z.GSB.Oracle"),
  enrage = 8 * 60,
  units = {
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Oracle.U.Oracle")
    }),
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.GSB.Oracle.U.Necrotic")
    }),
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.GSB.Oracle.U.Primal")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Oracle.U.Necrotic")
        }),
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.GSB.Oracle.U.Primal")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Oracle.U.Oracle")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Oracle.U.Necrotic")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Oracle.U.Primal")
          },
          settings = {
            targetObjective = 2,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Oracle.U.Oracle")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- pulse
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GSB.Oracle.M.Pulse"),
      description = RK:T("Z.GSB.Oracle.MD.Pulse"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.GSB.Oracle.MSG.Pulse")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Green
        })
      }
    })
  }
}));
