-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- invocation of life
-- soul fracture = 20s afteru hit him
-- buff wears off?
-- ["Z.GSB.Prince.MSG.Wrath"] = {"Prince Hylas unleashes his wrath!"},
-- ["Z.GSB.Prince.MSG.Life"] = {"Prince Hylas channels the power of life!"},

-- prince hylas
RaidKiller.Content:GetZones()[RK:T("Z.GSB")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 4,
  name = RK:T("Z.GSB.Prince"),
  profile = RK:DT("Z.GSB.Prince"),
  timeout = 25,
  hitpoints = 1756656,
  units = {
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.GSB.Prince.U.Prince")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Prince.U.Duke")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Prince.U.Infiltrator")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.GSB.Prince.U.Oracle")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Engage({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Prince.U.Duke")
        }),
        RaidKiller.State.Objective.Engage({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.GSB.Prince.U.Infiltrator")
        }),
        RaidKiller.State.Objective.Engage({
          goal = 1,
          order = 3,
          required = true,
          unit = RK:T("Z.GSB.Prince.U.Oracle")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 10,
          unit = RK:T("Z.GSB.Prince.U.Prince")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.GSB.Prince.U.Prince")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        
        -- phase 1
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Duke"),
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Infiltrator"),
          settings = {
            targetObjective = 2,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Oracle"),
          settings = {
            targetObjective = 3,
            targetPhase = 1
          }
        }),
        
        -- phase 2
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GSB.Prince.U.Prince"),
          ability = RK:T("Z.GSB.Prince.A.Invocation"),
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        
        -- phase 3
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.GSB.Prince.U.Prince")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- stops
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Stops"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Prince.M.Spirit")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Prince.M.Wrath")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Prince.M.Soul")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.GSB.Prince.M.Cottontail")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Stop({
        })
      }
    }),
    
    -- spawns
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.GSB.Prince.M.Spawns"),
      description = RK:T("Z.GSB.Prince.MD.Spawns"),
      tested = false,
      triggers = {
        
        -- oracle
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Infiltrator"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            message = RK:T("Z.GSB.Prince.U.Oracle"),
            duration = 35
          }
        }),
        
        -- infiltrator
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Duke"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            message = RK:T("Z.GSB.Prince.U.Infiltrator"),
            duration = 35
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Infiltrator"),
          settings = {
            message = RK:T("Z.GSB.Prince.U.Infiltrator")
          }
        }),
        
        -- duke
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GSB.Prince"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            message = RK:T("Z.GSB.Prince.U.Duke"),
            duration = 12
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.GSB.Prince.M.Spawns"),
          message = RK:T("Z.GSB.Prince.U.Duke"),
          settings = {
            message = RK:T("Z.GSB.Prince.U.Duke")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- prince's wrath
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.GSB.Prince.M.Wrath"),
      description = RK:T("Z.GSB.Prince.MD.Wrath"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GSB.Prince"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 12
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GSB.Prince.U.Prince"),
          ability = RK:T("Z.GSB.Prince.A.Wrath"),
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- spirit fracture
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.GSB.Prince.M.Spirit"),
      description = RK:T("Z.GSB.Prince.MD.Spirit"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.GSB.Prince"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 12
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GSB.Prince.U.Prince"),
          ability = RK:T("Z.GSB.Prince.A.Spirit"),
          settings = {
            duration = 12
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- soul fracture
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.GSB.Prince.M.Soul"),
      description = RK:T("Z.GSB.Prince.MD.Soul"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 20
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GSB.Prince.U.Prince"),
          ability = RK:T("Z.GSB.Prince.A.Soul"),
          settings = {
            duration = 20
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Red
        })
      }
    }),
    
    -- cottontail
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.GSB.Prince.M.Cottontail"),
      description = RK:T("Z.GSB.Prince.MD.Cottontail"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 25
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.GSB.Prince.U.Prince"),
          ability = RK:T("Z.GSB.Prince.A.Cottontail"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 25
          }
        }),
        RaidKiller.Mechanic.Trigger.Buff({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          ability = RK:T("Z.GSB.Prince.A.Cottontail")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.White
        })
      }
    })
  }
}));
