-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- waterspouts? 15s? Phase 1 only; starts 9s at the start and then every 18.5-19s
-- unit = "Jornaru", ability = "Summon the Abyss" = Apostle

-- akylios
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 11,
  name = RK:T("Z.HK.Akylios"),
  profile = RK:DT("Z.HK.Akylios"),
  enrage = 20 * 60,
  timeout = 45,
  hitpoints = 14401386,
  units = {
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Akylios.U.Akylios")
    }),
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.HK.Akylios.U.Jornaru")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Akylios.U.Lasher")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Akylios.U.Stinger")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Akylios.U.Apostle")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Akylios.U.Deepclaw")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 50,
          unit = RK:T("Z.HK.Akylios.U.Jornaru")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 8,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Akylios.U.Stinger")
        }),
        RaidKiller.State.Objective.Kill({
          goal = 4,
          order = 2,
          required = true,
          unit = RK:T("Z.HK.Akylios.U.Lasher")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 55,
          unit = RK:T("Z.HK.Akylios.U.Akylios")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("G.P.4"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          required = true,
          percent = 15,
          unit = RK:T("Z.HK.Akylios.U.Akylios")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 5,
      name = RK:T("G.P.5"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Akylios.U.Jornaru")
        }),
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.HK.Akylios.U.Akylios")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Akylios.U.Jornaru"),
          percent = 50,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        
        -- redundancy
        RaidKiller.Mechanic.Trigger.Speak({
          unit = RK:T("Z.HK.Akylios.U.Jornaru"),
          message = RK:T("Z.HK.Akylios.MSG.Plan"),
          settings = {
            completeObjective = true,
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Akylios.U.Stinger")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Akylios.U.Lasher")
          },
          settings = {
            targetObjective = 2,
            targetPhase = 2
          }
        }),
        
        -- redundancy
        RaidKiller.Mechanic.Trigger.Speak({
          unit = RK:T("Z.HK.Akylios.U.Akylios"),
          message = RK:T("Z.HK.Akylios.MSG.Hope"),
          settings = {
            completeObjective = true,
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Speak({
          unit = RK:T("Z.HK.Akylios.U.Akylios"),
          message = RK:T("Z.HK.Akylios.MSG.Hope"),
          settings = {
            completeObjective = true,
            targetObjective = 2,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Akylios.U.Akylios"),
          percent = 55,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Akylios.U.Akylios"),
          percent = 15,
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Akylios.U.Jornaru")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 5
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Akylios.U.Akylios")
          },
          settings = {
            targetObjective = 2,
            targetPhase = 5
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- stops
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Stops"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Akylios.M.Wave")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Akylios.M.Apostle")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Akylios.M.Orb")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 4,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Akylios.M.Akylios")
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Akylios"),
          message = RK:T("Z.HK.Akylios.L.Submerge"),
          settings = {
            targetMechanic = RK:T("Z.HK.Akylios.M.Breath")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Stop({
        })
      }
    }),
    
    -- apostle
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Akylios.M.Apostle"),
      description = RK:T("Z.HK.Akylios.MD.Apostle"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 13
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Apostle"),
          duration = 13,
          settings = {
            duration = 70
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Apostle"),
          duration = 70,
          settings = {
            duration = 70
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 58
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Apostle"),
          duration = 58,
          settings = {
            duration = 80
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Apostle"),
          duration = 80,
          settings = {
            duration = 80
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- tidal wave
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Akylios.M.Wave"),
      description = RK:T("Z.HK.Akylios.MD.Wave"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 40
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Wave"),
          duration = 40,
          settings = {
            duration = 40
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 4,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 55
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Wave"),
          duration = 55,
          settings = {
            duration = 50
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Wave"),
          duration = 50,
          settings = {
            duration = 50
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Blue
        })
      }
    }),
    
    -- akylios
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Akylios.M.Akylios"),
      description = RK:T("Z.HK.Akylios.MD.Akylios"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            message = RK:T("Z.HK.Akylios.L.Emerge"),
            duration = 70
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Akylios"),
          message = RK:T("Z.HK.Akylios.L.Emerge"),
          settings = {
            message = RK:T("Z.HK.Akylios.L.Submerge"),
            duration = 80
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Akylios.M.Akylios"),
          message = RK:T("Z.HK.Akylios.L.Submerge"),
          settings = {
            message = RK:T("Z.HK.Akylios.L.Emerge"),
            duration = 75
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- apostle of jornaru: tidal storm
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Akylios.M.Storm"),
      description = RK:T("Z.HK.Akylios.MD.Storm"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Akylios.A.Storm"),
          unit = RK:T("Z.HK.Akylios.U.Apostle")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- cerebral bore
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.Akylios.M.Bore"),
      description = RK:T("Z.HK.Akylios.MD.Bore"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.Akylios.MSG.Bore")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- suffocating orb
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.HK.Akylios.M.Orb"),
      description = RK:T("Z.HK.Akylios.MD.Orb"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Akylios.A.Orb"),
          unit = RK:T("Z.HK.Akylios.U.Jornaru"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 30
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          message = RK:T("Z.HK.Akylios.MSG.Orb")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.BlueGrey
        })
      }
    }),
    
    -- mind decay
    RaidKiller.Mechanic.Object({
      order = 7,
      name = RK:T("Z.HK.Akylios.M.Decay"),
      description = RK:T("Z.HK.Akylios.MD.Decay"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          ability = RK:T("Z.HK.Akylios.A.Decay"),
          settings = {
            duration = 10
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Pink
        })
      }
    }),
    
    -- breath of madness
    RaidKiller.Mechanic.Object({
      order = 8,
      name = RK:T("Z.HK.Akylios.M.Breath"),
      description = RK:T("Z.HK.Akylios.MD.Breath"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Akylios.A.Breath"),
          unit = RK:T("Z.HK.Akylios.U.Akylios"),
          cycle = {mod = {1}, length = 2, timeout = 35},
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Cyan
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Cyan
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Cyan
        })
      }
    })
  }
}));
