-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- grugonim
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 8,
  name = RK:T("Z.HK.Grugonim"),
  profile = RK:DT("Z.HK.Grugonim"),
  timeout = 25,
  hitpoints = 13334616,
  enrage = 13 * 60,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.HK.Grugonim.U.Grugonim")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Grugonim.U.Crawler")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Grugonim.U.Death")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("Z.HK.Grugonim.P.Surface.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 50,
          required = true,
          unit = RK:T("Z.HK.Grugonim.U.Grugonim")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("Z.HK.Grugonim.P.Tower.1"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 3,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Grugonim.U.Death")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("Z.HK.Grugonim.P.Surface.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 10,
          required = true,
          unit = RK:T("Z.HK.Grugonim.U.Grugonim")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("Z.HK.Grugonim.P.Tower.1"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 6,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Grugonim.U.Death")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 5,
      name = RK:T("Z.HK.Grugonim.P.Surface.3"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Grugonim.U.Grugonim")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          percent = 50,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Grugonim.U.Death")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          percent = 10,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Grugonim.U.Death")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Grugonim.U.Grugonim")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 5
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- necrotic breath
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Grugonim.M.Breath"),
      description = RK:T("Z.HK.Grugonim.MD.Breath"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          ability = RK:T("Z.HK.Grugonim.A.Breath"),
          cycle = {mod = {1}, length = 6, timeout = 30},
          settings = {
            message = RK:T("Z.HK.Grugonim.L.Breath.1"),
            duration = 7.5
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          ability = RK:T("Z.HK.Grugonim.A.Breath"),
          cycle = {mod = {3}, length = 6, timeout = 30},
          settings = {
            message = RK:T("Z.HK.Grugonim.L.Breath.2"),
            duration = 7.5
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          ability = RK:T("Z.HK.Grugonim.A.Breath"),
          cycle = {mod = {5}, length = 6, timeout = 30},
          settings = {
            message = RK:T("Z.HK.Grugonim.L.Breath.3"),
            duration = 7.5
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- rampant decay
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Grugonim.M.Decay"),
      description = RK:T("Z.HK.Grugonim.MD.Decay"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          ability = RK:T("Z.HK.Grugonim.A.Decay")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Red
        })
      }
    }),
    
    -- corrosive bile
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Grugonim.M.Bile"),
      description = RK:T("Z.HK.Grugonim.MD.Bile"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          unit = RK:T("Z.HK.Grugonim.U.Grugonim"),
          ability = RK:T("Z.HK.Grugonim.A.Bile"),
          settings = {
            duration = 1.75
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          targetMechanic = RK:T("Z.HK.Grugonim.M.Bile")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Magenta
        })
      }
    }),
    
    -- death beam
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Grugonim.M.Beam"),
      description = RK:T("Z.HK.Grugonim.MD.Beam"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Grugonim.U.Death"),
          ability = RK:T("Z.HK.Grugonim.A.Beam")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- heart stopping toxin
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.Grugonim.M.Toxin"),
      description = RK:T("Z.HK.Grugonim.MD.Toxin"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          ability = RK:T("Z.HK.Grugonim.A.Toxin"),
          role = "tank",
          settings = {
            group = true
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          message = RK:T("Z.HK.Grugonim.L.Toxin")
        })
      }
    }),
    
    -- bloodplague essence
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.HK.Grugonim.M.Essence"),
      description = RK:T("Z.HK.Grugonim.MD.Essence"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          ability = RK:T("Z.HK.Grugonim.A.Essence")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
        })
      }
    })
  }
}));
