-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- ["Z.HK.Garau.MSG.Skulls"] = {"Your skulls will be crushed by the fists of golems!"},

-- inquisitor garau
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 9,
  name = RK:T("Z.HK.Garau"),
  profile = RK:DT("Z.HK.Garau"),
  timeout = 25,
  hitpoints = 13334616,
  enrage = 12 * 60,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.HK.Garau.U.Garau")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Garau.U.Porter")
    })
  },
  mechanics = {
    
    -- arcane essence
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Garau.M.Essence"),
      description = RK:T("Z.HK.Garau.MD.Essence"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.HK.Garau"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 17
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.Garau.MSG.Essence"),
          settings = {
            duration = 20
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.White
        })
      }
    }),
    
    -- bloodtide
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Garau.M.Tide"),
      description = RK:T("Z.HK.Garau.MD.Tide"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.HK.Garau"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 23
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Garau.U.Garau"),
          ability = RK:T("Z.HK.Garau.A.Tide"),
          settings = {
            duration = 20
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Pink
        })
      }
    }),
    
    -- glacial shield
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Garau.M.Shield"),
      description = RK:T("Z.HK.Garau.MD.Shield"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RK:T("Z.HK.Garau.U.Garau"),
          ability = RK:T("Z.HK.Garau.A.Shield")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Blue
        })
      }
    }),
    
    -- infused crawler
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Garau.M.Crawler"),
      description = RK:T("Z.HK.Garau.MD.Crawler"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.HK.Garau"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 30
          }
        }),
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Garau.MSG.Bask"),
          unit = RK:T("Z.HK.Garau.U.Garau"),
          settings = {
            duration = 30
          }
        }),
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Garau.MSG.Lives"),
          unit = RK:T("Z.HK.Garau.U.Garau"),
          settings = {
            duration = 30
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- arcane porter
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.Garau.M.Porter"),
      description = RK:T("Z.HK.Garau.MD.Porter"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.HK.Garau"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 45
          }
        }),
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Garau.MSG.Power"),
          unit = RK:T("Z.HK.Garau.U.Garau"),
          settings = {
            duration = 45
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Gold
        })
      }
    })
  }
}));
