-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- ["Z.HK.Inwar.MSG.Fools"] = {"Fools! You cannot stop what has been set in motion. The Tide Wardens are already collecting power from the storm. Soon they will wash you from existence, and then all of Telara!"},
-- ["Z.HK.Inwar.MSG.Fury"] = {"Yes! Feel the fury of the storm and know these are your final moments!"},
-- ["Z.HK.Inwar.MSG.Wave"] = {"Like a crashing wave..."},
-- ["Z.HK.Inwar.MSG.Wardens"] = {"The Tide Wardens are destroyed"},

-- inwar darktide
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 10,
  name = RK:T("Z.HK.Inwar"),
  profile = RK:DT("Z.HK.Inwar"),
  timeout = 25,
  hitpoints = 5333855,
  units = {
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Inwar.U.Inwar")
    }),
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.HK.Inwar.U.Aqualix")
    }),
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.HK.Inwar.U.Denizar")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Inwar.U.Slime")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Inwar.U.Warden")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Inwar.U.Rot")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Inwar.U.Undertow")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Inwar.U.Aqualix")
        }),
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.HK.Inwar.U.Denizar")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 2,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Inwar.U.Warden")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Inwar.U.Rot")
        }),
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.HK.Inwar.U.Undertow")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("G.P.4"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Inwar.U.Inwar")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Inwar.U.Aqualix")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Inwar.U.Denizar")
          },
          settings = {
            targetObjective = 2,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Inwar.U.Warden")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Inwar.U.Rot")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Inwar.U.Undertow")
          },
          settings = {
            targetObjective = 2,
            targetPhase = 3
          }
        }),
        
        -- redundancy
        RaidKiller.Mechanic.Trigger.Speak({
          unit = RK:T("Z.HK.Inwar.U.Inwar"),
          message = RK:T("Z.HK.Inwar.MSG.Drip"),
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Inwar.U.Inwar")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- stops
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Stops"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Inwar.M.Wave")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Inwar.M.Thunder")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Inwar.M.Surge.U")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.HK.Inwar.M.Pincher")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Stop({
        })
      }
    }),
    
    -- aqualix
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Inwar.M.Thunder"),
      description = RK:T("Z.HK.Inwar.MD.Thunder"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Inwar.MSG.Drown"),
          unit = RK:T("Z.HK.Inwar.U.Denizar"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 19
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Inwar.A.Thunder"),
          unit = RK:T("Z.HK.Inwar.U.Aqualix"),
          cycle = {mod = {0}, length = 2, timeout = 85},
          settings = {
            duration = 72
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- denizar
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Inwar.M.Wave"),
      description = RK:T("Z.HK.Inwar.MD.Wave"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Inwar.MSG.Drown"),
          unit = RK:T("Z.HK.Inwar.U.Denizar"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 12
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Inwar.A.Wave"),
          unit = RK:T("Z.HK.Inwar.U.Denizar"),
          settings = {
            duration = 72
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Blue
        })
      }
    }),
    
    -- rot jaw
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Inwar.M.Pincher"),
      description = RK:T("Z.HK.Inwar.MD.Pincher"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Inwar.MSG.Breathe"),
          unit = RK:T("Z.HK.Inwar.U.Rot"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 77
          }
        }),
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Inwar.MSG.Feed"),
          unit = RK:T("Z.HK.Inwar.U.Rot"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- undertow
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Inwar.M.Surge.U"),
      description = RK:T("Z.HK.Inwar.MD.Surge.U"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Inwar.MSG.Corpses"),
          unit = RK:T("Z.HK.Inwar.U.Undertow"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 20
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Inwar.A.Surge.U"),
          unit = RK:T("Z.HK.Inwar.U.Undertow"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          message = RK:T("Z.HK.Inwar.A.Surge.U"),
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Alert({
          message = RK:T("Z.HK.Inwar.A.Surge.U"),
          color = Wired.UI.Color.Magenta
        })
      }
    }),
    
    -- inwar darktide
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.Inwar.M.Tide"),
      description = RK:T("Z.HK.Inwar.MD.Tide"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Speak({
          message = RK:T("Z.HK.Inwar.MSG.Tide"),
          unit = RK:T("Z.HK.Inwar.U.Inwar"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 5
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Inwar.A.Tide"),
          unit = RK:T("Z.HK.Inwar.U.Inwar"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Blue
        })
      }
    }),
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.HK.Inwar.M.Surge.I"),
      description = RK:T("Z.HK.Inwar.MD.Surge.I"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.Inwar.MSG.Rage"),
          settings = {
            duration = 61
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          message = RK:T("Z.HK.Inwar.A.Surge.I"),
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Alert({
          message = RK:T("Z.HK.Inwar.A.Surge.I"),
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Magenta
        })
      }
    }),
    RaidKiller.Mechanic.Object({
      order = 7,
      name = RK:T("Z.HK.Inwar.M.Lash"),
      description = RK:T("Z.HK.Inwar.MD.Lash"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Inwar.A.Lash"),
          unit = RK:T("Z.HK.Inwar.U.Inwar"),
          settings = {
            duration = 66
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        })
      }
    })
  }
}));
