-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- add mechanic for target circle

-- matron zamira
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 3,
  name = RK:T("Z.HK.Matron"),
  profile = RK:DT("Z.HK.Matron"),
  hitpoints = 7822974,
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 40,
          required = true,
          unit = RK:T("Z.HK.Matron.U.Matron")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 30,
          required = true,
          unit = RK:T("Z.HK.Matron.U.Matron")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Matron.U.Matron")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Matron.U.Matron"),
          percent = 40,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Matron.U.Matron"),
          percent = 30,
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Matron.U.Matron")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- mark of oblivion
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Matron.M.Mark"),
      description = RK:T("Z.HK.Matron.MD.Mark"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.Matron.MSG.Mark")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Black
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Black
        })
      }
    }),
    
    -- arc of night
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Matron.M.Arc"),
      description = RK:T("Z.HK.Matron.MD.Arc"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Matron.U.Spirit"),
          ability = RK:T("Z.HK.Matron.A.Arc")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- hideous blast
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Matron.M.Blast"),
      description = RK:T("Z.HK.Matron.MD.Blast"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Matron.U.Matron"),
          ability = RK:T("Z.HK.Matron.A.Blast"),
          settings = {
            duration = 8
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- revolting ichor
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Matron.M.Ichor"),
      description = RK:T("Z.HK.Matron.MD.Ichor"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Matron.U.Matron"),
          ability = RK:T("Z.HK.Matron.A.Ichor"),
          settings = {
            duration = 5
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Red
        })
      }
    }),
    
    -- matron's curse
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.Matron.M.Curse"),
      description = RK:T("Z.HK.Matron.MD.Curse"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          role = "tank",
          ability = RK:T("Z.HK.Matron.A.Curse"),
          settings = {
            group = true
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
        })
      }
    }),
    
    -- corrupt gestation
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.HK.Matron.M.Gestation"),
      description = RK:T("Z.HK.Matron.MD.Gestation"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          ability = RK:T("Z.HK.Matron.A.Tome"),
          settings = {
            duration = 11
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Pink
        })
      }
    })
  }
}));
