-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- murdantix
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 1,
  name = RK:T("Z.HK.Murdantix"),
  profile = RK:DT("Z.HK.Murdantix"),
  hitpoints = 8556378,
  enrage = 10 * 60,
  units = {
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.HK.Murdantix.U.Murdantix")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 75,
          required = true,
          unit = RK:T("Z.HK.Murdantix.U.Murdantix")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 50,
          required = true,
          unit = RK:T("Z.HK.Murdantix.U.Murdantix")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 25,
          required = true,
          unit = RK:T("Z.HK.Murdantix.U.Murdantix")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("G.P.4"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Murdantix.U.Murdantix")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Murdantix.U.Murdantix"),
          percent = 75,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Murdantix.U.Murdantix"),
          percent = 50,
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Murdantix.U.Murdantix"),
          percent = 25,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Murdantix.U.Murdantix")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- soul trauma
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Murdantix.M.Trauma"),
      description = RK:T("Z.HK.Murdantix.MD.Trauma"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Murdantix.U.Murdantix"),
          ability = RK:T("Z.HK.Murdantix.A.Trauma"),
          settings = {
            duration = 9
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- demonic blast
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Murdantix.M.Blast"),
      description = RK:T("Z.HK.Murdantix.MD.Blast"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Murdantix.U.Murdantix"),
          ability = RK:T("Z.HK.Murdantix.A.Blast"),
          settings = {
            duration = 17
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- mangling crush
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Murdantix.M.Crush"),
      description = RK:T("Z.HK.Murdantix.MD.Crush"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.HK.Murdantix"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 10
          }
        }),
        RaidKiller.Mechanic.Trigger.Buff({
          bypassDuration = true,
          bypassStacks = true,
          unit = RaidKiller.Mechanic.Trigger.Object.Constants.Any,
          ability = RK:T("Z.HK.Murdantix.A.Mangled"),
          settings = {
            duration = 11
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.BlueGrey
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.BlueGrey
        })
      }
    }),
    
    -- ferocious pound
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Murdantix.M.Pound"),
      description = RK:T("Z.HK.Murdantix.MD.Pound"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.HK.Murdantix"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 30
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.HK.Murdantix.M.Pound"),
          settings = {
            duration = 35
          }
        }),
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Magenta
        })
      }
    }),
    
    -- mangled
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.Murdantix.M.Mangled"),
      description = RK:T("Z.HK.Murdantix.MD.Mangled"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          role = "tank",
          ability = RK:T("Z.HK.Murdantix.A.Mangled"),
          settings = {
            group = true
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
        })
      }
    })
  }
}));
