-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- prince hp = 3532562

-- rune king molinar
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 4,
  name = RK:T("Z.HK.King"),
  profile = RK:DT("Z.HK.King"),
  hitpoints = 5133826,
  enrage = 10 * 60,
  units = {
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.HK.King.U.King")
    }),
    RaidKiller.State.Unit({
      chronicle = true,
      primary = true,
      unit = RK:T("Z.HK.King.U.Prince")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.King.U.Revenant")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 90,
          unit = RK:T("Z.HK.King.U.Prince")
        }),
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 2,
          percent = 90,
          unit = RK:T("Z.HK.King.U.King")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 65,
          unit = RK:T("Z.HK.King.U.Prince")
        }),
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 2,
          percent = 65,
          unit = RK:T("Z.HK.King.U.King")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 40,
          unit = RK:T("Z.HK.King.U.Prince")
        }),
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 2,
          percent = 40,
          unit = RK:T("Z.HK.King.U.King")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("G.P.4"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.King.U.Prince")
        }),
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.HK.King.U.King")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.King.U.Prince"),
          percent = 90,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.King.U.King"),
          percent = 90,
          settings = {
            targetObjective = 2,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.King.U.Prince"),
          percent = 65,
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.King.U.King"),
          percent = 65,
          settings = {
            targetObjective = 2,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.King.U.Prince"),
          percent = 40,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.King.U.King"),
          percent = 40,
          settings = {
            targetObjective = 2,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.King.U.Prince")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.King.U.King")
          },
          settings = {
            targetObjective = 2,
            targetPhase = 4
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- terminate life
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.King.M.Terminate"),
      description = RK:T("Z.HK.King.MD.Terminate"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.King.U.Prince"),
          ability = RK:T("Z.HK.King.A.Terminate"),
          settings = {
            duration = 21
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- consuming essence
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.King.M.Essence.Prince"),
      description = RK:T("Z.HK.King.MD.Essence.Prince"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.King.U.Prince"),
          ability = RK:T("Z.HK.King.A.Essence"),
          settings = {
            duration = 23
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.King.M.Essence.King"),
      description = RK:T("Z.HK.King.MD.Essence.King"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.King.U.King"),
          ability = RK:T("Z.HK.King.A.Essence"),
          settings = {
            duration = 11
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- shout
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.King.M.Shout"),
      description = RK:T("Z.HK.King.MD.Shout"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.King.U.King"),
          ability = RK:T("Z.HK.King.A.Shout"),
          settings = {
            duration = 15
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- feedback
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.HK.King.M.Feedback"),
      description = RK:T("Z.HK.King.MD.Feedback"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.King.MSG.Feedback"),
          settings = {
            duration = 50
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Magenta
        })
      }
    }),
    
    -- revenant
    RaidKiller.Mechanic.Object({
      order = 6,
      name = RK:T("Z.HK.King.M.Revenant"),
      description = RK:T("Z.HK.King.MD.Revenant"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.King.MSG.Revenant"),
          settings = {
            duration = 80
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.White
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.White
        })
      }
    }),
    
    -- cursed blows
    RaidKiller.Mechanic.Object({
      order = 7,
      name = RK:T("Z.HK.King.M.Blows"),
      description = RK:T("Z.HK.King.MD.Blows"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.King.MSG.Demolish"),
          settings = {
            duration = 55
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Red
        })
      }
    })
  }
}));
