-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- sicaron
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 7,
  name = RK:T("Z.HK.Sicaron"),
  profile = RK:DT("Z.HK.Sicaron"),
  hitpoints = 14934771,
  enrage = 12 * 60,
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 80,
          required = true,
          unit = RK:T("Z.HK.Sicaron.U.Sicaron")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 60,
          required = true,
          unit = RK:T("Z.HK.Sicaron.U.Sicaron")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 40,
          required = true,
          unit = RK:T("Z.HK.Sicaron.U.Sicaron")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("G.P.4"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 20,
          required = true,
          unit = RK:T("Z.HK.Sicaron.U.Sicaron")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 5,
      name = RK:T("G.P.5"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Sicaron.U.Sicaron")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          percent = 80,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          percent = 60,
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          percent = 40,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          percent = 20,
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Sicaron.U.Sicaron")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 5
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- unholy contract
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Sicaron.M.Contract"),
      description = RK:T("Z.HK.Sicaron.MD.Contract"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.HK.Sicaron.MSG.Contract")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          duration = 17,
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Blue
        })
      }
    }),
    
    -- moldering decay
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Sicaron.M.Decay"),
      description = RK:T("Z.HK.Sicaron.MD.Decay"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {0}, length = 2, timeout = 35},
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          ability = RK:T("Z.HK.Sicaron.A.Decay"),
          settings = {
            duration = 20
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Purple
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Purple
        })
      }
    }),
    
    -- excruciating hex
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Sicaron.M.Hex"),
      description = RK:T("Z.HK.Sicaron.MD.Hex"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          ability = RK:T("Z.HK.Sicaron.A.Hex"),
          settings = {
            duration = 25
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- soul harvest
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.HK.Sicaron.M.Harvest"),
      description = RK:T("Z.HK.Sicaron.MD.Harvest"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RK:T("Z.HK.Sicaron.U.Sicaron"),
          ability = RK:T("Z.HK.Sicaron.A.Harvest"),
          settings = {
            duration = 15
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
        })
      }
    })
  }
}));
