-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- mages start at emote and then every 60-70s?
-- message = {"Sons of Regulos! I require your assistance!"}

-- soulrender zilas
RaidKiller.Content:GetZones()[RK:T("Z.HK")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 2,
  name = RK:T("Z.HK.Zilas"),
  profile = RK:DT("Z.HK.Zilas"),
  hitpoints = 6160592,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.HK.Zilas.U.Zilas")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Zilas.U.Imp")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.HK.Zilas.U.Spirit")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 70,
          required = true,
          unit = RK:T("Z.HK.Zilas.U.Zilas")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 50,
          required = true,
          unit = RK:T("Z.HK.Zilas.U.Zilas")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Weaken({
          goal = 1,
          order = 1,
          percent = 30,
          required = true,
          unit = RK:T("Z.HK.Zilas.U.Zilas")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 4,
      name = RK:T("G.P.4"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.HK.Zilas.U.Zilas")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Zilas.U.Zilas"),
          percent = 70,
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Zilas.U.Zilas"),
          percent = 50,
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        RaidKiller.Mechanic.Trigger.Percentage({
          unit = RK:T("Z.HK.Zilas.U.Zilas"),
          percent = 30,
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.HK.Zilas.U.Zilas")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 4
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- soulrender's grasp
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.HK.Zilas.M.Grasp"),
      description = RK:T("Z.HK.Zilas.MD.Grasp"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 50
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {0}, length = 2, timeout = 80},
          unit = RK:T("Z.HK.Zilas.U.Zilas"),
          ability = RK:T("Z.HK.Zilas.A.Grasp"),
          settings = {
            duration = 58
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Magenta
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Magenta
        })
      }
    }),
    
    -- cede spirit
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.HK.Zilas.M.Cede"),
      description = RK:T("Z.HK.Zilas.MD.Cede"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Zilas.U.Imp"),
          ability = RK:T("Z.HK.Zilas.A.Cede")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- dark volley
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.HK.Zilas.M.Volley"),
      description = RK:T("Z.HK.Zilas.MD.Volley"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.HK.Zilas.U.Spirit"),
          ability = RK:T("Z.HK.Zilas.A.Volley")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Blue
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Blue
        })
      }
    })
  }
}));
