-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- beruhast
RaidKiller.Content:GetZones()[RK:T("Z.RotP")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 2,
  name = RK:T("Z.RotP.Beruhast"),
  profile = RK:DT("Z.RotP.Beruhast"),
  hitpoints = 2522464,
  enrage = 8 * 60,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.RotP.Beruhast.U.Beruhast")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RotP.Beruhast.U.Summoned")
    })
  },
  mechanics = {
    
    -- inferno lash
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.RotP.Beruhast.M.Lash"),
      description = RK:T("Z.RotP.Beruhast.MD.Lash"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RotP.Beruhast.U.Beruhast"),
          ability = RK:T("Z.RotP.Beruhast.A.Lash")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Yellow
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Yellow
        })
      }
    }),
    
    -- summoned flame
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.RotP.Beruhast.M.Summoned"),
      description = RK:T("Z.RotP.Beruhast.MD.Summoned"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RotP.Beruhast"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 60
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.RotP.Beruhast.MSG.Pet"),
          settings = {
            duration = 70
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- leaping flame
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.RotP.Beruhast.M.Leaping"),
      description = RK:T("Z.RotP.Beruhast.MD.Leaping"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RotP.Beruhast"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 30
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RotP.Beruhast.U.Beruhast"),
          ability = RK:T("Z.RotP.Beruhast.A.Leaping"),
          settings = {
            duration = 70
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- flaming vortex
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.RotP.Beruhast.M.Vortex"),
      description = RK:T("Z.RotP.Beruhast.MD.Vortex"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RotP.Beruhast.U.Beruhast"),
          ability = RK:T("Z.RotP.Beruhast.A.Vortex")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- die alone
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.RotP.Beruhast.M.Alone"),
      description = RK:T("Z.RotP.Beruhast.MD.Alone"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RotP.Beruhast"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 45
          }
        }),
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.RotP.Beruhast.M.Alone"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 70
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          message = RK:T("Z.RotP.Beruhast.MSG.Alone")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Pink
        }),
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Pink
        })
      }
    })
  }
}));
