-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- general silgen
RaidKiller.Content:GetZones()[RK:T("Z.RotP")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 3,
  name = RK:T("Z.RotP.General"),
  profile = RK:DT("Z.RotP.General"),
  hitpoints = 4600442,
  mechanics = {
    
    -- incinerate
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.RotP.General.M.Incinerate"),
      description = RK:T("Z.RotP.General.MD.Incinerate"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RotP.General"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 62
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RotP.General.U.General"),
          ability = RK:T("Z.RotP.General.A.Incinerate"),
          settings = {
            duration = 62
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Red
        })
      }
    }),
    
    -- heat funnel
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.RotP.General.M.Funnel"),
      description = RK:T("Z.RotP.General.MD.Funnel"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RotP.General.U.General"),
          ability = RK:T("Z.RotP.General.A.Funnel"),
          settings = {
            duration = 14
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- anchored in flames
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.RotP.General.M.Anchor"),
      description = RK:T("Z.RotP.General.MD.Anchor"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          ability = RK:T("Z.RotP.General.A.Anchor")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- time bomb
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.RotP.General.M.Time"),
      description = RK:T("Z.RotP.General.MD.Time"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RaidKiller.Mechanic.Trigger.Object.Constants.Any,
          ability = RK:T("Z.RotP.General.A.Time")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Green
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Green
        })
      }
    }),
    
    -- concussion bomb
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.RotP.General.M.Concussion"),
      description = RK:T("Z.RotP.General.MD.Concussion"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          unit = RaidKiller.Mechanic.Trigger.Object.Constants.Any,
          ability = RK:T("Z.RotP.General.A.Concussion")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Cyan
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Cyan
        })
      }
    })
  }
}));
