-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- high priest arakhurn
RaidKiller.Content:GetZones()[RK:T("Z.RotP")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 4,
  name = RK:T("Z.RotP.Priest"),
  profile = RK:DT("Z.RotP.Priest"),
  hitpoints = 4200000,
  timeout = 50,
  enrage = 14.5 * 60,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.RotP.Priest.U.Priest")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RotP.Priest.U.Spawn")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RotP.Priest.U.Enraged")
    })
  },
  phases = {
    RaidKiller.State.Phase({
      order = 1,
      name = RK:T("G.P.1"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.RotP.Priest.U.Priest")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 2,
      name = RK:T("G.P.2"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 6,
          order = 1,
          required = false,
          unit = RK:T("Z.RotP.Priest.U.Spawn")
        }),
        RaidKiller.State.Objective.Engage({
          goal = 1,
          order = 2,
          required = true,
          unit = RK:T("Z.RotP.Priest.U.Priest")
        })
      }
    }),
    RaidKiller.State.Phase({
      order = 3,
      name = RK:T("G.P.3"),
      objectives = {
        RaidKiller.State.Objective.Kill({
          goal = 1,
          order = 1,
          required = true,
          unit = RK:T("Z.RotP.Priest.U.Priest")
        })
      }
    })
  },
  mechanics = {
    
    -- phasing
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Phasing"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Speak({
          unit = RK:T("Z.RotP.Priest.U.Priest"),
          message = RK:T("Z.RotP.Priest.MSG.Fire"),
          settings = {
            targetObjective = 1,
            targetPhase = 1
          }
        }),
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.RotP.Priest.U.Spawn")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 2
          }
        }),
        
        -- timer redundancy
        RaidKiller.Mechanic.Trigger.Timer({
          targetMechanic = RK:T("Z.RotP.Priest.M.Resurrection"),
          settings = {
            targetObjective = 2,
            targetPhase = 2
          }
        }),
        
        --[[
        RaidKiller.Mechanic.Trigger.Notify({
          message = RK:T("Z.RotP.Priest.MSG.Lava"),
          settings = {
            targetObjective = 2,
            targetPhase = 2
          }
        }),
        --]]
        
        RaidKiller.Mechanic.Trigger.Death({
          units = {
            RK:T("Z.RotP.Priest.U.Priest")
          },
          settings = {
            targetObjective = 1,
            targetPhase = 3
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Objective({
        })
      }
    }),
    
    -- stops
    RaidKiller.Mechanic.Object({
      name = RK:T("G.M.Stops"),
      hidden = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.RotP.Priest.M.Nova")
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 1,
          exited = true,
          settings = {
            targetMechanic = RK:T("Z.RotP.Priest.M.Elemental")
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Stop({
        })
      }
    }),
    
    -- fire nova
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.RotP.Priest.M.Nova"),
      description = RK:T("Z.RotP.Priest.MD.Nova"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RotP.Priest"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 45
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 60
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RotP.Priest.U.Priest"),
          ability = RK:T("Z.RotP.Priest.A.Nova"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Flash({
          enabled = true,
          color = Wired.UI.Color.Red
        }),
        RaidKiller.Mechanic.Action.Timer({
          enabled = true,
          color = Wired.UI.Color.Red
        })
      }
    }),
    
    -- fiery metamorphosis
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.RotP.Priest.M.Metamorphosis"),
      description = RK:T("Z.RotP.Priest.MD.Metamorphosis"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RotP.Priest"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 75
          }
        }),
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 3,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 93
          }
        }),
        RaidKiller.Mechanic.Trigger.Buff({
          bypassDuration = true,
          bypassStacks = true,
          unit = RaidKiller.Mechanic.Trigger.Object.Constants.Any,
          ability = RK:T("Z.RotP.Priest.A.Metamorphosis"),
          settings = {
            duration = 60
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        })
      }
    }),
    
    -- resurrection
    RaidKiller.Mechanic.Object({
      order = 3,
      name = RK:T("Z.RotP.Priest.M.Resurrection"),
      description = RK:T("Z.RotP.Priest.MD.Resurrection"),
      tested = true,
      triggers = {
        RaidKiller.Mechanic.Trigger.Phase({
          phase = 2,
          entered = true,
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 47
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          enabled = true
        })
      }
    }),
    
    -- ignited
    RaidKiller.Mechanic.Object({
      order = 4,
      name = RK:T("Z.RotP.Priest.M.Ignited"),
      description = RK:T("Z.RotP.Priest.MD.Ignited"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          ability = RK:T("Z.RotP.Priest.A.Ignited"),
          stacks = 6
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Orange
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Orange
        })
      }
    }),
    
    -- armor rip
    RaidKiller.Mechanic.Object({
      order = 5,
      name = RK:T("Z.RotP.Priest.M.Rip"),
      description = RK:T("Z.RotP.Priest.MD.Rip"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Buff({
          ability = RK:T("Z.RotP.Priest.A.Rip"),
          role = "tank",
          settings = {
            group = true
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          message = RK:T("Z.RotP.Priest.L.Rip")
        })
      }
    })
  }
}));
