-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- air phase 100s from engage, and 143s after that
-- void curse (cast(ancient executioner, ancient cutthroat) > timer)

-- herald gaurath
RaidKiller.Content:GetZones()[RK:T("Z.RoS")]:GetDifficulties()[RK:T("D.Standard")]:AddEncounter(RaidKiller.Category.Encounter({
  order = 4,
  name = RK:T("Z.RoS.Herald"),
  profile = RK:DT("Z.RoS.Herald"),
  enrage = 9.5 * 60,
  hitpoints = 3706543,
  units = {
    RaidKiller.State.Unit({
      primary = true,
      unit = RK:T("Z.RoS.Herald.U.Herald")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RoS.Herald.U.Executioner")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RoS.Herald.U.Cutthroat")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RoS.Herald.U.Defiler")
    }),
    RaidKiller.State.Unit({
      unit = RK:T("Z.RoS.Herald.U.Horror")
    })
  },
  mechanics = {
    
    -- raise the dead
    RaidKiller.Mechanic.Object({
      order = 1,
      name = RK:T("Z.RoS.Herald.M.Raise"),
      description = RK:T("Z.RoS.Herald.MD.Raise"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {1}, length = 2, timeout = 90},
          unit = RK:T("Z.RoS.Herald.U.Herald"),
          ability = RK:T("Z.RoS.Herald.A.Raise"),
          settings = {
            duration = 75
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          cycle = {mod = {0}, length = 2, timeout = 90},
          unit = RK:T("Z.RoS.Herald.U.Herald"),
          ability = RK:T("Z.RoS.Herald.A.Raise"),
          settings = {
            duration = 70
          }
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Turquoise
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Turquoise
        })
      }
    }),
    
    -- woeful tidings
    RaidKiller.Mechanic.Object({
      order = 2,
      name = RK:T("Z.RoS.Herald.M.Tidings"),
      description = RK:T("Z.RoS.Herald.MD.Tidings"),
      tested = false,
      triggers = {
        RaidKiller.Mechanic.Trigger.Engage({
          encounter = RK:T("Z.RoS.Herald"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 110
          }
        }),
        RaidKiller.Mechanic.Trigger.Cast({
          unit = RK:T("Z.RoS.Herald.U.Herald"),
          ability = RK:T("Z.RoS.Herald.A.Tidings"),
          actionRestriction = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          settings = {
            duration = 143
          }
        }),
        RaidKiller.Mechanic.Trigger.Notify({
          actionExclusion = RaidKiller.Mechanic.Action.Object.Constants.Types.Timer,
          message = RK:T("Z.RoS.Herald.MSG.Tidings")
        })
      },
      actions = {
        RaidKiller.Mechanic.Action.Timer({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Alert({
          color = Wired.UI.Color.Gold
        }),
        RaidKiller.Mechanic.Action.Flash({
          color = Wired.UI.Color.Gold
        })
      }
    })
  }
}));
