-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Mechanic.Action.Flash = class(RaidKiller.Mechanic.Action.Object);

-- constants
RaidKiller.Mechanic.Action.Flash.Constants = {
  Persistence = {
    Color = "Color",
    CycleDuration = "CycleDuration",
    Cycles = "Cycles",
    Direction = "Direction",
    Size = "Size"
  }
};

-- constructor
function RaidKiller.Mechanic.Action.Flash:Constructor(data)
  RaidKiller.Mechanic.Action.Object.Constructor(self, data);
  
  -- constants
  self:SetType(RaidKiller.Mechanic.Action.Object.Constants.Types.Flash);
  self:SetName(RaidKiller.Mechanic.Action.Object.Constants.Names.Flash);
  
  -- parameters
  self:SetColor(data.color);
  self:SetCycleDuration(data.cycleDuration);
  self:SetCycles(data.cycles);
  self:SetDirection(data.direction);
  self:SetSize(data.size);
end

-- color
function RaidKiller.Mechanic.Action.Flash:GetColor()
  local value = self:GetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Color);
  local result = nil;
  if (value) then
    if (value.Red and value.Green and value.Blue and value.Alpha) then
      result = Wired.UI.Color(
        value.Red,
        value.Green,
        value.Blue,
        value.Alpha
      );
    end
  end
  return result;
end

function RaidKiller.Mechanic.Action.Flash:SetColor(value)
  local color = {};
  if (value) then
    color = {
      Red = value:GetRed(),
      Green = value:GetGreen(),
      Blue = value:GetBlue(),
      Alpha = value:GetAlpha()
    };
  end
  self:SetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Color, color);
end

-- cycle duration
function RaidKiller.Mechanic.Action.Flash:GetCycleDuration()
  return self:GetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.CycleDuration);
end

function RaidKiller.Mechanic.Action.Flash:SetCycleDuration(value)
  self:SetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.CycleDuration, value);
end

-- cycles
function RaidKiller.Mechanic.Action.Flash:GetCycles()
  return self:GetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Cycles);
end

function RaidKiller.Mechanic.Action.Flash:SetCycles(value)
  self:SetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Cycles, value);
end

-- direction
function RaidKiller.Mechanic.Action.Flash:GetDirection()
  return self:GetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Direction);
end

function RaidKiller.Mechanic.Action.Flash:SetDirection(value)
  self:SetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Direction, value);
end

-- size
function RaidKiller.Mechanic.Action.Flash:GetSize()
  return self:GetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Size);
end

function RaidKiller.Mechanic.Action.Flash:SetSize(value)
  self:SetPersistenceValue(RaidKiller.Mechanic.Action.Flash.Constants.Persistence.Size, value);
end

-- settings
function RaidKiller.Mechanic.Action.Flash:GetSettings()
  return {
    color = self:GetColor(),
    cycleDuration = self:GetCycleDuration(),
    cycles = self:GetCycles(),
    direction = self:GetDirection(),
    size = self:GetSize()
  };
end

-- execute
function RaidKiller.Mechanic.Action.Flash:Execute(settings)
  self:GetManager():GetFlash():Start(settings);
end
