-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Mechanic.Action.Object = class(RaidKiller.Mechanic.Component);

-- constants
RaidKiller.Mechanic.Action.Object.Constants = {
  Types = {
    Alert = 1,
    Flash = 2,
    Message = 3,
    Objective = 4,
    Phase = 5,
    Stop = 6,
    Timer = 7
  },
  Names = {
    Alert = RK:T("UI.A.Alert"),
    Flash = RK:T("UI.A.Flash"),
    Message = RK:T("UI.A.Message"),
    Objective = RK:T("UI.A.Objective"),
    Phase = RK:T("UI.A.Phase"),
    Timer = RK:T("UI.A.Timer"),
    Stop = RK:T("UI.A.Stop")
  },
  Persistence = {
    Enabled = "Enabled"
  }
};

-- constructor
function RaidKiller.Mechanic.Action.Object:Constructor(data)
  RaidKiller.Mechanic.Component.Constructor(self, data);
  
  -- parameters
  self:SetEnabled(data.enabled);
end

-- enabled
function RaidKiller.Mechanic.Action.Object:GetEnabled()
  return self:GetPersistenceValue(RaidKiller.Mechanic.Action.Object.Constants.Persistence.Enabled);
end

function RaidKiller.Mechanic.Action.Object:SetEnabled(value)
  self:SetPersistenceValue(RaidKiller.Mechanic.Action.Object.Constants.Persistence.Enabled, value);
end
