-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

RaidKiller.Mechanic.Action.Objective = class(RaidKiller.Mechanic.Action.Object);

function RaidKiller.Mechanic.Action.Objective:Constructor(data)
  RaidKiller.Mechanic.Action.Object.Constructor(self, data);
  
  -- constants
  self:SetType(RaidKiller.Mechanic.Action.Object.Constants.Types.Objective);
  self:SetName(RaidKiller.Mechanic.Action.Object.Constants.Names.Objective);
  
  -- parameters
  self:SetTargetObjective(data.targetObjective);
  self:SetTargetPhase(data.targetPhase);
  
  -- enabled
  self:SetEnabled(true);
end

-- target objective
function RaidKiller.Mechanic.Action.Objective:GetTargetObjective()
  return self.targetObjective;
end

function RaidKiller.Mechanic.Action.Objective:SetTargetObjective(value)
  self.targetObjective = value;
end

-- target phase
function RaidKiller.Mechanic.Action.Objective:GetTargetPhase()
  return self.targetPhase;
end

function RaidKiller.Mechanic.Action.Objective:SetTargetPhase(value)
  self.targetPhase = value;
end

-- settings
function RaidKiller.Mechanic.Action.Objective:GetSettings()
  return {
    targetObjective = self:GetTargetObjective(),
    targetPhase = self:GetTargetPhase()
  };
end

-- execute
function RaidKiller.Mechanic.Action.Objective:Execute(settings)
  
  -- encounter state
  local state = self:GetManager():GetState();
  
  -- phase
  local phase = nil;
  if (state) then
    phase = state:GetPhase();
  end
  
  -- objective
  local objective = nil;
  if (phase) then
    
    -- match phase order
    if (phase:GetOrder() == settings.targetPhase) then
      
      -- match objective by order
      objective = phase:GetObjectivesByOrder()[settings.targetObjective];
    end
  end
  
  -- progress
  if (objective) then
    local progress = 1;
    
    -- complete
    if (settings.completeObjective) then
      progress = objective:GetGoal();
    end
    
    -- progress
    objective:Progress(progress);
  end
end
