-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

RaidKiller.Mechanic.Action.Phase = class(RaidKiller.Mechanic.Action.Object);

function RaidKiller.Mechanic.Action.Phase:Constructor(data)
  RaidKiller.Mechanic.Action.Object.Constructor(self, data);
  
  -- constants
  self:SetType(RaidKiller.Mechanic.Action.Object.Constants.Types.Phase);
  self:SetName(RaidKiller.Mechanic.Action.Object.Constants.Names.Phase);
  
  -- parameters
  self:SetPhase(data.phase);
  
  -- enabled
  self:SetEnabled(true);
end

-- phase
function RaidKiller.Mechanic.Action.Phase:GetPhase()
  return self.phase;
end

function RaidKiller.Mechanic.Action.Phase:SetPhase(value)
  self.phase = value;
end

-- settings
function RaidKiller.Mechanic.Action.Phase:GetSettings()
  return {
    phase = self:GetPhase()
  };
end

-- execute
function RaidKiller.Mechanic.Action.Phase:Execute(settings)
  
  -- encounter state
  local state = self:GetManager():GetState();
  
  -- set phase
  if (state) then
    state:SetPhase(settings.phase);
  end
end
