-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

RaidKiller.Mechanic.Action.Stop = class(RaidKiller.Mechanic.Action.Object);

function RaidKiller.Mechanic.Action.Stop:Constructor(data)
  RaidKiller.Mechanic.Action.Object.Constructor(self, data);
  
  -- constants
  self:SetType(RaidKiller.Mechanic.Action.Object.Constants.Types.Stop);
  self:SetName(RaidKiller.Mechanic.Action.Object.Constants.Names.Stop);
  
  -- parameters
  self:SetTargetMechanic(data.targetMechanic);
  
  -- enabled
  self:SetEnabled(true);
end

-- target
function RaidKiller.Mechanic.Action.Stop:GetTargetMechanic()
  return self.targetMechanic;
end

function RaidKiller.Mechanic.Action.Stop:SetTargetMechanic(value)
  self.targetMechanic = value;
end

-- settings
function RaidKiller.Mechanic.Action.Stop:GetSettings()
  return {
    targetMechanic = self:GetTargetMechanic()
  };
end

-- execute
function RaidKiller.Mechanic.Action.Stop:Execute(settings)
  
  -- target mechanic
  local targetMechanic = nil;
  
  -- state
  local state = self:GetManager():GetState();
  if (state) then
    
    -- mechanics
    for k, mechanic in pairs(state:GetEncounter():GetMechanics()) do
    
      -- match name
      if (mechanic:GetName() == settings.targetMechanic) then
        targetMechanic = mechanic;
      end
    end
  end
  
  -- timerAction
  local timerAction = nil;
  if (targetMechanic) then
    
    -- actions
    for k, action in pairs(targetMechanic:GetActions()) do
      
      -- match type
      if (action:GetType() == RaidKiller.Mechanic.Action.Object.Constants.Types.Timer) then
        timerAction = action;
      end
    end
  end
  
  -- exists
  if (timerAction) then
    
    -- timers
    for k, timer in pairs(timerAction:GetTimers()) do
      
      -- deactivate
      local deactivate = false;
      
      -- active
      if (timer:GetActive()) then
        deactivate = true;
      end
      
      -- deactivate
      if (deactivate) then
        timer:SetActive(false);
        timer:SetVisible(false);
      end
    end
  end
end
