-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Mechanic.Component = class(RaidKiller.Category.Object);

-- constructor
function RaidKiller.Mechanic.Component:Constructor(data)
  RaidKiller.Category.Object.Constructor(self, data);
  
  -- parameters
  self:SetType(data.type);
  self:SetSettings(data.settings);
end

-- type
function RaidKiller.Mechanic.Component:GetType()
  return self.type;
end

function RaidKiller.Mechanic.Component:SetType(value)
  self.type = value;
end

-- settings
function RaidKiller.Mechanic.Component:GetSettings()
  if (type(self.settings) ~= "table") then
    self.settings = {};
  end
  return self.settings;
end

function RaidKiller.Mechanic.Component:SetSettings(value)
  self.settings = value;
end

-- mechanic
function RaidKiller.Mechanic.Component:GetMechanic()
  return self.mechanic;
end

function RaidKiller.Mechanic.Component:SetMechanic(value)
  self.mechanic = value;
end

-- copy settings
function RaidKiller.Mechanic.Component:CopySettings(value)
  
  -- result
  local result = {}
  
  -- settings
  for k, v in pairs(self:GetSettings()) do
    result[k] = v;
  end
  
  -- value
  if (value) then
    for k, v in pairs(value) do
      result[k] = v;
    end
  end
  
  -- return
  return result;
end
