-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

RaidKiller.Mechanic.Object = class(RaidKiller.Category.Object);

function RaidKiller.Mechanic.Object:Constructor(data)
  RaidKiller.Category.Object.Constructor(self, data);
  
  -- parameters
  self:SetHidden(data.hidden);
  self:SetTested(data.tested);
  self:SetTriggers(data.triggers);
  self:SetActions(data.actions);
end

-- encounter
function RaidKiller.Mechanic.Object:GetEncounter()
  return self.encounter;
end

function RaidKiller.Mechanic.Object:SetEncounter(value)
  self.encounter = value;
end

-- triggers
function RaidKiller.Mechanic.Object:GetTriggers()
  if (type(self.triggers) ~= "table") then
    self.triggers = {};
  end
  return self.triggers;
end

function RaidKiller.Mechanic.Object:SetTriggers(value)
  self.triggers = value;
  
  -- register
  for k, trigger in pairs(self:GetTriggers()) do
    trigger:SetMechanic(self);
  end
end

-- actions
function RaidKiller.Mechanic.Object:GetActions()
  if (type(self.actions) ~= "table") then
    self.actions = {};
  end
  return self.actions;
end

function RaidKiller.Mechanic.Object:SetActions(value)
  self.actions = value;
  
  -- register
  for k, action in pairs(self:GetActions()) do
    action:SetMechanic(self);
    action:SetParent(self);
  end
end

-- hidden
function RaidKiller.Mechanic.Object:GetHidden()
  return self.hidden;
end

function RaidKiller.Mechanic.Object:SetHidden(value)
  self.hidden = value;
end

-- tested
function RaidKiller.Mechanic.Object:GetTested()
  return self.tested;
end

function RaidKiller.Mechanic.Object:SetTested(value)
  self.tested = value;
end

-- activate
function RaidKiller.Mechanic.Object:Activate(settings, trigger)
  
  -- actions
  for k, action in pairs(self:GetActions()) do
    
    -- enabled
    if (action:GetEnabled()) then
      
      -- activate
      local activate = true;
      
      -- trigger
      if (trigger) then
        
        -- action restriction
        if (trigger:GetActionRestriction()) then
          
          -- match action type
          if (trigger:GetActionRestriction() ~= action:GetType()) then
            activate = false;
          end
        end
        
        -- action exclusion
        if (trigger:GetActionExclusion()) then
          
          -- match action type
          if (trigger:GetActionExclusion() == action:GetType()) then
            activate = false;
          end
        end
      end
      
      -- execute
      if (activate) then
        action:Execute(action:CopySettings(settings));
      end
    end
  end
end
