-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

RaidKiller.Mechanic.Trigger.Notify = class(RaidKiller.Mechanic.Trigger.Object);

function RaidKiller.Mechanic.Trigger.Notify:Constructor(data)
  RaidKiller.Mechanic.Trigger.Object.Constructor(self, data);
  
  -- constants
  self:SetType(RaidKiller.Mechanic.Trigger.Object.Constants.Types.Notify);
  self:SetName(RaidKiller.Mechanic.Trigger.Object.Constants.Names.Notify);
  
  -- parameters
  self:SetMessage(data.message);
  self:SetUnit(data.unit);
end

-- message
function RaidKiller.Mechanic.Trigger.Notify:GetMessage()
  return self.message;
end

function RaidKiller.Mechanic.Trigger.Notify:SetMessage(value)
  self.message = value;
end

-- unit
function RaidKiller.Mechanic.Trigger.Notify:GetUnit()
  return self.unit;
end

function RaidKiller.Mechanic.Trigger.Notify:SetUnit(value)
  self.unit = value;
end

-- match message
function RaidKiller.Mechanic.Trigger.Notify:MatchMessage(value)
  local result = nil;
  for k, message in pairs(self:GetMessage()) do
    if (not result) then
      result = message;
    else
      result = result .. value .. message;
    end
  end
  return result;
end
