-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.Mechanic.Trigger.Object = class(RaidKiller.Mechanic.Component);

-- constants
RaidKiller.Mechanic.Trigger.Object.Constants = {
  Types = {
    Buff = 1,
    Cast = 2,
    Death = 3,
    Engage = 4,
    Notify = 5,
    Percentage = 6,
    Phase = 7,
    Speak = 8,
    Timer = 9
  },
  Names = {
    Buff = "Buff",
    Cast = "Cast",
    Death = "Death",
    Engage = "Engage",
    Notify = "Notify",
    Percentage = "Percentage",
    Phase = "Phase",
    Speak = "Speak",
    Timer = "Timer"
  },
  Any = "Any"
};

-- constructor
function RaidKiller.Mechanic.Trigger.Object:Constructor(data)
  RaidKiller.Mechanic.Component.Constructor(self, data);
  
  -- parameters
  self:SetActionExclusion(data.actionExclusion);
  self:SetActionRestriction(data.actionRestriction);
  self:SetPhaseRestriction(data.phaseRestriction);
end

-- action exclusion
function RaidKiller.Mechanic.Trigger.Object:GetActionExclusion()
  return self.actionExclusion;
end

function RaidKiller.Mechanic.Trigger.Object:SetActionExclusion(value)
  self.actionExclusion = value;
end

-- action restriction
function RaidKiller.Mechanic.Trigger.Object:GetActionRestriction()
  return self.actionRestriction;
end

function RaidKiller.Mechanic.Trigger.Object:SetActionRestriction(value)
  self.actionRestriction = value;
end

-- phase restriction
function RaidKiller.Mechanic.Trigger.Object:GetPhaseRestriction()
  return self.phaseRestriction;
end

function RaidKiller.Mechanic.Trigger.Object:SetPhaseRestriction(value)
  self.phaseRestriction = value;
end
