-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- class
RaidKiller.State.Objective.Object = class();

-- constants
RaidKiller.State.Objective.Object.Constants = {
  Names = {
    Engage = "Engage",
    Kill = "Kill",
    Weaken = "Weaken"
  },
  Types = {
    Engage = 1,
    Kill = 2,
    Weaken = 3
  }
};

-- constructor
function RaidKiller.State.Objective.Object:Constructor(data)
  
  -- wire
  Wire(self);
  
  -- parameters
  self:SetName(data.name);
  self:SetGoal(data.goal);
  self:SetOrder(data.order);
  self:SetRequired(data.required);
  self:SetType(data.type);
  self:SetUnit(data.unit);
end

-- name
function RaidKiller.State.Objective.Object:GetName()
  return self.name;
end

function RaidKiller.State.Objective.Object:SetName(value)
  self.name = value;
end

-- goal
function RaidKiller.State.Objective.Object:GetGoal()
  return self.goal;
end

function RaidKiller.State.Objective.Object:SetGoal(value)
  self.goal = value;
end

-- order
function RaidKiller.State.Objective.Object:GetOrder()
  return self.order;
end

function RaidKiller.State.Objective.Object:SetOrder(value)
  self.order = value;
end

-- required
function RaidKiller.State.Objective.Object:GetRequired()
  return self.required;
end

function RaidKiller.State.Objective.Object:SetRequired(value)
  self.required = value;
end

-- type
function RaidKiller.State.Objective.Object:GetType()
  return self.type;
end

function RaidKiller.State.Objective.Object:SetType(value)
  self.type = value;
end

-- unit
function RaidKiller.State.Objective.Object:GetUnit()
  return self.unit;
end

function RaidKiller.State.Objective.Object:SetUnit(value)
  self.unit = value;
end

-- manager
function RaidKiller.State.Objective.Object:GetManager()
  return self.manager;
end

function RaidKiller.State.Objective.Object:SetManager(value)
  self.manager = value;
end

-- phase
function RaidKiller.State.Objective.Object:GetPhase()
  return self.phase;
end

function RaidKiller.State.Objective.Object:SetPhase(value)
  self.phase = value;
end

-- progress
function RaidKiller.State.Objective.Object:GetProgress()
  return self.progress;
end

function RaidKiller.State.Objective.Object:SetProgress(value)
  self.progress = value;
  
  -- progress
  if (self:GetProgress() > 0) then
    
    -- update manager
    self:GetManager():ObjectiveProgressed(self);
  end
end

-- complete
function RaidKiller.State.Objective.Object:GetComplete()
  return self.complete;
end

function RaidKiller.State.Objective.Object:SetComplete(value)
  self.complete = value;
  
  -- update phase
  if (self:GetComplete()) then
    self:GetPhase():ObjectiveCompleted(self);
  end
end

-- reset
function RaidKiller.State.Objective.Object:Reset()
  self:SetProgress(0);
  self:SetComplete(false);
end

-- progress
function RaidKiller.State.Objective.Object:Progress(value)
  
  -- increase progress
  self:SetProgress(self:GetProgress() + value);
  
  -- complete
  if (self:GetProgress() >= self:GetGoal()) then
    self:SetComplete(true);
  end
end
