-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

RaidKiller.State.Unit = class();

-- constants
RaidKiller.State.Unit.Constants = {
  Chronicle = 200000
};

function RaidKiller.State.Unit:Constructor(data)
  
  -- wire
  Wire(self);
  
  -- parameters
  self:SetUnit(data.unit);
  self:SetPrimary(data.primary);
  self:SetChronicle(data.chronicle);
end

-- manager
function RaidKiller.State.Unit:GetManager()
  return self.manager;
end

function RaidKiller.State.Unit:SetManager(value)
  self.manager = value;
end

-- encounter state
function RaidKiller.State.Unit:GetState()
  return self.state;
end

function RaidKiller.State.Unit:SetState(value)
  self.state = value;
end

-- unit
function RaidKiller.State.Unit:GetUnit()
  return self.unit;
end

function RaidKiller.State.Unit:SetUnit(value)
  self.unit = value;
end

-- primary
function RaidKiller.State.Unit:GetPrimary()
  return self.primary;
end

function RaidKiller.State.Unit:SetPrimary(value)
  self.primary = value;
end

-- chronicle
function RaidKiller.State.Unit:GetChronicle()
  return self.chronicle;
end

function RaidKiller.State.Unit:SetChronicle(value)
  self.chronicle = value;
end

-- deaths
function RaidKiller.State.Unit:GetDeaths()
  if (not self.deaths) then
    self.deaths = 0;
  end
  return self.deaths;
end

function RaidKiller.State.Unit:SetDeaths(value)
  self.deaths = value;
end

-- ID
function RaidKiller.State.Unit:GetID()
  return self.ID;
end

function RaidKiller.State.Unit:SetID(value)
  self.ID = value;
end

-- health max
function RaidKiller.State.Unit:GetHealthMax()
  return self.healthMax;
end

function RaidKiller.State.Unit:SetHealthMax(value)
  self.healthMax = value;
  
  -- update
  self:Update();
end

-- health
function RaidKiller.State.Unit:GetHealth()
  return self.health;
end

function RaidKiller.State.Unit:SetHealth(value)
  self.health = value;
  
  -- update
  self:Update();
end

-- health percentage
function RaidKiller.State.Unit:GetHealthPercentage()
  return self.healthPercentage;
end

function RaidKiller.State.Unit:SetHealthPercentage(value)
  self.healthPercentage = value;
  
  -- update manager
  if (self:GetManager()) then
    self:GetManager():HealthPercentageChanged(self);
  end
end

-- update
function RaidKiller.State.Unit:Update()
  
  -- exists
  if (self:GetHealth() and self:GetHealthMax()) then
    
    -- update last action time
    self:GetManager():SetLastActionTime(Inspect.Time.Frame());
    
    -- percent
    local percent = math.ceil((100 * self:GetHealth()) / self:GetHealthMax());
    if (percent ~= self:GetHealthPercentage()) then
      self:SetHealthPercentage(percent);
    end
  end
end

-- died
function RaidKiller.State.Unit:Died()
  
  -- update deaths
  self:SetDeaths(self:GetDeaths() + 1);
  
  -- update manager
  self:GetManager():Died(self);
end

-- reset
function RaidKiller.State.Unit:Reset()
  
  -- reset deaths
  self:SetDeaths(0);
  
  -- no ID
  self:SetID();
  
  -- no health max
  self:SetHealthMax();
  
  -- no health
  self:SetHealth();
end
