-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

-- english
RK:SetDefaultTranslation(Wired.Utility.Translation.English({
  
  -- user interface
  
  -- commands
  ["UI.C.Chronicle"] = "chronicle",
  ["UI.C.Stacking"] = "stacking",
  
  -- command descriptions
  ["UI.CD.Chronicle"] = "Toggles chronicle encounters on or off",
  ["UI.CD.Stacking"] = "Toggles cascade bar stacking up or down",
  
  -- command states
  ["UI.CS.Chronicle.On"] = "Chronicle Encounters [ON]",
  ["UI.CS.Chronicle.Off"] = "Chronicle Encounters [OFF]",
  ["UI.CS.Stacking.On"] = "Cascade Bars Stack [UP]",
  ["UI.CS.Stacking.Off"] = "Cascade Bars Stack [DOWN]",
  
  -- options
  
  -- about
  ["UI.O.About"] = {
    ("Wire's RaidKiller v" .. RK:GetVersion()),
    ("Updated " .. RK:GetDate()),
    "\nConcept and implementation by Wire @ Byriel. All LUA code authored by Wire @ Byriel except where otherwise stated.",
    "\nAll profile images were photographed by Amarylis @ Byriel and produced by Wire @ Byriel, except for: Akylios.",
    "\nAll UI component images were created by Wire @ Byriel. All included UI component images and profile pictures are not to be used for any purpose other than display within Wired addons.",
    "\nSpecial thanks to Amarylis @ Byriel for help photographing, testing, timing and analyzing encounters.",
    "\nContact",
    "\nQuestions, comments, donations and bug reports should be directed to Wire @ Byriel.",
    "\nEmail: wire.byriel@gmail.com",
    "\nTranslation",
    "\nFrench translation by Yakawar < Bloodlust > @ Brisesol, Jabaun < Bloodlust > @ Brisesol and Liseane < LegendS > @ Brisesol. Email: rift.burninglegends@gmail.com",
    "\nGerman translation by Hunila < Relict > @ Rhazade. Email: hunila.relict-rift.de@gmx.com",
    "\nPlease contact me if you are interested in translating my addons to Russian or Korean.",
    "\nUpdates",
    "\nRift Forums",
    "\nhttp://forums.riftgame.com/beta-addon-api-development/267452-addon-wires-raidkiller.html",
    "\nRiftUI Download",
    "\nhttp://www.riftui.com/downloads/info80-WiresRaidKiller.html",
    "\nCurse Download",
    "\nhttp://www.curse.com/addons/rift/wires-raidkiller"
  },
  
  -- help
  ["UI.O.Help"] = {
    "Mechanics",
    "\nNon-mandatory reaction mechanics are disabled by default. Enable optional mechanics by browsing to the zone and encounter, then enabling the desired actions.",
    "\nTest mechanic actions via the \"Trigger\" button. Only enabled actions will activate.",
    "\nUntested mechanics are disabled by default. These mechanics should work most of the time, but timers and triggers may be incorrect. Detailed feedback is appreciated.",
    "\nContinuous Error Messages",
    "\nTyping \"/rk disable\" will disable RaidKiller's response to new events. If you experience persistent errors, disable RaidKiller and then reload your UI by typing \"/reloadui\".",
    "\nIf the errors continue, clear your persistent data by typing \"/rk clear\", then log out and delete all Wired addon folders: Wired, RaidKiller, OCD, NPSee, then reinstall RaidKiller from a fresh download.",
    "\nBug Reports",
    "\nTurn on non-combat logging by typing \"/log\" then email a log snippet or screenshot (with expanded chat box) detailing the error message you've experienced to: wire.byriel@gmail.com",
  },
  
  -- donate
  ["UI.O.Donate"] = {
    "Creating LUA addons is an incredibly intense process that involves but is not limited to: research, planning, coordination, coding, testing and debugging.",
    "\nI've already invested hundreds of hours developing my Rift LUA projects. Currently I'm being compensated at a rate of approximately 0.20 USD per hour invested from donations, which is less motivating each day.",
    "\nIf you find my addons useful and are interested in bug fixes, updates and expansion, donation is an easy way to encourage future development.",
    "\nThere is no minimum donation amount, so even $1 is appreciated.",
    "\nDonate using the PayPal \"Donate\" button that appears on Curse.com or RiftUI.com when you download, or just donate via PayPal to the emai: wire.byriel@gmail.com.",
    "\nBenefactors will receive an email inviting them to a slot on the \"Team Wire\" ticker featured below. If you've already donated, check your inbox if you wish to be included. Benefactors will not be included without their consent.",
    "\nFor those of you who have already joined Team Wire... thank you for your support!"
  },
  
  -- tabs
  ["UI.O.T.Mechanics"] = "Mechanics",
  ["UI.O.T.About"] = "About",
  ["UI.O.T.Help"] = "Help",
  ["UI.O.T.Donate"] = "Donate!",
  
  -- messages
  ["UI.O.M.Options"] = "Wire's RaidKiller Options",
  ["UI.O.M.Team"] = "Team Wire:",
  ["UI.O.M.Join"] = "Join!",
  
  -- mechanics tab
  ["UI.O.M.Tested"] = "Tested",
  ["UI.O.M.Untested"] = "Untested",
  ["UI.O.M.Enable"] = "Enable",
  ["UI.O.M.Disable"] = "Disable",
  ["UI.O.M.Trigger"] = "Trigger",
  ["UI.O.M.Edit"] = "Edit",
  
  -- message labels
  ["UI.O.M.L.Join"] = "Join Team Wire!",
  ["UI.O.M.L.Paypal"] = "Donate via PayPal to wire.byriel@gmail.com",
  
  -- mechanics tab
  ["UI.O.M.L.Players"] = "Players",
  ["UI.O.M.L.Difficulty"] = "Difficulty",
  ["UI.O.M.L.Zone"] = "Zone",
  ["UI.O.M.L.Encounter"] = "Encounter",
  ["UI.O.M.L.Mechanics"] = "Mechanics",
  ["UI.O.M.L.Profile"] = "Profile",
  ["UI.O.M.L.Details"] = "Details",
  ["UI.O.M.L.Objectives"] = "Objectives",
  ["UI.O.M.L.History"] = "History",
  
  -- message components
  ["UI.O.M.C.Hitpoints"] = "Hitpoints",
  ["UI.O.M.C.Enrage"] = "Enrage Time",
  ["UI.O.M.C.NoDetails"] = "No Details",
  ["UI.O.M.C.NoObjectives"] = "No Objectives",
  ["UI.O.M.C.NoHistory"] = "No History",
  ["UI.O.M.C.Difficulty"] = "Difficulty",
  ["UI.O.M.C.Attempts"] = "Attempts",
  ["UI.O.M.C.Completions"] = "Completions",
  ["UI.O.M.C.LastAttempt"] = "Last Attempt",
  ["UI.O.M.C.BestAttempt"] = "Best Attempt",
  ["UI.O.M.C.LastCompletion"] = "Last Completion",
  ["UI.O.M.C.BestCompletion"] = "Best Completion",
  
  -- actions
  ["UI.A.Alert"] = "Alert",
  ["UI.A.Flash"] = "Flash",
  ["UI.A.Message"] = "Message",
  ["UI.A.Objective"] = "Objective",
  ["UI.A.Phase"] = "Phase",
  ["UI.A.Stop"] = "Stop",
  ["UI.A.Timer"] = "Timer",
  
  -- difficulty
  ["D.Chronicle"] = "Chronicle",
  ["D.Standard"] = "Standard",
  ["D.Expert"] = "Expert",
  ["D.Master"] = "Master",
  
  
  -- generic mechanics
  
  -- phases
  ["G.P.1"] = "Phase One",
  ["G.P.2"] = "Phase Two",
  ["G.P.3"] = "Phase Three",
  ["G.P.4"] = "Phase Four",
  ["G.P.5"] = "Phase Five",
  
  -- objectives
  ["G.O.Engage"] = {"Engage ", ""},
  ["G.O.Kill"] = {"Kill ", ""},
  ["G.O.Weaken"] = {"Weaken ", " to ", "%"},
  
  -- labels
  ["G.L.Enrage"] = "Enrage",
  ["G.L.Started"] = "Started!",
  
  -- mechanics
  ["G.M.Enrage"] = "Enrage Timer",
  ["G.M.Phasing"] = "Phasing",
  ["G.M.Phase"] = "Phase Change",
  ["G.M.Stops"] = "Stops",
  
  -- mechanic descriptions
  ["G.MD.Enrage"] = {"Shows a timer counting down to the enrage of ", " at ", "."},
  ["G.MD.Phase"] = "Triggers when phases change.",
  
  
  -- abyssal precipice
  ["Z.AP"] = "Abyssal Precipice",
  
  
  -- majolic the bloodwalker
  ["Z.AP.Majolic"] = "Majolic the Bloodwalker",
  
  -- units
  ["Z.AP.Majolic.U.Majolic"] = "Majolic the Bloodwalker",
  
  -- messages
  ["Z.AP.Majolic.MSG.Blood"] = {"Majolic the Bloodwalker wants the blood of ", "!"},
  
  -- mechanics
  ["Z.AP.Majolic.M.Crystal"] = "Blood Crystal",
  
  -- mechanic descriptions
  ["Z.AP.Majolic.MD.Crystal"] = "Triggers when Majolic the Bloodwalker targets you with Blood Crystal.",
  
  
  -- caduceus rise
  ["Z.CR"] = "Caduceus Rise",
  
  
  -- caduceus
  ["Z.CR.Caduceus"] = "Caduceus",
  
  -- units
  ["Z.CR.Caduceus.U.Caduceus"] = "Caduceus",
  
  -- abilities
  ["Z.CR.Caduceus.A.Tremor"] = "Tremor",
  
  -- mechanics
  ["Z.CR.Caduceus.M.Tremor"] = "Tremor",
  
  -- mechanic descriptions
  ["Z.CR.Caduceus.MD.Tremor"] = "Triggers when Caduceus activates Tremor. Times the first activation.",
  
  
  -- cinderstorm
  ["Z.CR.Cinderstorm"] = "Cinderstorm",
  
  -- units
  ["Z.CR.Cinderstorm.U.Cinderstorm"] = "Cinderstorm",
  
  -- abilities
  ["Z.CR.Cinderstorm.A.Storm"] = "Cinder Storm",
  
  -- mechanics
  ["Z.CR.Cinderstorm.M.Storm"] = "Cinder Storm",
  
  -- mechanic descriptions
  ["Z.CR.Cinderstorm.MD.Storm"] = "Triggers when Cinderstorm casts Cinder Storm. Times the next cast.",
  
  
  -- headhunter kulir
  ["Z.CR.Kulir"] = "Headhunter Kulir",
  
  -- units
  ["Z.CR.Kulir.U.Kulir"] = "Headhunter Kulir",
  
  
  -- captain black spit
  ["Z.CR.Captain"] = "Captain Black Spit",
  
  -- units
  ["Z.CR.Captain.U.Captain"] = "Captain Black Spit",
  
  -- abilities
  ["Z.CR.Captain.A.Binge"] = "Rage Binge",
  ["Z.CR.Captain.A.Bottom"] = "Bottoms Up",
  
  -- mechanics
  ["Z.CR.Captain.M.Binge"] = "Rage Binge",
  ["Z.CR.Captain.M.Bottom"] = "Bottoms Up",
  
  -- mechanic descriptions
  ["Z.CR.Captain.MD.Binge"] = "Triggers when Captain Black Spit casts Rage Binge.",
  ["Z.CR.Captain.MD.Bottom"] = "Triggers when Captain Black Spit casts Bottoms Up.\n\nEnable only if you are interrupting.",
  
  
  -- rodiafel
  ["Z.CR.Rodiafel"] = "Rodiafel",
  
  -- units
  ["Z.CR.Rodiafel.U.Rodiafel"] = "Rodiafel",
  
  -- abilities
  ["Z.CR.Rodiafel.A.Unstable"] = "Unstable Temperature",
  
  -- mechanics
  ["Z.CR.Rodiafel.M.Unstable"] = "Unstable Temperature",
  
  -- mechanic descriptions
  ["Z.CR.Rodiafel.MD.Unstable"] = "Triggers when Rodiafel casts Unstable Temperature. Times the next cast.",
  
  
  -- zugthak
  ["Z.CR.Zugthak"] = "Zugthak",
  
  -- units
  ["Z.CR.Zugthak.U.Zugthak"] = "Zugthak",
  
  -- abilities
  ["Z.CR.Zugthak.A.Stomp"] = "Stomp",
  
  -- mechanics
  ["Z.CR.Zugthak.M.Stomp"] = "Stomp",
  
  -- mechanic descriptions
  ["Z.CR.Zugthak.MD.Stomp"] = "Triggers when Zugthak casts Stomp.",
  
  
  -- ashcaller zael
  ["Z.CR.Zael"] = "Ashcaller Zael",
  
  -- units
  ["Z.CR.Zael.U.Zael"] = "Ashcaller Zael",
  
  -- abilities
  ["Z.CR.Zael.A.Droplets"] = "Lava Droplets",
  
  -- mechanics
  ["Z.CR.Zael.M.Droplets"] = "Lava Droplets",
  
  -- mechanic descriptions
  ["Z.CR.Zael.MD.Droplets"] = "Triggers when Ashcaller Zael casts Lava Droplets. Times the first cast.",
  
  
  -- coalgut
  ["Z.CR.Coalgut"] = "Coalgut",
  
  -- units
  ["Z.CR.Coalgut.U.Coalgut"] = "Coalgut",
  
  -- abilities
  ["Z.CR.Coalgut.A.Furnace"] = "Unstable Furnace",
  
  -- mechanics
  ["Z.CR.Coalgut.M.Furnace"] = "Unstable Furnace",
  
  -- mechanic descriptions
  ["Z.CR.Coalgut.MD.Furnace"] = "Triggers when Coalgut casts Unstable Furnace. Times the cast time.",
  
  
  -- hookmaster palos
  ["Z.CR.Palos"] = "Hookmaster Palos",
  
  -- units
  ["Z.CR.Palos.U.Palos"] = "Hookmaster Palos",
  
  -- abilities
  ["Z.CR.Palos.A.Blood"] = "Bound by Blood",
  
  -- mechanics
  ["Z.CR.Palos.M.Blood"] = "Bound by Blood",
  
  -- mechanic descriptions
  ["Z.CR.Palos.MD.Blood"] = "Triggers when Hookmaster Palos casts Bound by Blood. Times the next cast.",
  
  
  -- faultwalker alraj
  ["Z.CR.Alraj"] = "Faultwalker Alraj",
  
  -- units
  ["Z.CR.Alraj.U.Alraj"] = "Faultwalker Alraj",
  
  
  -- high thane hergen
  ["Z.CR.Hergen"] = "High Thane Hergen",
  
  -- units
  ["Z.CR.Hergen.U.Hergen"] = "High Thane Hergen",
  
  -- abilities
  ["Z.CR.Hergen.A.Cudgel"] = "Wild Cudgel",
  
  -- mechanics
  ["Z.CR.Hergen.M.Cudgel"] = "Wild Cudgel",
  
  -- mechanic descriptions
  ["Z.CR.Hergen.MD.Cudgel"] = "Triggers when High Thane Hergen casts Wild Cudgel. Times the next cast series.\n\nEnable only if you are interrupting.",
  
  
  -- charmer's caldera
  ["Z.CC"] = "Charmer's Caldera",
  
  
  -- darkening deeps
  ["Z.DD"] = "Darkening Deeps",
  
  
  -- deepstrike mines
  ["Z.DSM"] = "Deepstrike Mines",
  
  
  -- drowned halls
  ["Z.DH"] = "Drowned Halls",
  
  
  -- hydriss
  ["Z.DH.Hydriss"] = "Hydriss",
  
  -- units
  ["Z.DH.Hydriss.U.Hydriss"] = "High Priestess Hydriss",
  ["Z.DH.Hydriss.U.Seaspawn"] = "Seaspawn",
  ["Z.DH.Hydriss.U.Hive"] = "Seaclaw Hive",
  ["Z.DH.Hydriss.U.Douser"] = "Abyssal Douser",
  
  -- abilities
  ["Z.DH.Hydriss.A.Shock"] = "Hydrostatic Shock",
  
  -- mechanics
  ["Z.DH.Hydriss.M.Seaspawn"] = "Seaspawn",
  ["Z.DH.Hydriss.M.Air"] = "Air Phase",
  ["Z.DH.Hydriss.M.Shock"] = "Hydrostatic Shock",
  
  -- mechanic descriptions
  ["Z.DH.Hydriss.MD.Seaspawn"] = "Triggers when a Seaspawn spawns. Times the next spawn.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.DH.Hydriss.MD.Air"] = "Triggers when Hydriss enters Air Phase. Times the first Air Phase.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.DH.Hydriss.MD.Shock"] = "Triggers when Hydriss casts and finishes casting Hydrostatic Shock. Times the first cast and cast time.\n\nYou must have the timer enabled for this to trigger.",
  
  
  -- isskal
  ["Z.DH.Isskal"] = "Isskal",
  
  -- units
  ["Z.DH.Isskal.U.Isskal"] = "Isskal",
  ["Z.DH.Isskal.U.Trapper"] = "Abyssal Trapper",
  
  -- labels
  ["Z.DH.Isskal.L.Reverse"] = "Reverse",
  
  -- abilities
  ["Z.DH.Isskal.A.Shard"] = "Ice Shard",
  
  -- mechanics
  ["Z.DH.Isskal.M.Shard"] = "Ice Shard",
  ["Z.DH.Isskal.M.Whirlpool"] = "Whirlpool",
  ["Z.DH.Isskal.M.Wave"] = "Glacial Wave",
  
  -- mechanic descriptions
  ["Z.DH.Isskal.MD.Shard"] = "Triggers when Isskal casts Ice Shard.\n\nEnable only if you are interrupting.",
  ["Z.DH.Isskal.MD.Whirlpool"] = "Triggers when Isskal activates and reverses Whirlpool. Times the next activation and reverse.\n\nYou must have the timers for \"Whirlpool\" and \"Glacial Wave\" enabled for this to trigger.",
  ["Z.DH.Isskal.MD.Wave"] = "Triggers when Isskal activates Glacial Wave. Times the next activation.\n\nYou must have the timers for \"Whirlpool\" and \"Glacial Wave\" enabled for this to trigger.",
  
  
  -- joloral ragetide
  ["Z.DH.Joloral"] = "Joloral Ragetide",
  
  -- units
  ["Z.DH.Joloral.U.Joloral"] = "Joloral Ragetide",
  ["Z.DH.Joloral.U.Crippler"] = "Plated Crippler",
  ["Z.DH.Joloral.U.Grub"] = "Ragetide's Grub",
  
  -- messages
  ["Z.DH.Joloral.MSG.Glare"] = {"Joloral Ragetide glares at ", "!"},
  
  -- mechanics
  ["Z.DH.Joloral.M.Crippler"] = "Plated Crippler",
  ["Z.DH.Joloral.M.Glare"] = "Glare",
  ["Z.DH.Joloral.M.Grubs"] = "Ragetide's Grubs",
  
  -- mechanic descriptions
  ["Z.DH.Joloral.MD.Crippler"] = "Triggers when a Plated Crippler spawns.",
  ["Z.DH.Joloral.MD.Glare"] = "Triggers when Joloral Ragetide targets you with Glare. Times the next cast.",
  ["Z.DH.Joloral.MD.Grubs"] = "Triggers when Ragetide's Grubs spawn. Times the next spawn.",
  
  
  -- assault commander jorb
  ["Z.DH.Jorb"] = "Assault Commander Jorb",
  
  -- units
  ["Z.DH.Jorb.U.Jorb"] = "Assault Commander Jorb",
  
  -- messages
  ["Z.DH.Jorb.MSG.Attention"] = {"", ", stand at attention!"},
  
  -- mechanics
  ["Z.DH.Jorb.M.Attention"] = "Attention",
  
  -- mechanic descriptions
  ["Z.DH.Jorb.MD.Attention"] = "Triggers when Assault Commander Jorb targets you with Attention.",
  
  
  -- fall of lantern hook
  ["Z.FoLH"] = "Fall of Lantern Hook",
  
  
  -- foul cascade
  ["Z.FC"] = "Foul Cascade",
  
  
  -- gilded prophecy
  ["Z.GP"] = "Gilded Prophecy",
  
  
  -- uruluuk
  ["Z.GP.Uruluuk"] = "Uruluuk",
  
  -- units
  ["Z.GP.Uruluuk.U.Uruluuk"] = "Uruluuk",
  ["Z.GP.Uruluuk.U.Gold"] = "Shrine of Gold",
  ["Z.GP.Uruluuk.U.Greed"] = "Shrine of Greed",
  ["Z.GP.Uruluuk.U.Protection"] = "Shrine of Protection",
  ["Z.GP.Uruluuk.U.Crystal"] = "Crystal of Imprisonment",
  ["Z.GP.Uruluuk.U.Earthspawn"] = "Gildstone Earthspawn",
  ["Z.GP.Uruluuk.U.Fallen"] = "Fallen Adventurer",
  
  -- abilities
  ["Z.GP.Uruluuk.A.Fist"] = "Fist of Laethys",
  ["Z.GP.Uruluuk.A.Crystal"] = "Crystal Imprisonment",
  ["Z.GP.Uruluuk.A.Force"] = "Storm of Force",
  ["Z.GP.Uruluuk.A.Curse"] = "Curse of Insignificance",
  ["Z.GP.Uruluuk.A.Power"] = "Power of Greed",
  ["Z.GP.Uruluuk.A.Protection"] = "Protection of Greed",
  
  -- messages
  ["Z.GP.Uruluuk.MSG.Point"] = {"Uruluuk points at ", "!"},
  
  -- mechanics
  ["Z.GP.Uruluuk.M.Fist"] = "Fist of Laethys",
  ["Z.GP.Uruluuk.M.Crystal"] = "Crystal Imprisonment",
  ["Z.GP.Uruluuk.M.Force"] = "Storm of Force",
  ["Z.GP.Uruluuk.M.Curse"] = "Curse of Insignificance",
  ["Z.GP.Uruluuk.M.Greed"] = "Power of Greed",
  
  -- mechanic descriptions
  ["Z.GP.Uruluuk.MD.Fist"] = "Triggers when Uruluuk casts Fist of Laethys. Times the next cast.\n\nEnable only if you are reflecting.",
  ["Z.GP.Uruluuk.MD.Crystal"] = "Triggers when Uruluuk targets you with Crystal Imprisonment. Times the next cast.",
  ["Z.GP.Uruluuk.MD.Force"] = "Triggers when Uruluuk casts Storm of Force. Times the next cast.",
  ["Z.GP.Uruluuk.MD.Curse"] = "Triggers when a player is debuffed with Curse of Insignificance.\n\nEnable only if you are curing.",
  ["Z.GP.Uruluuk.MD.Greed"] = "Triggers when Uruluuk is buffed with Power of Greed or Protection of Greed.\n\nEnable only if you are purging.",
  
  
  -- thalguur
  ["Z.GP.Thalguur"] = "Thalguur",
  
  -- units
  ["Z.GP.Thalguur.U.Thalguur"] = "Thalguur",
  
  -- abilities
  ["Z.GP.Thalguur.A.Touch"] = "Touch of the Core",
  ["Z.GP.Thalguur.A.Greed"] = "Curse of Greed",
  ["Z.GP.Thalguur.A.Gold"] = "Call of Gold",
  
  -- mechanics
  ["Z.GP.Thalguur.M.Touch"] = "Touch of the Core",
  ["Z.GP.Thalguur.M.Greed"] = "Curse of Greed",
  ["Z.GP.Thalguur.M.Gold"] = "Call of Gold",
  
  -- mechanic descriptions
  ["Z.GP.Thalguur.MD.Touch"] = "Triggers when Thalguur casts Touch of the Core.",
  ["Z.GP.Thalguur.MD.Greed"] = "Triggers when you are debuffed with Curse of Greed.",
  ["Z.GP.Thalguur.MD.Gold"] = "Triggers when you are debuffed with Call of Gold.",
  
  
  -- guurloth
  ["Z.GP.Guurloth"] = "Guurloth",
  
  -- units
  ["Z.GP.Guurloth.U.Guurloth"] = "Guurloth",
  ["Z.GP.Guurloth.U.Friend"] = "Friend of Guurloth",
  
  -- abilities
  ["Z.GP.Guurloth.A.Rumbling"] = "Rumbling Earth",
  ["Z.GP.Guurloth.A.Orb"] = "Orb of Searing Power",
  ["Z.GP.Guurloth.A.Toil"] = "Earthen Toil",
  ["Z.GP.Guurloth.A.Call"] = "Guurloth's Call",
  ["Z.GP.Guurloth.A.Boulder"] = "Boulder of Destruction",
  ["Z.GP.Guurloth.A.Geyser"] = "Earthen Geyser",
  
  -- messages
  ["Z.GP.Guurloth.MSG.Suffer"] = {"Guurloth screams, \"", " will do nothing or you all suffer!\""},
  
  -- mechanics
  ["Z.GP.Guurloth.M.Suffer"] = "Suffer",
  ["Z.GP.Guurloth.M.Rumbling"] = "Rumbling Earth",
  ["Z.GP.Guurloth.M.Orb"] = "Orb of Searing Power",
  ["Z.GP.Guurloth.M.Toil"] = "Earthen Toil",
  ["Z.GP.Guurloth.M.Call"] = "Guurloth's Call",
  ["Z.GP.Guurloth.M.Boulder"] = "Boulder of Destruction",
  ["Z.GP.Guurloth.M.Geyser"] = "Earthen Geyser",
  ["Z.GP.Guurloth.M.Dust"] = "Dust Devils",
  
  -- mechanic descriptions
  ["Z.GP.Guurloth.MD.Suffer"] = "Triggers when Guurloth targets you with Suffer. Times the next activation.",
  ["Z.GP.Guurloth.MD.Rumbling"] = "Triggers when Guurloth cast Rumbling Earth. Times the next cast.",
  ["Z.GP.Guurloth.MD.Orb"] = "Triggers when Guurloth casts Orb of Searing Power. Times the next cast.",
  ["Z.GP.Guurloth.MD.Toil"] = "Triggers when Guurloth casts Earthen Toil. Times the next cast.",
  ["Z.GP.Guurloth.MD.Call"] = "Triggers when Guurloth casts Gurrloth's Call. Times the next cast.",
  ["Z.GP.Guurloth.MD.Boulder"] = "Triggers when Guurloth casts Boulder of Destruction. Times the next cast.",
  ["Z.GP.Guurloth.MD.Geyser"] = "Triggers when Guurloth casts Earthen Geyser. Times the next cast.",
  ["Z.GP.Guurloth.MD.Dust"] = "Triggers when Guurloth activates Dust Devils.",
  
  
  -- anrak the foul
  ["Z.GP.Anrak"] = "Anrak the Foul",
  
  -- units
  ["Z.GP.Anrak.U.Anrak"] = "Anrak the Foul",
  
  -- abilities
  ["Z.GP.Anrak.A.Tail"] = "Vicious Tail Strike",
  ["Z.GP.Anrak.A.Beam"] = "Eye Beam",
  ["Z.GP.Anrak.A.Earth"] = "Spines of Earth",
  ["Z.GP.Anrak.A.Venom"] = "Explosive Venom",
  ["Z.GP.Anrak.A.Call"] = "Call of Anrak",
  ["Z.GP.Anrak.A.Brittle"] = "Brittle",
  
  -- mechanics
  ["Z.GP.Anrak.M.Tail"] = "Vicious Tail Strike",
  ["Z.GP.Anrak.M.Beam"] = "Eye Beam",
  ["Z.GP.Anrak.M.Earth"] = "Spines of Earth",
  ["Z.GP.Anrak.M.Venom"] = "Explosive Venom",
  ["Z.GP.Anrak.M.Call"] = "Call of Anrak",
  ["Z.GP.Anrak.M.Brittle"] = "Brittle",
  
  -- mechanic descriptions
  ["Z.GP.Anrak.MD.Tail"] = "Triggers when Anrak the Foul casts Vicious Tail Strike. Times the next cast.",
  ["Z.GP.Anrak.MD.Beam"] = "Triggers when Anrak the Foul casts Eye Beam. Times the next cast.",
  ["Z.GP.Anrak.MD.Earth"] = "Triggers when Anrak the Foul casts Spines of Earth. Times the next cast.",
  ["Z.GP.Anrak.MD.Venom"] = "Triggers when a player is debuffed by Explosive Venom. Times the next cast.\n\nEnable only if you are curing.",
  ["Z.GP.Anrak.MD.Call"] = "Triggers when Anrak the Foul casts Call of Anrak.",
  ["Z.GP.Anrak.MD.Brittle"] = "Times each tank's Brittle debuff's duration. Shows the number of stacks.",
  
  
  -- greenscale's blight
  ["Z.GSB"] = "Greenscale's Blight",
  
  
  -- lord greenscale
  ["Z.GSB.Greenscale"] = "Lord Greenscale",
  
  -- units
  ["Z.GSB.Greenscale.U.Greenscale"] = "Lord Greenscale",
  ["Z.GSB.Greenscale.U.Annihilator"] = "Verdant Annihilator",
  ["Z.GSB.Greenscale.U.Mender"] = "Lifebound Mender",
  ["Z.GSB.Greenscale.U.Warlord"] = "Lifebound Warlord",
  ["Z.GSB.Greenscale.U.Scoundrel"] = "Lifebound Scoundrel",
  ["Z.GSB.Greenscale.U.Pollen"] = "Sentient Pollen",
  
  -- phases
  ["Z.GSB.Greenscale.P.Ground.1"] = "Ground Phase One",
  ["Z.GSB.Greenscale.P.Ground.2"] = "Ground Phase Two",
  ["Z.GSB.Greenscale.P.Ground.3"] = "Ground Phase Three",
  ["Z.GSB.Greenscale.P.Ground.4"] = "Ground Phase Four",
  ["Z.GSB.Greenscale.P.Air.1"] = "Air Phase One",
  ["Z.GSB.Greenscale.P.Air.2"] = "Air Phase Two",
  ["Z.GSB.Greenscale.P.Air.3"] = "Air Phase Three",
  
  -- abilities
  ["Z.GSB.Greenscale.A.Blight"] = "Strangling Blight",
  ["Z.GSB.Greenscale.A.Fumes"] = "Noxious Fumes",
  ["Z.GSB.Greenscale.A.Mending"] = "Word of Mending",
  
  -- mechanics
  ["Z.GSB.Greenscale.M.Blight"] = "Strangling Blight",
  ["Z.GSB.Greenscale.M.Fumes"] = "Noxious Fumes",
  ["Z.GSB.Greenscale.M.Mending"] = "Word of Mending",
  ["Z.GSB.Greenscale.M.Annihilator"] = "Verdant Annihilator",
  
  -- mechanic descriptions
  ["Z.GSB.Greenscale.MD.Blight"] = "Triggers when Lord Greenscale casts Strangling Blight. Times the next cast.",
  ["Z.GSB.Greenscale.MD.Fumes"] = "Triggers when Lord Greenscale casts Noxious Fumes. Times the next cast.",
  ["Z.GSB.Greenscale.MD.Mending"] = "Triggers when a Lifebound Mender casts Word of Mending.\n\nEnable only if you are interrupting.",
  ["Z.GSB.Greenscale.MD.Annihilator"] = "Triggers when a Verdant Annihilator dies.",
  
  
  -- prince hylas
  ["Z.GSB.Prince"] = "Prince Hylas",
  
  -- units
  ["Z.GSB.Prince.U.Prince"] = "Prince Hylas",
  ["Z.GSB.Prince.U.Duke"] = "Duke Letareus",
  ["Z.GSB.Prince.U.Infiltrator"] = "Infiltrator Johlen",
  ["Z.GSB.Prince.U.Oracle"] = "Oracle Aleria",
  
  -- abilities
  ["Z.GSB.Prince.A.Invocation"] = "Invocation of Life",
  ["Z.GSB.Prince.A.Wrath"] = "Prince's Wrath",
  ["Z.GSB.Prince.A.Spirit"] = "Spirit Fracture",
  ["Z.GSB.Prince.A.Soul"] = "Soul Fracture",
  ["Z.GSB.Prince.A.Cottontail"] = "Contagious Cottontail",
  
  -- mechanics
  ["Z.GSB.Prince.M.Spawns"] = "Spawns",
  ["Z.GSB.Prince.M.Wrath"] = "Prince's Wrath",
  ["Z.GSB.Prince.M.Spirit"] = "Spirit Fracture",
  ["Z.GSB.Prince.M.Soul"] = "Soul Fracture",
  ["Z.GSB.Prince.M.Cottontail"] = "Contagious Cottontail",
  
  -- mechanic descriptions
  ["Z.GSB.Prince.MD.Spawns"] = "Triggers when Duke, Infiltrator and Oracle spawn. Times the next spawn.\n\nThe timer must be enabled for this to trigger.",
  ["Z.GSB.Prince.MD.Wrath"] = "Triggers when Prince Hylas casts Prince's Wrath. Times the next cast.",
  ["Z.GSB.Prince.MD.Spirit"] = "Triggers when Prince Hylas casts Spirit Fracture. Times the next cast.",
  ["Z.GSB.Prince.MD.Soul"] = "Triggers when Prince Hylas casts Soul Fracture. Times the next cast.",
  ["Z.GSB.Prince.MD.Cottontail"] = "Triggers when you are buffed with Contagious Cottontail. Times the next cast.",
  
  
  -- oracle aleria
  ["Z.GSB.Oracle"] = "Oracle Aleria",
  
  -- units
  ["Z.GSB.Oracle.U.Oracle"] = "Oracle Aleria",
  ["Z.GSB.Oracle.U.Necrotic"] = "Necrotic Werewolf",
  ["Z.GSB.Oracle.U.Primal"] = "Primal Werewolf",
  
  -- messages
  ["Z.GSB.Oracle.MSG.Pulse"] = {"", " pulses with necrotic energy!"},
  
  -- mechanics
  ["Z.GSB.Oracle.M.Pulse"] = "Pulse",
  
  -- mechanic descriptions
  ["Z.GSB.Oracle.MD.Pulse"] = "Triggers when Oracle Aleria targets you with Pulse.",
  
  
  -- infiltrator johlen
  ["Z.GSB.Infiltrator"] = "Infiltrator Johlen",
  
  -- units
  ["Z.GSB.Infiltrator.U.Infiltrator"] = "Infiltrator Johlen",
  ["Z.GSB.Infiltrator.U.Devastating"] = "Devastating Bomb",
  
  -- messages
  ["Z.GSB.Infiltrator.MSG.Armed"] = {"Devastating Bomb armed!"},
  
  -- mechanics
  ["Z.GSB.Infiltrator.M.Concussion"] = "Concussion Bomb",
  ["Z.GSB.Infiltrator.M.Blinding"] = "Blinding Bomb",
  ["Z.GSB.Infiltrator.M.Devastating"] = "Devastating Bomb",
  
  -- mechanic descriptions
  ["Z.GSB.Infiltrator.MD.Concussion"] = "Triggers when Infiltrator Johlen activates Concussion Bomb. Times the next activation.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.GSB.Infiltrator.MD.Blinding"] = "Triggers when Infiltrator Johlen activates Blinding Bomb. Times the next activation.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.GSB.Infiltrator.MD.Devastating"] = "Triggers when Infiltrator Johlen activates Devastating Bomb. Times the bomb's duration.",
  
  
  -- duke letareus
  ["Z.GSB.Duke"] = "Duke Letareus",
  
  -- units
  ["Z.GSB.Duke.U.Duke"] = "Duke Letareus",
  ["Z.GSB.Duke.U.Devious"] = "Devious Faerie",
  
  -- abilities
  ["Z.GSB.Duke.A.Barrage"] = "Fae Barrage",
  ["Z.GSB.Duke.A.Pursuit"] = "Furious Pursuit",
  
  -- mechanics
  ["Z.GSB.Duke.M.Wrath"] = "Duke's Wrath",
  ["Z.GSB.Duke.M.Barrage"] = "Fae Barrage",
  ["Z.GSB.Duke.M.Pursuit"] = "Furious Pursuit",
  
  -- mechanic descriptions
  ["Z.GSB.Duke.MD.Wrath"] = "Triggers when Duke Letareus casts Duke's Wrath.",
  ["Z.GSB.Duke.MD.Barrage"] = "Triggers when a Devious Faerie casts Fae Barrage. Times the next cast./n/nEnable only if you are interrupting.",
  ["Z.GSB.Duke.MD.Pursuit"] = "Triggers when Duke Letareus casts Furious Pursuit. Times the channel.\n\nNote: Duke will recast Furious Pursuit until his health is reduced by 10% while it is active.",
  
  
  -- hammerknell fortress
  ["Z.HK"] = "Hammerknell Fortress",
  
  
  -- akylios
  ["Z.HK.Akylios"] = "Akylios",
  
  -- units
  ["Z.HK.Akylios.U.Akylios"] = "Akylios",
  ["Z.HK.Akylios.U.Jornaru"] = "Jornaru",
  ["Z.HK.Akylios.U.Lasher"] = "Lasher of Akylios",
  ["Z.HK.Akylios.U.Stinger"] = "Stinger of Akylios",
  ["Z.HK.Akylios.U.Apostle"] = "Apostle of Jornaru",
  ["Z.HK.Akylios.U.Deepclaw"] = "Abyssal Deepclaw",
  
  -- labels
  ["Z.HK.Akylios.L.Emerge"] = "Akylios' Emerge",
  ["Z.HK.Akylios.L.Submerge"] = "Akylios' Submerge",
  
  -- abilities
  ["Z.HK.Akylios.A.Storm"] = "Tidal Storm",
  ["Z.HK.Akylios.A.Decay"] = "Mind Decay",
  ["Z.HK.Akylios.A.Breath"] = "Breath of Madness",
  ["Z.HK.Akylios.A.Orb"] = "Orb of Suffocation",
  
  -- messages
  ["Z.HK.Akylios.MSG.Plan"] = {"Master, your plan is fulfilled. After a millennia of manipulation, the wards of Hammerknell are shattered. I release you, Akylios! Come forth and claim this world."},
  ["Z.HK.Akylios.MSG.Flood"] = {"Telara shall be washed away in a flood of destruction!"},
  ["Z.HK.Akylios.MSG.Hope"] = {"There is not hope for Telara. The age of the Abyssal begins!"},
  ["Z.HK.Akylios.MSG.Bore"] = {"Akylios bores into the mind of ", "."},
  ["Z.HK.Akylios.MSG.Orb"] = {"Jornaru launches a suffocating orb at ", "."},
  
  -- mechanics
  ["Z.HK.Akylios.M.Apostle"] = "Apostle of Jornaru",
  ["Z.HK.Akylios.M.Wave"] = "Tidal Wave",
  ["Z.HK.Akylios.M.Akylios"] = "Akylios",
  ["Z.HK.Akylios.M.Storm"] = "Tidal Storm",
  ["Z.HK.Akylios.M.Bore"] = "Cerebral Bore",
  ["Z.HK.Akylios.M.Orb"] = "Suffocating Orb",
  ["Z.HK.Akylios.M.Decay"] = "Mind Decay",
  ["Z.HK.Akylios.M.Breath"] = "Breath of Madness",
  
  -- mechanic descriptions
  ["Z.HK.Akylios.MD.Apostle"] = "Triggers when an Apostle of Jornaru spawns. Times the next spawn",
  ["Z.HK.Akylios.MD.Wave"] = "Triggers when each Tidal Wave activates. Times the next activation.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.HK.Akylios.MD.Akylios"] = "Triggers when Akylios changes its stance. Times the next stance change.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.HK.Akylios.MD.Storm"] = "Triggers when an Apostle of Jornaru casts Tidal Storm.\n\nEnable only if you are interrupting.",
  ["Z.HK.Akylios.MD.Bore"] = "Triggers when Akylios targets you with Cerebral Bore.",
  ["Z.HK.Akylios.MD.Orb"] = "Triggers when Jornaru targets you with Orb of Suffocation. Times the next cast.\n\nJornaru must be targetted by someone in your raid for this timer to trigger. Focus targets are not shared between players.",
  ["Z.HK.Akylios.MD.Decay"] = "Triggers when you are debuffed by Mind Decay. Times the debuff's expiration.",
  ["Z.HK.Akylios.MD.Breath"] = "Triggers when Akylios casts Breath of Madness. Times the next cast.",
  
  
  -- inwar darktide
  ["Z.HK.Inwar"] = "Inwar Darktide",
  
  -- units
  ["Z.HK.Inwar.U.Inwar"] = "Inwar Darktide",
  ["Z.HK.Inwar.U.Denizar"] = "Denizar",
  ["Z.HK.Inwar.U.Aqualix"] = "Aqualix",
  ["Z.HK.Inwar.U.Slime"] = "Fetid Slime",
  ["Z.HK.Inwar.U.Wrangler"] = "Scuttle Claw Wrangler",
  ["Z.HK.Inwar.U.Claw"] = "Scuttle Claw",
  ["Z.HK.Inwar.U.Warden"] = "Tide Warden",
  ["Z.HK.Inwar.U.Undertow"] = "Undertow",
  ["Z.HK.Inwar.U.Rot"] = "Rot Jaw",
  
  -- abilities
  ["Z.HK.Inwar.A.Wave"] = "Freezing Wave",
  ["Z.HK.Inwar.A.Thunder"] = "Rolling Thunder",
  ["Z.HK.Inwar.A.Surge.U"] = "Surge",
  ["Z.HK.Inwar.A.Surge.I"] = "Surge",
  ["Z.HK.Inwar.A.Tide"] = "Dark Tide",
  ["Z.HK.Inwar.A.Lash"] = "Storm Lash",
  ["Z.HK.Inwar.A.Gaze"] = "Warden's Gaze",
  
  -- messages
  ["Z.HK.Inwar.MSG.Drip"] = {"Wretched Ascended! You should have let the Tide Wardens kill you quickly. Now I shall enjoy pulling the life from you, drip by drip."},
  ["Z.HK.Inwar.MSG.Drink"] = {"Drink deep of our power, Ascended..."},
  ["Z.HK.Inwar.MSG.Drown"] = {"And drown in despair."},
  ["Z.HK.Inwar.MSG.Corpses"] = {"I shall add your corpses to my floating collection."},
  ["Z.HK.Inwar.MSG.Breathe"] = {"Breathe deep my essence and choke on your downfall."},
  ["Z.HK.Inwar.MSG.Feed"] = {"Go...feed."},
  ["Z.HK.Inwar.MSG.Tide"] = {"You cannot stand against my tide!"},
  ["Z.HK.Inwar.MSG.Rage"] = {"Rage surges through Inwar Darktide's body"},
  
  -- mechanics
  ["Z.HK.Inwar.M.Thunder"] = "Rolling Thunder",
  ["Z.HK.Inwar.M.Wave"] = "Freezing Wave",
  ["Z.HK.Inwar.M.Pincher"] = "Mana Pincher",
  ["Z.HK.Inwar.M.Surge.U"] = "Undertow's Surge",
  ["Z.HK.Inwar.M.Tide"] = "Dark Tide",
  ["Z.HK.Inwar.M.Surge.I"] = "Inwar Darktide's Surge",
  ["Z.HK.Inwar.M.Lash"] = "Storm Lash",
  
  -- mechanic descriptions
  ["Z.HK.Inwar.MD.Thunder"] = "Triggers when Aqualix casts Rolling Thunder. Times the next cast.",
  ["Z.HK.Inwar.MD.Wave"] = "Triggers when Denizar casts Freezing Wave. Times the next cast.",
  ["Z.HK.Inwar.MD.Pincher"] = "Triggers when a Mana Pincher spawns. Times the next spawn.",
  ["Z.HK.Inwar.MD.Surge.U"] = "Triggers when Undertow casts Surge. Times the next cast.",
  ["Z.HK.Inwar.MD.Tide"] = "Triggers when Inwar Darktide casts Dark Tide. Times the next cast.",
  ["Z.HK.Inwar.MD.Surge.I"] = "Triggers when Inwar Darktide casts Surge. Times the next cast.",
  ["Z.HK.Inwar.MD.Lash"] = "Triggers when Inwar Darktide casts Storm Lash. Times the next cast.",
  
  
  -- inquisitor garau
  ["Z.HK.Garau"] = "Inquisitor Garau",
  
  -- units
  ["Z.HK.Garau.U.Garau"] = "Inquisitor Garau",
  ["Z.HK.Garau.U.Porter"] = "Arcane Porter",
  
  -- abilities
  ["Z.HK.Garau.A.Tide"] = "Bloodtide",
  ["Z.HK.Garau.A.Shield"] = "Glacial Shield",
  
  -- messages
  ["Z.HK.Garau.MSG.Essence"] = {"Inquisitor Garau siphons arcane essence from nearby enemies!"},
  ["Z.HK.Garau.MSG.Bask"] = {"Bask in the power of Akylios!"},
  ["Z.HK.Garau.MSG.Lives"] = {"Sacrifice your lives for Akylios!"},
  ["Z.HK.Garau.MSG.Power"] = {"Power my creation!"},
  
  -- mechanics
  ["Z.HK.Garau.M.Essence"] = "Arcane Essence",
  ["Z.HK.Garau.M.Tide"] = "Bloodtide",
  ["Z.HK.Garau.M.Crawler"] = "Infused Crawler",
  ["Z.HK.Garau.M.Porter"] = "Arcane Porter",
  ["Z.HK.Garau.M.Shield"] = "Glacial Shield",
  
  -- mechanic descriptions
  ["Z.HK.Garau.MD.Essence"] = "Triggers when Inquisitor Garau casts Arcane Essence. Times the next cast.",
  ["Z.HK.Garau.MD.Tide"] = "Triggers when Inquisitor Garau casts Bloodtide. Times the next cast.",
  ["Z.HK.Garau.MD.Crawler"] = "Triggers when an Infused Crawler spawns. Times the next spawn.\n\nNote: This may miss a few spawns, as the encounter unpredictably skips a few.",
  ["Z.HK.Garau.MD.Porter"] = "Triggers when an Arcane Porter spawns. Times the next spawn.",
  ["Z.HK.Garau.MD.Shield"] = "Triggers when Inquisitor Garau is buffed with Glacial Shield.",
  
  
  -- grugonim
  ["Z.HK.Grugonim"] = "Grugonim",
  
  -- units
  ["Z.HK.Grugonim.U.Grugonim"] = "Grugonim",
  ["Z.HK.Grugonim.U.Crawler"] = "Bloodplague Crawler",
  ["Z.HK.Grugonim.U.Death"] = "Manifested Death",
  
  -- phases
  ["Z.HK.Grugonim.P.Surface.1"] = "Surface Phase One",
  ["Z.HK.Grugonim.P.Surface.2"] = "Surface Phase Two",
  ["Z.HK.Grugonim.P.Surface.3"] = "Surface Phase Three",
  ["Z.HK.Grugonim.P.Tower.1"] = "Tower Phase One",
  ["Z.HK.Grugonim.P.Tower.2"] = "Tower Phase Two",
  
  -- labels
  ["Z.HK.Grugonim.L.Toxin"] = "Toxin",
  ["Z.HK.Grugonim.L.Breath.1"] = "First Breath",
  ["Z.HK.Grugonim.L.Breath.2"] = "Second Breath",
  ["Z.HK.Grugonim.L.Breath.3"] = "Third Breath",
  
  -- abilities
  ["Z.HK.Grugonim.A.Breath"] = "Necrotic Breath",
  ["Z.HK.Grugonim.A.Decay"] = "Rampant Decay",
  ["Z.HK.Grugonim.A.Bile"] = "Corrosive Bile",
  ["Z.HK.Grugonim.A.Beam"] = "Death Beam",
  ["Z.HK.Grugonim.A.Toxin"] = "Heart Stopping Toxin",
  ["Z.HK.Grugonim.A.Essence"] = "Bloodplague Essence",
  
  -- mechanics
  ["Z.HK.Grugonim.M.Breath"] = "Necrotic Breath",
  ["Z.HK.Grugonim.M.Decay"] = "Rampant Decay",
  ["Z.HK.Grugonim.M.Bile"] = "Corrosive Bile",
  ["Z.HK.Grugonim.M.Beam"] = "Death Beam",
  ["Z.HK.Grugonim.M.Toxin"] = "Heart Stopping Toxin",
  ["Z.HK.Grugonim.M.Essence"] = "Bloodplague Essence",
  
  -- mechanic descriptions
  ["Z.HK.Grugonim.MD.Breath"] = "Times Grugonim's Necrotic Breath channels.",
  ["Z.HK.Grugonim.MD.Decay"] = "Triggers when Grugonim casts Rampant Decay.",
  ["Z.HK.Grugonim.MD.Bile"] = "Triggers when Grugonim finishes casting Corrosive Bile. Times the cast's duration.\n\nYou must have the timer enabled for this to trigger.",
  ["Z.HK.Grugonim.MD.Beam"] = "Triggers when Manifested Death casts Death Beam.\n\nEnable only if you are interrupting.",
  ["Z.HK.Grugonim.MD.Toxin"] = "Times each tank's Heart Stopping Toxin debuff's duration. Shows the number of stacks.",
  ["Z.HK.Grugonim.MD.Essence"] = "Times your Bloodplague Essence buff's duration. Shows the number of stacks.",
  
  
  -- sicaron
  ["Z.HK.Sicaron"] = "Sicaron",
  
  -- units
  ["Z.HK.Sicaron.U.Sicaron"] = "Sicaron",
  
  -- abilities
  ["Z.HK.Sicaron.A.Decay"] = "Moldering Decay",
  ["Z.HK.Sicaron.A.Hex"] = "Excruciating Hex",
  ["Z.HK.Sicaron.A.Harvest"] = "Soul Harvest",
  
  -- messages
  ["Z.HK.Sicaron.MSG.Contract"] = {"Sicaron forces ", " into an unholy contract."},
  
  -- mechanics
  ["Z.HK.Sicaron.M.Contract"] = "Unholy Contract",
  ["Z.HK.Sicaron.M.Decay"] = "Moldering Decay",
  ["Z.HK.Sicaron.M.Hex"] = "Excruciating Hex",
  ["Z.HK.Sicaron.M.Harvest"] = "Soul Harvest",
  
  -- mechanic descriptions
  ["Z.HK.Sicaron.MD.Contract"] = "Triggers when Sicaron targets you with Unholy Contract. Times the debuff's expiration.",
  ["Z.HK.Sicaron.MD.Decay"] = "Triggers when Sicaron casts Moldering Decay. Times the next cast.",
  ["Z.HK.Sicaron.MD.Hex"] = "Triggers when Sicaron casts Excruciating Hex. Times the next cast.",
  ["Z.HK.Sicaron.MD.Harvest"] = "Triggers when Sicaron is buffed with Soul Harvest. Times the buff's expiration.\n\nEnable only if you are purging.",
  
  
  -- estrode
  ["Z.HK.Estrode"] = "Estrode",
  
  -- units
  ["Z.HK.Estrode.U.Estrode"] = "Estrode",
  
  -- abilities
  ["Z.HK.Estrode.A.Capture"] = "Soul Capture",
  ["Z.HK.Estrode.A.Rage"] = "Rage of the North",
  ["Z.HK.Estrode.A.Mistress"] = "Mistress of the Rift",
  
  -- messages
  ["Z.HK.Estrode.MSG.Mmm"] = {"Mmmm, you look delectable."},
  
  -- mechanics
  ["Z.HK.Estrode.M.Capture"] = "Soul Capture",
  ["Z.HK.Estrode.M.Control"] = "Mind Control",
  ["Z.HK.Estrode.M.Rage"] = "Rage of the North",
  ["Z.HK.Estrode.M.Mistress"] = "Mistress of the Rift",
  
  -- mechanic descriptions
  ["Z.HK.Estrode.MD.Capture"] = "Times Estrode's Soul Capture casts.",
  ["Z.HK.Estrode.MD.Control"] = "Times Estrode's Mind Control activations.",
  ["Z.HK.Estrode.MD.Rage"] = "Triggers when Estrode is buffed with Rage of the North.\n\nEnable only if you are purging.",
  ["Z.HK.Estrode.MD.Mistress"] = "Triggers when Estrode is buffed with Mistress of the Rift.\n\nEnable only if you are purging.",
  
  
  -- vladmal prime
  ["Z.HK.Vladmal"] = "Vladmal Prime",
  
  -- units
  ["Z.HK.Vladmal.U.Vladmal"] = "Vladmal Prime",
  
  -- abilities
  ["Z.HK.Vladmal.A.Flames"] = "Ancient Flames",
  
  -- mechanics
  ["Z.HK.Vladmal.M.Flames"] = "Ancient Flames",
  
  -- mechanic descriptions
  ["Z.HK.Vladmal.MD.Flames"] = "Triggers when you are debuffed by Ancient Flames. Times the next cast.",
  
  
  -- rune king molinar
  ["Z.HK.King"] = "Rune King Molinar",
  
  -- units
  ["Z.HK.King.U.King"] = "Rune King Molinar",
  ["Z.HK.King.U.Prince"] = "Prince Dollin",
  ["Z.HK.King.U.Revenant"] = "Incorporeal Revenant",
  
  -- abilities
  ["Z.HK.King.A.Terminate"] = "Terminate Life",
  ["Z.HK.King.A.Essence"] = "Consuming Essence",
  ["Z.HK.King.A.Shout"] = "Frightening Shout",
  
  -- messages
  ["Z.HK.King.MSG.Feedback"] = {"Prince Dollin prepares a shield of runic feedback for his allies."},
  ["Z.HK.King.MSG.Revenant"] = {"Incorporeal Revenant begins to phase into this reality."},
  ["Z.HK.King.MSG.Demolish"] = {"Rune King Molinar demolishes all in his path."},
  
  -- mechanics
  ["Z.HK.King.M.Terminate"] = "Terminate Life",
  ["Z.HK.King.M.Essence.Prince"] = "Consuming Essence (Prince)",
  ["Z.HK.King.M.Essence.King"] = "Consuming Essence (King)",
  ["Z.HK.King.M.Shout"] = "Frightening Shout",
  ["Z.HK.King.M.Feedback"] = "Runic Feedback",
  ["Z.HK.King.M.Revenant"] = "Incorporeal Revenant",
  ["Z.HK.King.M.Blows"] = "Cursed Blows",
  
  -- mechanic descriptions
  ["Z.HK.King.MD.Terminate"] = "Triggers when Prince Dollin casts Terminate Life. Times the next cast.\n\nEnable only if you are reflecting.",
  ["Z.HK.King.MD.Essence.Prince"] = "Triggers when Prince Dollin casts Consuming Essence. Times the next cast.\n\nEnable only if you are interrupting Prince Dollin.",
  ["Z.HK.King.MD.Essence.King"] = "Triggers when Rune King Molinar casts Consuming Essence. Times the next cast.\n\nEnable only if you are interrupting Rune King Molinar.",
  ["Z.HK.King.MD.Shout"] = "Triggers when Rune King Molinar's casts Frightening Shout. Times the next cast.\n\nEnable only if you are in charge of placing crystals.",
  ["Z.HK.King.MD.Feedback"] = "Triggers when Prince Dollin activates Runic Feedback. Times the next activation.",
  ["Z.HK.King.MD.Revenant"] = "Triggers when an Incorporeal Revenant spawns. Times the next spawn.",
  ["Z.HK.King.MD.Blows"] = "Triggers when Rune King Molinar casts Cursed Blows. Times the next cast.",
  
  
  -- matron zamira
  ["Z.HK.Matron"] = "Matron Zamira",
  
  -- units
  ["Z.HK.Matron.U.Matron"] = "Matron Zamira",
  ["Z.HK.Matron.U.Spirit"] = "Nightmare Spirit",
  
  -- abilities
  ["Z.HK.Matron.A.Blast"] = "Hideous Blast",
  ["Z.HK.Matron.A.Ichor"] = "Revolting Ichor",
  ["Z.HK.Matron.A.Tome"] = "Opening Tome",
  ["Z.HK.Matron.A.Curse"] = "Matron's Curse",
  ["Z.HK.Matron.A.Arc"] = "Arc of Night",
  
  -- messages
  ["Z.HK.Matron.MSG.Mark"] = {"Matron Zamira places the Mark of Oblivion upon ", "."},
  
  -- mechanics
  ["Z.HK.Matron.M.Mark"] = "Mark of Oblivion",
  ["Z.HK.Matron.M.Blast"] = "Hideous Blast",
  ["Z.HK.Matron.M.Ichor"] = "Revolting Ichor",
  ["Z.HK.Matron.M.Gestation"] = "Corrupt Gestation",
  ["Z.HK.Matron.M.Curse"] = "Matron's Curse",
  ["Z.HK.Matron.M.Arc"] = "Arc of Night",
  
  -- mechanic descriptions
  ["Z.HK.Matron.MD.Mark"] = "Triggers when Matron Zamira targets you with Mark of Oblivion.",
  ["Z.HK.Matron.MD.Blast"] = "Triggers when Matron Zamira casts Hideous Blast. Times the next cast.\n\nEnable only if you are reflecting or interrupting.",
  ["Z.HK.Matron.MD.Ichor"] = "Triggers when Matron Zamira casts Revolting Ichor. TImes the next cast.",
  ["Z.HK.Matron.MD.Gestation"] = "Triggers when a player opens a tome. Times Matron Zamira's Corrupt Gestation activation.",
  ["Z.HK.Matron.MD.Curse"] = "Times each tank's Matron's Curse debuff's duration. Shows the number of stacks.",
  ["Z.HK.Matron.MD.Arc"] = "Triggers when a Nightmare Spirit casts Arc of Night\n\nEnable only if you are interrupting.",
  
  
  -- soulrender zilas
  ["Z.HK.Zilas"] = "Soulrender Zilas",
  
  -- units
  ["Z.HK.Zilas.U.Zilas"] = "Soulrender Zilas",
  ["Z.HK.Zilas.U.Imp"] = "Escaped Imp",
  ["Z.HK.Zilas.U.Spirit"] = "Drifting Spirit",
  
  -- abilities
  ["Z.HK.Zilas.A.Grasp"] = "Soulrender's Grasp",
  ["Z.HK.Zilas.A.Cede"] = "Cede Spirit",
  ["Z.HK.Zilas.A.Volley"] = "Dark Volley",
  
  -- mechanics
  ["Z.HK.Zilas.M.Grasp"] = "Soulrender's Grasp",
  ["Z.HK.Zilas.M.Cede"] = "Cede Spirit",
  ["Z.HK.Zilas.M.Volley"] = "Dark Volley",
  
  -- mechanic descriptions
  ["Z.HK.Zilas.MD.Grasp"] = "Triggers when Soulrender Zilas casts Soulrender's Grasp. Times the next cast.",
  ["Z.HK.Zilas.MD.Cede"] = "Triggers when an Escaped Imp casts Cede Spirit.\n\nEnable only if you are interrupting.",
  ["Z.HK.Zilas.MD.Volley"] = "Triggers when a Drifting Spirit casts Dark Volley.",
  
  
  -- murdantix
  ["Z.HK.Murdantix"] = "Murdantix",
  
  -- units
  ["Z.HK.Murdantix.U.Murdantix"] = "Murdantix",
  
  -- abilities
  ["Z.HK.Murdantix.A.Trauma"] = "Soul Trauma",
  ["Z.HK.Murdantix.A.Blast"] = "Demonic Blast",
  ["Z.HK.Murdantix.A.Mangled"] = "Mangled",
  
  -- mechanics
  ["Z.HK.Murdantix.M.Trauma"] = "Soul Trauma",
  ["Z.HK.Murdantix.M.Blast"] = "Demonic Blast",
  ["Z.HK.Murdantix.M.Crush"] = "Mangling Crush",
  ["Z.HK.Murdantix.M.Pound"] = "Ferocious Pound",
  ["Z.HK.Murdantix.M.Mangled"] = "Mangled",
  
  -- mechanic descriptions
  ["Z.HK.Murdantix.MD.Trauma"] = "Triggers when Murdantix casts Soul Trauma. Times the next cast.\n\nEnable only if you are interrupting.",
  ["Z.HK.Murdantix.MD.Blast"] = "Triggers when Murdantix casts Demonic Blast. Times the next cast.",
  ["Z.HK.Murdantix.MD.Crush"] = "Triggers when Murdantix activates Mangling Crush. Times the next activation.",
  ["Z.HK.Murdantix.MD.Pound"] = "Triggers when Murdantix activates Ferocious Pound. Times the next activation",
  ["Z.HK.Murdantix.MD.Mangled"] = "Times each tank's Mangled debuff's duration. Shows the number of stacks.",
  
  -- trash
  ["Z.HK.Trash"] = "Trash",
  
  -- units
  ["Z.HK.Trash.U.Umbral"] = "Runeburst Umbral",
  ["Z.HK.Trash.U.Warlock"] = "Runebone Warlock",
  ["Z.HK.Trash.U.Abomination.Colossal"] = "Colossal Abomination",
  ["Z.HK.Trash.U.Abomination.Fleshknit"] = "Fleshknit Abomination",
  ["Z.HK.Trash.U.Abomination.Hulking"] = "Hulking Abomination",
  ["Z.HK.Trash.U.Golem"] = "Unbound Golem",
  ["Z.HK.Trash.U.Soldier.Cursed"] = "Cursed Soldier",
  ["Z.HK.Trash.U.Soldier.Lost"] = "Lost Soldier",
  ["Z.HK.Trash.U.Ghoul"] = "Dominating Ghoul",
  ["Z.HK.Trash.U.Mongrel"] = "Painstalker Mongrel",
  ["Z.HK.Trash.U.Digger"] = "Runevoid Digger",
  
  -- abilities
  ["Z.HK.Trash.A.Wrath"] = "Dark Wrath",
  ["Z.HK.Trash.A.Hand"] = "Death's Hand",
  ["Z.HK.Trash.A.Shadows"] = "Devouring Shadows",
  ["Z.HK.Trash.A.Bomb"] = "Shatter Bomb",
  ["Z.HK.Trash.A.Terror"] = "Terror Bombardment",
  ["Z.HK.Trash.A.Devastate"] = "Devastate",
  ["Z.HK.Trash.A.Bone"] = "Bone Caller",
  ["Z.HK.Trash.A.Nightmare"] = "Nightmare",
  
  -- mechanics
  ["Z.HK.Trash.M.Wrath"] = "Dark Wrath",
  ["Z.HK.Trash.M.Hand"] = "Death's Hand",
  ["Z.HK.Trash.M.Shadows"] = "Devouring Shadows",
  ["Z.HK.Trash.M.Bomb"] = "Shatter Bomb",
  ["Z.HK.Trash.M.Terror"] = "Terror Bombardment",
  ["Z.HK.Trash.M.Devastate"] = "Devastate",
  ["Z.HK.Trash.M.Bone"] = "Bone Caller",
  ["Z.HK.Trash.M.Nightmare"] = "Nightmare",
  
  -- mechanic descriptions
  ["Z.HK.Trash.MD.Wrath"] = "Triggers when a Runeburst Umbral casts Dark Wrath.",
  ["Z.HK.Trash.MD.Hand"] = "Triggers when a Runeburst Umbral targets you with Death's Hand.",
  ["Z.HK.Trash.MD.Shadows"] = "Triggers when a Runebone Warlock casts Devouring Shadows.",
  ["Z.HK.Trash.MD.Bomb"] = "Triggers when an Unbound Golem casts Shattering Bomb.",
  ["Z.HK.Trash.MD.Terror"] = "Triggers when various units cast Terror Bombardment.",
  ["Z.HK.Trash.MD.Devastate"] = "Triggers when when various units cast Devastate.",
  ["Z.HK.Trash.MD.Bone"] = "Triggers a Dominating Ghoul casts Bone Caller.",
  ["Z.HK.Trash.MD.Nightmare"] = "Triggers when a Painstalker Mongrel casts Nightmare.",
  
  
  -- iron tomb
  ["Z.IT"] = "Iron Tomb",
  
  
  -- king's breach
  ["Z.KB"] = "King's Breach",
  
  
  -- realm of the fae
  ["Z.RotF"] = "Realm of the Fae",
  
  
  -- rise of the phoenix
  ["Z.RotP"] = "Rise of the Phoenix",
  
  
  -- high priest arakhurn
  ["Z.RotP.Priest"] = "High Priest Arakhurn",
  
  -- units
  ["Z.RotP.Priest.U.Priest"] = "High Priest Arakhurn",
  ["Z.RotP.Priest.U.Spawn"] = "Spawn of Arakhurn",
  ["Z.RotP.Priest.U.Enraged"] = "Enraged Spawn of Arakhurn",
  
  -- labels
  ["Z.RotP.Priest.L.Rip"] = "Rip",
  
  -- abilities
  ["Z.RotP.Priest.A.Nova"] = "Fire Nova",
  ["Z.RotP.Priest.A.Metamorphosis"] = "Fiery Metamorphosis",
  ["Z.RotP.Priest.A.Ignited"] = "Ignited",
  ["Z.RotP.Priest.A.Rip"] = "Armor Rip",
  
  -- messages
  ["Z.RotP.Priest.MSG.Fire"] = {"The fire within me weakens. I must regain the power of the flame."},
  ["Z.RotP.Priest.MSG.Lava"] = {"The lava churns violently as a large shadow moves beneath it and then rushes to the surface."},
  
  -- mechanics
  ["Z.RotP.Priest.M.Nova"] = "Fire Nova",
  ["Z.RotP.Priest.M.Metamorphosis"] = "Fiery Metamorphosis",
  ["Z.RotP.Priest.M.Resurrection"] = "Resurrection",
  ["Z.RotP.Priest.M.Ignited"] = "Ignited",
  ["Z.RotP.Priest.M.Rip"] = "Armor Rip",
  
  -- mechanic descriptions
  ["Z.RotP.Priest.MD.Nova"] = "Triggers when High Priest Arakhurn casts Fire Nova. Times the next cast.",
  ["Z.RotP.Priest.MD.Metamorphosis"] = "Triggers when a player is debuffed by Fiery Metamorphosis. Times the next activation.",
  ["Z.RotP.Priest.MD.Resurrection"] = "Times High Priest Arakhurn's resurrection.\n\nNote: You must have this timer enabled to progress to Phase Three",
  ["Z.RotP.Priest.MD.Ignited"] = "Triggers when you are debuffed by 6 stacks of Ignited.",
  ["Z.RotP.Priest.MD.Rip"] = "Times each tank's Armor Rip debuff's duration. Shows the number of stacks.",
  
  
  -- general silgen
  ["Z.RotP.General"] = "General Silgen",
  
  -- units
  ["Z.RotP.General.U.General"] = "General Silgen",
  
  -- abilities
  ["Z.RotP.General.A.Incinerate"] = "Incinerate",
  ["Z.RotP.General.A.Funnel"] = "Heat Funnel",
  ["Z.RotP.General.A.Anchor"] = "Anchored in Flames",
  ["Z.RotP.General.A.Time"] = "Time Bomb",
  ["Z.RotP.General.A.Concussion"] = "Concussion Bomb",
  
  -- mechanics
  ["Z.RotP.General.M.Incinerate"] = "Incinerate",
  ["Z.RotP.General.M.Funnel"] = "Heat Funnel",
  ["Z.RotP.General.M.Anchor"] = "Anchored in Flames",
  ["Z.RotP.General.M.Time"] = "Time Bomb",
  ["Z.RotP.General.M.Concussion"] = "Concussion Bomb",
  
  -- mechanic descriptions
  ["Z.RotP.General.MD.Incinerate"] = "Triggers when General Silgen casts Incinerate. Times the next cast.",
  ["Z.RotP.General.MD.Funnel"] = "Triggers when General Silgen casts Heat Funnel. Times the next cast.",
  ["Z.RotP.General.MD.Anchor"] = "Triggers when you are debuffed with Anchored in Flames.",
  ["Z.RotP.General.MD.Time"] = "Triggers when a player is debuffed with Time Bomb.\n\nEnable only if you are curing.",
  ["Z.RotP.General.MD.Concussion"] = "Triggers when a player is debuffed with Concussion Bomb.\n\nEnable only if you are curing.",
  
  
  -- beruhast
  ["Z.RotP.Beruhast"] = "Beruhast",
  
  -- units
  ["Z.RotP.Beruhast.U.Beruhast"] = "Beruhast",
  ["Z.RotP.Beruhast.U.Summoned"] = "Summoned Flame",
  
  -- abilities
  ["Z.RotP.Beruhast.A.Lash"] = "Inferno Lash",
  ["Z.RotP.Beruhast.A.Leaping"] = "Leaping Flame",
  ["Z.RotP.Beruhast.A.Vortex"] = "Flaming Vortex",
  
  -- messages
  ["Z.RotP.Beruhast.MSG.Pet"] = {"Beruhast says, \"A pet from Maelforge should keep you warm.\""},
  ["Z.RotP.Beruhast.MSG.Alone"] = {"Beruhast points at ", " and says, \"You will die alone.\""},
  
  -- mechanics
  ["Z.RotP.Beruhast.M.Lash"] = "Inferno Lash",
  ["Z.RotP.Beruhast.M.Summoned"] = "Summoned Flame",
  ["Z.RotP.Beruhast.M.Leaping"] = "Leaping Flame",
  ["Z.RotP.Beruhast.M.Vortex"] = "Flaming Vortex",
  ["Z.RotP.Beruhast.M.Alone"] = "Die Alone",
  
  -- mechanic descriptions
  ["Z.RotP.Beruhast.MD.Lash"] = "Triggers when Beruhast casts Inferno Lash.\n\nEnable only if you are interrupting.",
  ["Z.RotP.Beruhast.MD.Summoned"] = "Triggers when a Summoned Flame spawns. Times the next spawn.",
  ["Z.RotP.Beruhast.MD.Leaping"] = "Triggers when Beruhast casts Leaping Flame. Times the next cast.\n\nEnable only if you are curing.",
  ["Z.RotP.Beruhast.MD.Vortex"] = "Triggers when Beruhast casts Flaming Vortex.",
  ["Z.RotP.Beruhast.MD.Alone"] = "Triggers when Beruhast targets you with Die Alone. Times the next activation.",
  
  
  -- ereandorn
  ["Z.RotP.Ereandorn"] = "Ereandorn",
  
  -- units
  ["Z.RotP.Ereandorn.U.Ereandorn"] = "Ereandorn",
  ["Z.RotP.Ereandorn.U.Volcanic"] = "Volcanic Eruption",
  ["Z.RotP.Ereandorn.U.Molten"] = "Molten Eruption",
  
  -- abilities
  ["Z.RotP.Ereandorn.A.Volcanic"] = "Volcanic Eruption",
  ["Z.RotP.Ereandorn.A.Molten"] = "Molten Growth",
  ["Z.RotP.Ereandorn.A.Combustion"] = "Excitable Combustion",
  ["Z.RotP.Ereandorn.A.Fury"] = "Fury of Maelforge",
  
  -- mechanics
  ["Z.RotP.Ereandorn.M.Volcanic"] = "Volcanic Eruption",
  ["Z.RotP.Ereandorn.M.Molten"] = "Molten Growth",
  ["Z.RotP.Ereandorn.M.Combustion"] = "Excitable Combustion",
  ["Z.RotP.Ereandorn.M.Fury"] = "Fury of Maelforge",
  
  -- mechanic descriptions
  ["Z.RotP.Ereandorn.MD.Volcanic"] = "Triggers when Ereandorn casts Volcanic Eruption. Times the buff's expiration.",
  ["Z.RotP.Ereandorn.MD.Molten"] = "Triggers when a player is debuffed by Molten Growth. Times the buff's expiration.",
  ["Z.RotP.Ereandorn.MD.Combustion"] = "Triggers when you are debuffed by Excitable Combustion.",
  ["Z.RotP.Ereandorn.MD.Fury"] = "Triggers when Ereandorn casts Fury of Maelforge. Times the next cast.",
  
  
  -- seething core
  ["Z.RotP.Seething"] = "Seething Core",
  
  -- units
  ["Z.RotP.Seething.U.Seething"] = "Seething Core",
  
  -- abilities
  ["Z.RotP.Seething.A.Charge"] = "Seething Charge",
  
  -- mechanics
  ["Z.RotP.Seething.M.Charge"] = "Seething Charge",
  
  -- mechanic descriptions
  ["Z.RotP.Seething.MD.Charge"] = "Triggers when Seething Core is buffed by Seething Charge.\n\nEnable only if you are purging.",
  
  
  -- river of souls
  ["Z.RoS"] = "River of Souls",
  
  
  -- alsbeth the discordant
  ["Z.RoS.Alsbeth"] = "Alsbeth the Discordant",
  
  -- units
  ["Z.RoS.Alsbeth.U.Alsbeth"] = "Alsbeth the Discordant",
  ["Z.RoS.Alsbeth.U.Harbinger"] = "Soul Harbinger",
  ["Z.RoS.Alsbeth.U.Thief"] = "Soul Thief",
  ["Z.RoS.Alsbeth.U.Magus"] = "Soul Magus",
  ["Z.RoS.Alsbeth.U.Guardian"] = "Fallen Guardian",
  ["Z.RoS.Alsbeth.U.Defiant"] = "Fallen Defiant",
  ["Z.RoS.Alsbeth.U.Energy"] = "Discordant Energy",
  ["Z.RoS.Alsbeth.U.Pillar"] = "Discordant Pillar",
  
  -- abilities
  ["Z.RoS.Alsbeth.A.Shield"] = "Discordant Shield",
  ["Z.RoS.Alsbeth.A.Meteor"] = "Discordant Meteor",
  
  -- messages
  ["Z.RoS.Alsbeth.MSG.Wracked"] = {"", "'s soul is wracked with energy!"},
  ["Z.RoS.Alsbeth.MSG.Regulos"] = {"Regulos screams, \"No Alsbeth, you have failed me for the last time. I will find a more worthy servant.\""},
  
  -- mechanics
  ["Z.RoS.Alsbeth.M.Wrack"] = "Wrack",
  ["Z.RoS.Alsbeth.M.Shield"] = "Discordant Shield",
  ["Z.RoS.Alsbeth.M.Meteor"] = "Discordant Meteor",
  
  -- mechanic descriptions
  ["Z.RoS.Alsbeth.MD.Wrack"] = "Triggers when you are targetted by Wrack.",
  ["Z.RoS.Alsbeth.MD.Shield"] = "Triggers when Alsbeth the Discordant is buffed with Discordant Shield. Times the next cast.",
  ["Z.RoS.Alsbeth.MD.Meteor"] = "Triggers when Alsbeth the Discordant casts Discordant Meteor.",
  
  
  -- herald gaurath
  ["Z.RoS.Herald"] = "Herald Gaurath",
  
  -- units
  ["Z.RoS.Herald.U.Herald"] = "Herald Gaurath",
  ["Z.RoS.Herald.U.Executioner"] = "Ancient Executioner",
  ["Z.RoS.Herald.U.Cutthroat"] = "Ancient Cutthroat",
  ["Z.RoS.Herald.U.Defiler"] = "Ancient Defiler",
  ["Z.RoS.Herald.U.Horror"] = "Indomitable Horror",
  
  -- abilities
  ["Z.RoS.Herald.A.Raise"] = "Raise the Dead",
  ["Z.RoS.Herald.A.Tidings"] = "Woeful Tidings",
  
  -- messages
  ["Z.RoS.Herald.MSG.Tidings"] = {"Herald Gaurath unleashes woeful tidings upon ", "."},
  
  -- mechanics
  ["Z.RoS.Herald.M.Raise"] = "Raise the Dead",
  ["Z.RoS.Herald.M.Tidings"] = "Woeful Tidings",
  
  -- mechanic descriptions
  ["Z.RoS.Herald.MD.Raise"] = "Triggers when Herald Gaurath casts Raise the Dead. Times the next cast.",
  ["Z.RoS.Herald.MD.Tidings"] = "Triggers when Herald Gaurath targets you with Woeful Tidings. Times the next cast.",
  
  
  -- plutonus the immortal
  ["Z.RoS.Plutonus"] = "Plutonus the Immortal",
  
  -- units
  ["Z.RoS.Plutonus.U.Plutonus"] = "Plutonus the Immortal",
  
  -- abilities
  ["Z.RoS.Plutonus.A.Sleep"] = "Walking Sleep",
  
  -- mechanics
  ["Z.RoS.Plutonus.M.Sleep"] = "Walking Sleep",
  
  -- mechanic descriptions
  ["Z.RoS.Plutonus.MD.Sleep"] = "Triggers when a player is debuffed with Walking Sleep. Times the next cast.\n\nEnable only if you are curing.",
  
  
  -- warmaster galenir
  ["Z.RoS.Warmaster"] = "Warmaster Galenir",
  
  -- units
  ["Z.RoS.Warmaster.U.Warmaster"] = "Warmaster Galenir",
  ["Z.RoS.Warmaster.U.Mote"] = "Mote of Calm",
  
  -- abilities
  ["Z.RoS.Warmaster.A.Strike"] = "Infecting Strike",
  
  -- messages
  ["Z.RoS.Warmaster.MSG.Steal"] = {"Warmaster Galenir begins to steal ", "'s essence!"},
  ["Z.RoS.Warmaster.MSG.Mote"] = {"A mote of calming energy appears."},
  
  -- mechanics
  ["Z.RoS.Warmaster.M.Steal"] = "Steal Essence",
  ["Z.RoS.Warmaster.M.Mote"] = "Mote of Calm",
  ["Z.RoS.Warmaster.M.Charge"] = "Charge",
  ["Z.RoS.Warmaster.M.Strike"] = "Infecting Strike",
  
  -- mechanic descriptions
  ["Z.RoS.Warmaster.MD.Steal"] = "Triggers when you are targetted with Steal Essence.",
  ["Z.RoS.Warmaster.MD.Mote"] = "Triggers when a Mote of Calm spawns. Times the next spawn.",
  ["Z.RoS.Warmaster.MD.Charge"] = "Triggers when a Warmaster Galenir activates Charge. Times the next activation.",
  ["Z.RoS.Warmaster.MD.Strike"] = "Times each tank's Infecting Strike debuff's duration. Shows the number of stacks.",
  
  
  -- dark focus
  ["Z.RoS.Focus"] = "Dark Focus",
  
  -- units
  ["Z.RoS.Focus.U.Focus"] = "Dark Focus",
  ["Z.RoS.Focus.U.Force"] = "Force of Corruption",
  
  -- abilities
  ["Z.RoS.Focus.A.Call"] = "Call Darkness",
  
  -- messages
  ["Z.RoS.Focus.MSG.Infused"] = {"", " is infused with overwhelming power!"},
  
  -- mechanics
  ["Z.RoS.Focus.M.Power"] = "Overwhelming Power",
  ["Z.RoS.Focus.M.Call"] = "Call Darkness",
  
  -- mechanic descriptions
  ["Z.RoS.Focus.MD.Power"] = "Triggers when you are targetted with Overwhelming Power. Times the next activation.",
  ["Z.RoS.Focus.MD.Call"] = "Triggers when Dark Focus casts Call Darkness. Times the next cast.",
  
  
  -- trash
  ["Z.RoS.Trash"] = "Trash",
  
  -- units
  ["Z.RoS.Trash.U.Knight"] = "Discordant Knight",
  ["Z.RoS.Trash.U.Soul"] = "Discordant Soul",
  
  -- abilities
  ["Z.RoS.Trash.A.Infestation"] = "Soul Infestation",
  ["Z.RoS.Trash.A.Breath"] = "Spiritual Breath",
  ["Z.RoS.Trash.A.Theft"] = "Soul Theft",
  
  -- mechanics
  ["Z.RoS.Trash.M.Infestation"] = "Soul Infestation",
  ["Z.RoS.Trash.M.Breath"] = "Spiritual Breath",
  ["Z.RoS.Trash.M.Theft"] = "Soul Theft",
  
  -- mechanic descriptions
  ["Z.RoS.Trash.MD.Infestation"] = "Triggers when a player is debuffed with Soul Infestation.\n\nEnable only if you are curing.",
  ["Z.RoS.Trash.MD.Breath"] = "Triggers when a Discordant Soul casts Spiritual Breath.",
  ["Z.RoS.Trash.MD.Theft"] = "Triggers when a Discordant Soul casts Soul Theft.",
  
  
  -- runic descent
  ["Z.RD"] = "Runic Descent",
  
  
  -- template
  ["Z.HK.Xyz"] = "Xyz",
  
  -- units
  ["Z.HK.Xyz.U.Xyz"] = "Xyz",
  
  -- phases
  ["Z.HK.Xyz.P.Xyz"] = "Xyz",
  
  -- labels
  ["Z.HK.Xyz.L.Xyz"] = "Xyz",
  
  -- abilities
  ["Z.HK.Xyz.A.Xyz"] = "Xyz",
  
  -- messages
  ["Z.HK.Xyz.MSG.Xyz"] = 123,
  
  -- mechanics
  ["Z.HK.Xyz.M.Xyz"] = "Xyz",
  
  -- mechanic descriptions
  ["Z.HK.Xyz.MD.Xyz"] = "Xyz",
  
}));
