-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

ApplicationTrayIcon = class(Wired.UI.Trion.Texture);

-- defaults
ApplicationTrayIcon.Defaults = {
  Color = Wired.UI.Color.Clear,
  Visible = true,
};

function ApplicationTrayIcon:Constructor(name, parent, application)
  Wired.UI.Trion.Texture.Constructor(self, name, parent);
  
  -- parameters
  self:SetApplication(application);
  
  -- defaults
  self:ApplyApplicationTrayIconDefaults();
  
  -- events
  
  -- mouse in
  self:GetBase().Wired.Event.Listener:Add(Wired.Event.Listener(
    "MouseIn",
    function(sender, value)
      self:SetMouseOver(true);
    end
  ));
  
  -- mosue out
  self:GetBase().Wired.Event.Listener:Add(Wired.Event.Listener(
    "MouseOut",
    function(sender, value)
      self:SetMouseOver(false);
    end
  ));
end

-- application
function ApplicationTrayIcon:GetApplication()
  return self.application;
end

function ApplicationTrayIcon:SetApplication(value)
  self.application = value;
end

-- list
function ApplicationTrayIcon:GetList()
  return self.list;
end

function ApplicationTrayIcon:SetList(value)
  self.list = value;
end

-- mouse over
function ApplicationTrayIcon:GetMouseOver()
  return self.mouseOver;
end

function ApplicationTrayIcon:SetMouseOver(value)
  self.mouseOver = value;

  -- update
  self:Update();
end

-- textures
function ApplicationTrayIcon:GetTextures()
  if (type(self.textures) ~= "table") then
    self.textures = {};
  end
  return self.textures;
end

function ApplicationTrayIcon:SetTextures(value)
  self.textures = value;
  
  -- update
  self:Update();
end

-- defaults
function ApplicationTrayIcon:ApplyApplicationTrayIconDefaults()
  
  -- color
  self:SetColor(ApplicationTrayIcon.Defaults.Color);
  
  -- visible
  self:SetVisible(ApplicationTrayIcon.Defaults.Visible);
end

function ApplicationTrayIcon:Update()
  
  -- texture
  local texture = nil;
  
  -- mouseover
  if (self:GetMouseOver()) then
    texture = self:GetTextures().On;
  else
    texture = self:GetTextures().Off;
  end
  
  -- apply texture
  if (texture) then
    self:SetTexture(texture);
  end
end
