-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.Math.Matrix = class();

function Wired.Math.Matrix:Constructor(table)
  Wired.Math.Types.MakeMatrix(self);
  self.rows = #table;
  self.columns = 0;
  self.data = {};
  for i = 1, self.rows do
    self.data[i] = Wired.Math.Vector(table[i]);
    if (i > 1) then
      Wired.Math.Vector.CompareSize(self.data[1], self.data[i]);
    else
      self.columns = self.data[1].size;
    end
  end
end

function Wired.Math.Matrix:String()
  local result = "";
  for i = 1, self.rows do
    if (i > 1) then
      result = result .. " ";
    end
    result = result .. self.data[i]:String();
  end
  return ("{" .. result .. "}");
end

-- multiplication
function Wired.Math.Matrix.Multiply(a, b)
  if (Wired.Math.Types.IsMatrix(a) and Wired.Math.Types.IsVector(b)) then
    return Wired.Math.Matrix.MultiplyMatrixByVector(a, b);
  elseif (Wired.Math.Types.IsMatrix(a) and Wired.Math.Types.IsMatrix(b)) then
    return Wired.Math.Matrix.MultiplyMatrixByMatrix(a, b);
  else
    error("Invalid matrix multiplication");
  end
end

function Wired.Math.Matrix.MultiplyMatrixByVector(a, b)
  local result = {};
  for i = 1, a.rows do
    Wired.Math.Vector.CompareSize(a.data[i], b);
    result[i] = a.data[i]:Dot(b);
  end
  return Wired.Math.Vector(result);
end

function Wired.Math.Matrix.MultiplyMatrixByMatrix(a, b)

end
