-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.Math.Scale = class();

function Wired.Math.Scale:Constructor(data)
  
  -- parameters
  self:SetMinimum(data.minimum);
  self:SetMaximum(data.maximum);
end

-- minimum
function Wired.Math.Scale:GetMinimum()
  return self.minimum;
end

function Wired.Math.Scale:SetMinimum(value)
  self.minimum = value;
end

-- maximum
function Wired.Math.Scale:GetMaximum()
  return self.maximum;
end

function Wired.Math.Scale:SetMaximum(value)
  self.maximum = value;
end

-- value
function Wired.Math.Scale:GetValue()
  return self.value;
end

function Wired.Math.Scale:SetValue(value)
  self.value = self:RestrictValue(value);
end

-- restrict value
function Wired.Math.Scale:RestrictValue(value)
  return math.min(
    self:GetMaximum(),
    math.max(self:GetMinimum(), value)
  );
end

-- range
function Wired.Math.Scale:GetRange()
  return self:GetMaximum() - self:GetMinimum();
end

-- median
function Wired.Math.Scale:GetMedian()
  return self:GetRange() / 2;
end

-- ratio
function Wired.Math.Scale:GetRatio()
  return self:GetValue() / self:GetMaximum();
end

-- at minimum
function Wired.Math.Scale:AtMinimum()
  return self:GetValue() == self:GetMinimum();
end

-- at maximum
function Wired.Math.Scale:AtMaximum()
  return self:GetValue() == self:GetMaximum();
end
