-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.ColorEffect = class(Wired.UI.Animation.Effect);

function Wired.UI.Animation.ColorEffect:Constructor(data)
  Wired.UI.Animation.Effect.Constructor(
    self,
    Wired.UI.Animation.Effect.Constants.Names.Color,
    Wired.UI.Animation.Effect.Constants.Types.Color,
    data
  );
  
  -- parameters
  self:SetColor(data.color);
end

-- color
function Wired.UI.Animation.ColorEffect:GetColor()
  return self.color;
end

function Wired.UI.Animation.ColorEffect:SetColor(value)
  self.color = value;
end

-- execute
function Wired.UI.Animation.ColorEffect:Execute(value)
  
  -- color
  local color = Wired.UI.Color(
    value * self:GetColor():GetRed(),
    value * self:GetColor():GetGreen(),
    value * self:GetColor():GetBlue(),
    1
  );
  
  -- components
  for k, component in pairs(self:GetComponents()) do
    component:SetColor(color);
  end
end
