-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.Effect = class();

-- constants
Wired.UI.Animation.Effect.Constants = {
  Names = {
    Color = "Color",
    FontColor = "FontColor",
    Opacity = "Opacity",
    Pause = "Phase",
    Position = "Position",
    Size = "Size",
    Texture = "Texture",
    Visible = "Visible"
  },
  Types = {
    Color = 1,
    FontColor = 2,
    Opacity = 3,
    Pause = 4,
    Position = 5,
    Size = 6,
    Texture = 7,
    Visible = 8
  }
};

function Wired.UI.Animation.Effect:Constructor(name, type, data)
  
  -- parameters
  self:SetName(name);
  self:SetType(type);
  self:SetComponents(data.components);
end

-- name
function Wired.UI.Animation.Effect:GetName()
  return self.name;
end

function Wired.UI.Animation.Effect:SetName(value)
  self.name = value;
end

-- type
function Wired.UI.Animation.Effect:GetType()
  return self.type;
end

function Wired.UI.Animation.Effect:SetType(value)
  self.type = value;
end

-- components
function Wired.UI.Animation.Effect:GetComponents()
  if (type(self.components) ~= "table") then
    self.components = {};
  end
  return self.components;
end

function Wired.UI.Animation.Effect:SetComponents(value)
  self.components = value;
end
