-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.FontColorEffect = class(Wired.UI.Animation.Effect);

function Wired.UI.Animation.FontColorEffect:Constructor(data)
  Wired.UI.Animation.Effect.Constructor(
    self,
    Wired.UI.Animation.Effect.Constants.Names.FontColor,
    Wired.UI.Animation.Effect.Constants.Types.FontColor,
    data
  );
  
  -- parameters
  self:SetColor(data.color);
end

-- color
function Wired.UI.Animation.FontColorEffect:GetColor()
  return self.color;
end

function Wired.UI.Animation.FontColorEffect:SetColor(value)
  self.color = value;
end

-- execute
function Wired.UI.Animation.FontColorEffect:Execute(value)
  
  -- color
  local color = Wired.UI.Color(
    value * self:GetColor():GetRed(),
    value * self:GetColor():GetGreen(),
    value * self:GetColor():GetBlue(),
    1
  );
  
  -- components
  for k, component in pairs(self:GetComponents()) do
    component:SetFontColor(color);
  end
end
