-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.PositionEffect = class(Wired.UI.Animation.Effect);

function Wired.UI.Animation.PositionEffect:Constructor(data)
  Wired.UI.Animation.Effect.Constructor(
    self,
    Wired.UI.Animation.Effect.Constants.Names.Position,
    Wired.UI.Animation.Effect.Constants.Types.Position,
    data
  );
  
  -- parameters
  self:SetPosition(data.position);
  self:SetX(data.x);
  self:SetY(data.y);
end

-- position
function Wired.UI.Animation.PositionEffect:GetPosition()
  return self.position;
end

function Wired.UI.Animation.PositionEffect:SetPosition(value)
  self.position = value;
end

-- x
function Wired.UI.Animation.PositionEffect:GetX()
  return self.x;
end

function Wired.UI.Animation.PositionEffect:SetX(value)
  self.x = value;
end

-- y
function Wired.UI.Animation.PositionEffect:GetY()
  return self.y;
end

function Wired.UI.Animation.PositionEffect:SetY(value)
  self.y = value;
end

-- execute
function Wired.UI.Animation.PositionEffect:Execute(value)
  
  -- position
  local position = {
    x = value * self:GetX() + self:GetPosition().x,
    y = value * self:GetY() + self:GetPosition().y
  };
  
  -- update position
  
  -- components
  for k, component in pairs(self:GetComponents()) do
    component:SetPoint({child = "CENTER", parent = "CENTER"}, position);
  end
end
