-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.SizeEffect = class(Wired.UI.Animation.Effect);

function Wired.UI.Animation.SizeEffect:Constructor(data)
  Wired.UI.Animation.Effect.Constructor(
    self,
    Wired.UI.Animation.Effect.Constants.Names.Size,
    Wired.UI.Animation.Effect.Constants.Types.Size,
    data
  );
  
  -- parameters
  self:SetSize(data.size);
  self:SetFontSize(data.fontSize);
  self:SetWidth(data.width);
  self:SetHeight(data.height);
end

-- size
function Wired.UI.Animation.SizeEffect:GetSize()
  return self.size;
end

function Wired.UI.Animation.SizeEffect:SetSize(value)
  self.size = value;
end

-- font size
function Wired.UI.Animation.SizeEffect:GetFontSize()
  return self.fontSize;
end

function Wired.UI.Animation.SizeEffect:SetFontSize(value)
  self.fontSize = value;
end

-- width
function Wired.UI.Animation.SizeEffect:GetWidth()
  return self.width;
end

function Wired.UI.Animation.SizeEffect:SetWidth(value)
  self.width = value;
end

-- height
function Wired.UI.Animation.SizeEffect:GetHeight()
  return self.height;
end

function Wired.UI.Animation.SizeEffect:SetHeight(value)
  self.height = value;
end

-- execute
function Wired.UI.Animation.SizeEffect:Execute(value)
  
  -- size
  local size = math.ceil(value);
  
  -- components
  for k, component in pairs(self:GetComponents()) do
    if (self:GetSize()) then
      if (component:GetSize() ~= size) then
        component:SetSize(value);
      end
    elseif (self:GetFontSize()) then
      if (component:GetFontSize() ~= size) then
        component:SetFontSize(value);
      end
    elseif (self:GetWidth()) then
      if (component:GetWidth() ~= size) then
        component:SetWidth(value);
      end
    elseif (self:GetHeight()) then
      if (component:GetHeight() ~= size) then
        component:SetHeight(value);
      end
    end
  end
end
