-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.Step = class();

-- constants
Wired.UI.Animation.Step.Constants = {
  Names = {
    Timed = "Timed",
    Untimed = "Untimed"
  },
  Types = {
    Timed = 1,
    Untimed = 2
  }
};

function Wired.UI.Animation.Step:Constructor(name, type, data)
  
  -- parameters
  self:SetName(name);
  self:SetType(type);
  self:SetTitle(data.title);
  self:SetComposite(data.composite);
  self:SetValue(data.value);
  self:SetEffects(data.effects);
end

-- name
function Wired.UI.Animation.Step:GetName()
  return self.name;
end

function Wired.UI.Animation.Step:SetName(value)
  self.name = value;
end

-- type
function Wired.UI.Animation.Step:GetType()
  return self.type;
end

function Wired.UI.Animation.Step:SetType(value)
  self.type = value;
end

-- title
function Wired.UI.Animation.Step:GetTitle()
  return self.title;
end

function Wired.UI.Animation.Step:SetTitle(value)
  self.title = value;
end

-- composite
function Wired.UI.Animation.Step:GetComposite()
  return self.composite;
end

function Wired.UI.Animation.Step:SetComposite(value)
  self.composite = value;
end

-- value
function Wired.UI.Animation.Step:GetValue()
  return self.value;
end

function Wired.UI.Animation.Step:SetValue(value)
  self.value = value;
end

-- effects
function Wired.UI.Animation.Step:GetEffects()
  if (type(self.effects) ~= "table") then
    self.effects = {};
  end
  return self.effects;
end

function Wired.UI.Animation.Step:SetEffects(value)
  self.effects = value;
end

-- active
function Wired.UI.Animation.Step:GetActive()
  return self.active;
end

function Wired.UI.Animation.Step:SetActive(value)
  self.active = value;
  
  -- start
  if (self:GetActive()) then
    self:Start();
  end
end
