-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.TextureEffect = class(Wired.UI.Animation.Effect);

function Wired.UI.Animation.TextureEffect:Constructor(data)
  Wired.UI.Animation.Effect.Constructor(
    self,
    Wired.UI.Animation.Effect.Constants.Names.Texture,
    Wired.UI.Animation.Effect.Constants.Types.Texture,
    data
  );
  
  -- parameters
  self:SetTextures(data.textures);
end

-- textures
function Wired.UI.Animation.TextureEffect:GetTextures()
  return self.textures;
end

function Wired.UI.Animation.TextureEffect:SetTextures(value)
  self.textures = value;
end

-- execute
function Wired.UI.Animation.TextureEffect:Execute(value)
  
  -- texture
  local texture = self:GetTextures()[math.floor(value)];
  
  -- components
  for k, component in pairs(self:GetComponents()) do
    if (component:GetTexture() ~= texture) then
      component:SetTexture(texture);
    end
  end
end
