-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Animation.TimedStep = class(Wired.UI.Animation.Step);

function Wired.UI.Animation.TimedStep:Constructor(data)
  Wired.UI.Animation.Step.Constructor(
    self,
    Wired.UI.Animation.Step.Constants.Names.Timed,
    Wired.UI.Animation.Step.Constants.Types.Timed,
    data
  );
  
  -- parameters
  self:SetScale(Wired.Math.Scale(data));
  self:SetDuration(data.duration);
  self:SetDirection(data.direction);
end

-- scale
function Wired.UI.Animation.TimedStep:GetScale()
  return self.scale;
end

function Wired.UI.Animation.TimedStep:SetScale(value)
  self.scale = value;
end

-- duration
function Wired.UI.Animation.TimedStep:GetDuration()
  return self.duration;
end

function Wired.UI.Animation.TimedStep:SetDuration(value)
  self.duration = value;
end

-- direction
function Wired.UI.Animation.TimedStep:GetDirection()
  return self.direction;
end

function Wired.UI.Animation.TimedStep:SetDirection(value)
  self.direction = value;
end

-- finished
function Wired.UI.Animation.TimedStep:GetFinished()
  local result = false;
  if (self:GetDirection() > 0) then
    result = self:GetScale():AtMaximum();
  else
    result = self:GetScale():AtMinimum();
  end
  return result;
end

-- start
function Wired.UI.Animation.TimedStep:Start()
  if (self:GetDirection() > 0) then
    self:GetScale():SetValue(self:GetScale():GetMinimum());
  else
    self:GetScale():SetValue(self:GetScale():GetMaximum());
  end
end

-- update
function Wired.UI.Animation.TimedStep:Update(value)
  
  -- value
  local change = value * (self:GetScale():GetRange() / self:GetDuration());
  
  -- update value
  self:GetScale():SetValue(
    self:GetScale():GetValue() +
    (change * self:GetDirection())
  );
  
  -- execute
  for k, effect in pairs(self:GetEffects()) do
    effect:Execute(self:GetScale():GetValue());
  end
end
