-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Color = class();

function Wired.UI.Color:Constructor(red, green, blue, alpha)
  
  -- assertions
  assert(red);
  assert(green);
  assert(blue);
  assert(alpha);
  
  -- parameters
  self:SetRed(red);
  self:SetGreen(green);
  self:SetBlue(blue);
  self:SetAlpha(alpha);
end

-- red
function Wired.UI.Color:GetRed()
  return self.red;
end

function Wired.UI.Color:SetRed(value)
  self.red = value;
end

-- green
function Wired.UI.Color:GetGreen()
  return self.green;
end

function Wired.UI.Color:SetGreen(value)
  self.green = value;
end

-- blue
function Wired.UI.Color:GetBlue()
  return self.blue;
end

function Wired.UI.Color:SetBlue(value)
  self.blue = value;
end

-- alpha
function Wired.UI.Color:GetAlpha()
  return self.alpha;
end

function Wired.UI.Color:SetAlpha(value)
  self.alpha = value;
end

-- colors

-- base
Wired.UI.Color.Clear = Wired.UI.Color(0, 0, 0, 0);
Wired.UI.Color.Black = Wired.UI.Color(0, 0, 0, 1);
Wired.UI.Color.White = Wired.UI.Color(1, 1, 1, 1);

-- component
Wired.UI.Color.Red = Wired.UI.Color(1, 0, 0, 1);
Wired.UI.Color.Green = Wired.UI.Color(0, 1, 0, 1);
Wired.UI.Color.Blue = Wired.UI.Color(0, 0, 1, 1);

-- full
Wired.UI.Color.Yellow = Wired.UI.Color(1, 1, 0, 1);
Wired.UI.Color.Magenta = Wired.UI.Color(1, 0, 1, 1);
Wired.UI.Color.Cyan = Wired.UI.Color(0, 1, 1, 1);

-- half
Wired.UI.Color.Grey = Wired.UI.Color(0.5, 0.5, 0.5, 1);
Wired.UI.Color.Purple = Wired.UI.Color(0.5, 0.0, 0.5, 1);
Wired.UI.Color.Pink = Wired.UI.Color(1.0, 0.0, 0.5, 1);
Wired.UI.Color.Turquoise = Wired.UI.Color(0.0, 0.5, 0.5, 1);
Wired.UI.Color.Orange = Wired.UI.Color(1.0, 0.5, 0, 1);
Wired.UI.Color.Gold = Wired.UI.Color(0.5, 0.5, 0, 1);
Wired.UI.Color.BlueGrey = Wired.UI.Color(0.5, 0.5, 1.0, 1);

-- free
Wired.UI.Color.Brown = Wired.UI.Color(80 / 255, 40 / 255, 0 / 255, 1);


-- trion
Wired.UI.Color.Trion = {
  Title = Wired.UI.Color(205 / 255, 204 / 255, 174 / 255, 1),
  Disconnected = Wired.UI.Color(205 / 255, 204 / 255, 174 / 255, 1),
  Glow = Wired.UI.Color(200 / 255, 100 / 255, 50 / 255, 1)
}

-- gauge colors
Wired.UI.Color.Gauge = {
  Mana = Wired.UI.Color(41 / 255, 119 / 255, 194 / 255, 1),
  Power = Wired.UI.Color(219 / 255, 115 / 255, 226 / 255, 1),
  Energy = Wired.UI.Color(203 / 255, 180 / 255, 12 / 255, 1),
  Cast = Wired.UI.Color(0 / 255, 183 / 255, 142 / 255, 1),
  --Uninterruptible = Wired.UI.Color(196 / 255, 156 / 255, 68 / 255, 1),
  Uninterruptible = Wired.UI.Color(220 / 255, 184 / 255, 102 / 255, 1),
  Interrupted = Wired.UI.Color.Red
};

-- calling colors
Wired.UI.Color.Calling = {
  cleric = Wired.UI.Color(132 / 255, 228 / 255, 14 / 255, 1),
  mage = Wired.UI.Color(189 / 255, 93 / 255, 244 / 255, 1),
  rogue = Wired.UI.Color(216 / 255, 196 / 255, 39 / 255, 1),
  warrior = Wired.UI.Color(241 / 255, 42 / 255, 39 / 255, 1)
};
