-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

-- format
Wired.UI.Format = {};

-- constants
Wired.UI.Format.Constants = {
  Hitpoints = {
    Threshold = 1000,
    Unit = {
      "",
      "k",
      "m",
      "b"
    }
  },
  Time = {
    Threshold = {
      Seconds = 60,
      Minutes = 60,
      Hours = 24
    },
    Unit = {
      "s",
      "m",
      "h"
    }
  }
};

-- format hitpoints
Wired.UI.Format.Hitpoints = function(value)
  
  -- result
  local result = value;
  
  -- index
  local index = 1;
  while (result >= Wired.UI.Format.Constants.Hitpoints.Threshold) do
    result = result / Wired.UI.Format.Constants.Hitpoints.Threshold;
    index = index + 1;
  end
  
  -- round
  result = Wired.Math.Round(result, 1);
  
  -- return
  return result .. Wired.UI.Format.Constants.Hitpoints.Unit[index];
end

-- format time
Wired.UI.Format.Time = function(value)
  
  -- result
  local result = nil;
  
  -- seconds
  local seconds = math.floor(value % Wired.UI.Format.Constants.Time.Threshold.Seconds);
  
  -- minutes
  local minutes = math.floor(value / Wired.UI.Format.Constants.Time.Threshold.Seconds);
  
  -- padding
  if ((minutes > 0) and (seconds < 10)) then
    result = tostring(minutes) .. ":0" .. tostring(seconds);
  elseif (minutes > 0) then
    result = tostring(minutes) .. ":" .. tostring(seconds);
  else
    result = tostring(seconds);
  end
  
  -- return
  return result;
end
