-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.TextGlow = class(Wired.UI.Trion.Frame);

-- defaults
Wired.UI.TextGlow.Defaults = {
  Alpha = {
    Base = 1.00,
    Glow = 0.30
  },
  Color = {
    Background = Wired.UI.Color.Clear,
    Font = {
      Glow = Wired.UI.Color.Red
    }
  },
  Offset = {
    Left = 1,
    Top = 1
  }
};

function Wired.UI.TextGlow:Constructor(name, parent)
  Wired.UI.Trion.Frame.Constructor(self, name, parent);
  
  -- top glow
  self:SetTopGlow(Wired.UI.Trion.Text(self:GetName() .. "_TopGlow", self));
  self:GetTopGlow():SetPoint({child = "CENTER", parent = "CENTER"}, {x = -Wired.UI.TextGlow.Defaults.Offset.Left, y = -Wired.UI.TextGlow.Defaults.Offset.Top});
  self:GetTopGlow():SetLayer(1);
  self:GetTopGlow():SetVisible(true);
  
  -- bottom glow
  self:SetBottomGlow(Wired.UI.Trion.Text(self:GetName() .. "_BottomGlow", self));
  self:GetBottomGlow():SetPoint({child = "CENTER", parent = "CENTER"}, {x = Wired.UI.TextGlow.Defaults.Offset.Left, y = Wired.UI.TextGlow.Defaults.Offset.Top});
  self:GetBottomGlow():SetLayer(1);
  self:GetBottomGlow():SetVisible(true);
  
  -- create label
  self:SetLabel(Wired.UI.Trion.Text(self:GetName() .. "_Label", self));
  self:GetLabel():SetPoint({child = "CENTER", parent = "CENTER"}, {x = 0, y = 0});
  self:GetLabel():SetLayer(2);
  self:GetLabel():SetVisible(true);
  
  -- defaults
  self:ApplyTextGlowDefaults();
  
  -- size
  self:GetBase().Wired.Event.Listener:Add(Wired.Event.Listener(
    "Size",
    function(sender, value)
      self:LayoutTextGlow();
    end
  ));
end

-- label
function Wired.UI.TextGlow:GetLabel()
  return self.label;
end

function Wired.UI.TextGlow:SetLabel(value)
  self.label = value;
end

-- top glow
function Wired.UI.TextGlow:GetTopGlow()
  return self.topGlow;
end

function Wired.UI.TextGlow:SetTopGlow(value)
  self.topGlow = value;
end

-- bottom glow
function Wired.UI.TextGlow:GetBottomGlow()
  return self.bottomGlow;
end

function Wired.UI.TextGlow:SetBottomGlow(value)
  self.bottomGlow = value;
end

-- text
function Wired.UI.TextGlow:GetText()
  return self:GetLabel():GetText();
end

function Wired.UI.TextGlow:SetText(value)
  self:GetTopGlow():SetText(value);
  self:GetBottomGlow():SetText(value);
  self:GetLabel():SetText(value);
end

-- font size
function Wired.UI.TextGlow:GetFontSize()
  return self:GetLabel():GetFontSize();
end

function Wired.UI.TextGlow:SetFontSize(value)
  self:GetTopGlow():SetFontSize(value);
  self:GetBottomGlow():SetFontSize(value);
  self:GetLabel():SetFontSize(value);
end

-- layer
function Wired.UI.TextGlow:GetLayer()
  return self:GetLabel():GetLayer();
end

function Wired.UI.TextGlow:SetLayer(value)
  self:GetLabel():SetLayer(value);
  self:GetTopGlow():SetLayer(value - 1);
  self:GetBottomGlow():SetLayer(value - 1);
end

-- wrap
function Wired.UI.TextGlow:GetWrapping(value)
  return self:GetLabel():GetWrapping();
end

function Wired.UI.TextGlow:SetWrapping(value)
  self:GetLabel():SetWrapping(value);
  self:GetTopGlow():SetWrapping(value);
  self:GetBottomGlow():SetWrapping(value);
end

-- font color
function Wired.UI.TextGlow:GetFontColor()
  return self:GetLabel():GetFontColor();
end

function Wired.UI.TextGlow:SetFontColor(value)
  self:GetLabel():SetFontColor(value);
end

-- font size
function Wired.UI.TextGlow:GetFontSize()
  return self:GetLabel():GetFontSize();
end

function Wired.UI.TextGlow:SetFontSize(value)
  self:GetLabel():SetFontSize(value);
  self:GetTopGlow():SetFontSize(value);
  self:GetBottomGlow():SetFontSize(value);
end

-- defaults
function Wired.UI.TextGlow:ApplyTextGlowDefaults()
  
  -- color
  self:GetLabel():SetColor(Wired.UI.TextGlow.Defaults.Color.Background);
  self:GetTopGlow():SetColor(Wired.UI.TextGlow.Defaults.Color.Background);
  self:GetBottomGlow():SetColor(Wired.UI.TextGlow.Defaults.Color.Background);
  
  -- font color
  self:GetTopGlow():SetFontColor(Wired.UI.TextGlow.Defaults.Color.Font.Glow);
  self:GetBottomGlow():SetFontColor(Wired.UI.TextGlow.Defaults.Color.Font.Glow);
  
  -- alpha
  self:GetTopGlow():SetAlpha(Wired.UI.TextGlow.Defaults.Alpha.Glow);
  self:GetBottomGlow():SetAlpha(Wired.UI.TextGlow.Defaults.Alpha.Glow);
end

-- layout text glow
function Wired.UI.TextGlow:LayoutTextGlow()
  self:ScaleFontSizeVertically();
end

-- scale font size
function Wired.UI.TextGlow:ScaleFontSizeVertically()
  self:GetTopGlow():ScaleFontSizeVertically(self);
  self:GetBottomGlow():ScaleFontSizeVertically(self);
  self:GetLabel():ScaleFontSizeVertically(self);
end
