-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.UI.Tray = class(Wired.UI.Trion.Frame);

-- constants
Wired.UI.Tray.Constants = {
  Fade = {
    Min = 0,
    Max = 1,
    Duration = 2
  }
};

-- defaults
Wired.UI.Tray.Defaults = {
  Alpha = {
    Base = 1.00,
    Bar = 0.25
  },
  Color = {
    Base = Wired.UI.Color.Clear,
    Bar = Wired.UI.Color.Black
  },
  Size = {
    Width = 222,
    Height = 22
  },
  Visible = {
    Base = false,
    Bar = true
  }
};

function Wired.UI.Tray:Constructor(name, parent)
  Wired.UI.Trion.Frame.Constructor(self, name, parent);
  
  -- bar
  self:SetBar(Wired.UI.Trion.Frame(self:GetName() .. "_Bar", self));
  self:GetBar():SetPoint({child = "CENTER", parent = "CENTER"}, {x = 0, y = 0});
  self:GetBar():SetLayer(-1);
  
  -- apply defaults
  self:ApplyTrayDefaults();
end

-- base
function Wired.UI.Tray:GetBase()
  return self.base;
end

function Wired.UI.Tray:SetBase(value)
  self.base = value;
end

-- bar
function Wired.UI.Tray:GetBar()
  return self.bar;
end

function Wired.UI.Tray:SetBar(value)
  self.bar = value;
end

-- glow animation
function Wired.UI.Tray:GetGlowAnimation()
  return self.glowAnimation;
end

function Wired.UI.Tray:SetGlowAnimation(value)
  self.glowAnimation = value;
end

-- defaults
function Wired.UI.Tray:ApplyTrayDefaults(value)
  
  -- base
  self:SetAlpha(Wired.UI.Tray.Defaults.Alpha.Base);
  self:SetVisible(Wired.UI.Tray.Defaults.Visible.Base);
  self:SetColor(Wired.UI.Tray.Defaults.Color.Base);
  self:SetWidth(Wired.UI.Tray.Defaults.Size.Width);
  self:SetHeight(Wired.UI.Tray.Defaults.Size.Height);
  
  -- bar
  self:GetBar():SetAlpha(Wired.UI.Tray.Defaults.Alpha.Bar);
  self:GetBar():SetVisible(Wired.UI.Tray.Defaults.Visible.Bar);
  self:GetBar():SetColor(Wired.UI.Tray.Defaults.Color.Bar);
  self:GetBar():SetWidth(Wired.UI.Tray.Defaults.Size.Width);
  self:GetBar():SetHeight(Wired.UI.Tray.Defaults.Size.Height);
end

-- create glow animation
function Wired.UI.Tray:CreateGlowAnimation()
end
