-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.Utility.ApplicationManager = class();

function Wired.Utility.ApplicationManager:Constructor()
  
  -- wire
  Wire(self);
end

-- applications
function Wired.Utility.ApplicationManager:GetApplications()
  if (type(self.applications) ~= "table") then
    self.applications = {};
  end
  return self.applications;
end

function Wired.Utility.ApplicationManager:SetApplications(value)
  self.applications = value;
end

-- register application
function Wired.Utility.ApplicationManager:RegisterApplication(value);
  
  -- index by name
  self:GetApplications()[value:GetName()] = value;
  
  -- fire application registered event
  if (type(self.Wired.Event.ApplicationRegistered) == "function") then
    self.Wired.Event:ApplicationRegistered(value);
  end
end

-- cascade bars visible
function Wired.Utility.ApplicationManager:GetCascadeBarsVisible()
  return self.cascadeBarsVisible;
end

function Wired.Utility.ApplicationManager:SetCascadeBarsVisible(value)
  self.cascadeBarsVisible = value;
  
  -- update cascade bars
  for k, application in pairs(self:GetApplications()) do
    for l, bar in pairs(application:GetCascadeBars()) do
      bar:SetVisible(value);
    end
  end
end

-- edit layout
function Wired.Utility.ApplicationManager:EditLayout()
  self:SetCascadeBarsVisible(not self:GetCascadeBarsVisible());
end
