-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

Wired.Utility.Idle = class();

-- constants
Wired.Utility.Idle.Rate = 0.02;

function Wired.Utility.Idle:Constructor(application)
  Wire(self);

  -- parameters
  self:SetApplication(application);

  -- update
  table.insert(Event.System.Update.Begin, {
    function(value)
      self:Update(value);
    end,
    self:GetApplication():GetName(),
    "Update Handler"
  });
end

-- application
function Wired.Utility.Idle:GetApplication()
  return self.application;
end

function Wired.Utility.Idle:SetApplication(value)
  self.application = value;
end

-- past
function Wired.Utility.Idle:GetPast()
  return self.past;
end

function Wired.Utility.Idle:SetPast(value)
  self.past = value;
end

-- elapsed
function Wired.Utility.Idle:GetElapsed()
  return self.elapsed;
end

function Wired.Utility.Idle:SetElapsed(value)
  self.elapsed = value;
end

-- update
function Wired.Utility.Idle:Update()

  -- time
  local time = Inspect.Time.Frame();
  if (not self:GetPast()) then
    self:SetPast(time);
  else

    -- elapsed
    self:SetElapsed(time - self:GetPast());

    -- limit to rate
    if (self:GetElapsed() >= Wired.Utility.Idle.Rate) then

      -- reset
      self:SetPast(time);

      -- idle
      if (type(self.Wired.Event.Idle) == "function") then
        self.Wired.Event:Idle();
      end
    end
  end
end
