-----------------------
-- RaidKiller        --
-- By: Wire @ Byriel --
-----------------------

Wired.Utility.Translation = class();

-- constants
Wired.Utility.Translation.Constants = {
  Language = {
    English = "English",
    French = "French",
    German = "German",
    Korean = "Korean",
    Russian = "Russian"
  }
};

function Wired.Utility.Translation:Constructor(language, translation)
  
  -- parameters
  self:SetLanguage(language);
  self:SetTranslation(translation);
end

-- language
function Wired.Utility.Translation:GetLanguage()
  return self.language;
end

function Wired.Utility.Translation:SetLanguage(value)
  self.language = value;
end

-- translation
function Wired.Utility.Translation:GetTranslation()
  return self.translation;
end

function Wired.Utility.Translation:SetTranslation(value)
  self.translation = value;
end

-- translate
function Wired.Utility.Translation:Translate(value)
  return self:GetTranslation()[value]
end

-- languages
function Wired.Utility.Translation.English(value)
  return Wired.Utility.Translation(
    Wired.Utility.Translation.Constants.Language.English,
    value
  );
end

function Wired.Utility.Translation.French(value)
  return Wired.Utility.Translation(
    Wired.Utility.Translation.Constants.Language.French,
    value
  );
end

function Wired.Utility.Translation.German(value)
  return Wired.Utility.Translation(
    Wired.Utility.Translation.Constants.Language.German,
    value
  );
end

function Wired.Utility.Translation.Korean(value)
  return Wired.Utility.Translation(
    Wired.Utility.Translation.Constants.Language.Korean,
    value
  );
end

function Wired.Utility.Translation.Russian(value)
  return Wired.Utility.Translation(
    Wired.Utility.Translation.Constants.Language.Russian,
    value
  );
end
