-----------------------
-- Wired             --
-- By: Wire @ Byriel --
-----------------------

-- context
Wired = {};

-- constants

-- functions

-- get component
local GetComponent = function(sender)
  return sender.component;
end

-- set component
local SetComponent = function(sender, value)
  sender.component = value;
end

-- wire component
Wired.Wire = function(sender, value)
  sender.GetComponent = GetComponent;
  sender.SetComponent = SetComponent;
  sender:SetComponent(value);
end

-- add context to component
Wire = function(component)

  -- add wired context
  if (type(component.Wired) ~= "table") then
    component.Wired = {};
    Wired.Wire(component.Wired, component);

    -- add Utility context
    Wired.Utility.Wire(component.Wired, component);

    -- add Math context
    Wired.Math.Wire(component.Wired, component);

    -- add event context
    Wired.Event.Wire(component.Wired, component);

    -- add persistence context
    Wired.Persistence.Wire(component.Wired, component);

    -- add UI context
    Wired.UI.Wire(component.Wired, component);
  end
end
